/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yydebug         cf_debug
#define yynerrs         cf_nerrs

#define yylval          cf_lval
#define yychar          cf_char

/* Copy the first part of user declarations.  */
#line 49 "conf/gen_parser.m4" /* yacc.c:339  */

#line 9 "conf/confbase.Y"
/* Headers from conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from conf/confbase.Y */

static void
check_u16(uint val)
{
  if (val > 0xFFFF)
    cf_error("Value %u out of range (0-65535)", val);
}

#define cf_assert(cond, ...) do { if (!(cond)) cf_error(__VA_ARGS__); } while (0)
static inline void cf_assert_symbol(const struct symbol *sym, uint class) {
  switch (class) {
    case SYM_PROTO: cf_assert(sym->class == SYM_PROTO, "Protocol name required"); break;
    case SYM_TEMPLATE: cf_assert(sym->class == SYM_TEMPLATE, "Protocol template name required"); break;
    case SYM_FUNCTION: cf_assert(sym->class == SYM_FUNCTION, "Function name required"); break;
    case SYM_FILTER: cf_assert(sym->class == SYM_FILTER, "Filter name required"); break;
    case SYM_TABLE: cf_assert(sym->class == SYM_TABLE, "Table name required"); break;
    case SYM_ATTRIBUTE: cf_assert(sym->class == SYM_ATTRIBUTE, "Custom attribute name required"); break;
    case SYM_VARIABLE: cf_assert((sym->class & ~0xff) == SYM_VARIABLE, "Variable name required"); break;
    case SYM_CONSTANT: cf_assert((sym->class & ~0xff) == SYM_CONSTANT, "Constant name required"); break;
    default: bug("This shall not happen");
  }
}

#line 9 "conf/flowspec.Y"
/* Headers from conf/flowspec.Y */

#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


/* Defines from conf/flowspec.Y */

struct flow_builder *this_flow;


#line 11 "filter/config.Y"
/* Headers from filter/config.Y */

#include "filter/f-inst.h"
#include "filter/data.h"

/* Defines from filter/config.Y */

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }

#define f_generate_complex(fi_code, da, arg) \
  f_new_inst(FI_EA_SET, f_new_inst(fi_code, f_new_inst(FI_EA_GET, da), arg), da)

/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */
static int
f_valid_set_type(int type)
{
  switch (type)
  {
  case T_INT:
  case T_PAIR:
  case T_QUAD:
  case T_ENUM:
  case T_IP:
  case T_EC:
  case T_LC:
  case T_RD:
    return 1;

  default:
    return 0;
  }
}

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *lst = NULL;
  int i;

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define CC_ALL 0xFFFF
#define EC_ALL 0xFFFFFFFF
#define LC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if ((kind != EC_GENERIC) && (ipv4_used || (key >= 0x10000))) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static struct f_tree *
f_new_lc_item(u32 f1, u32 t1, u32 f2, u32 t2, u32 f3, u32 t3)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_LC;
  t->from.val.lc = (lcomm) {f1, f2, f3};
  t->to.val.lc = (lcomm) {t1, t2, t3};
  return t;
}

static inline struct f_inst *
f_generate_empty(struct f_dynamic_attr dyn)
{
  struct f_val empty;

  switch (dyn.type & EAF_TYPE_MASK) {
    case EAF_TYPE_AS_PATH:
      empty = f_const_empty_path;
      break;
    case EAF_TYPE_INT_SET:
      empty = f_const_empty_clist;
      break;
    case EAF_TYPE_EC_SET:
      empty = f_const_empty_eclist;
      break;
    case EAF_TYPE_LC_SET:
      empty = f_const_empty_lclist;
      break;
    default:
      cf_error("Can't empty that attribute");
  }

  return f_new_inst(FI_EA_SET, f_new_inst(FI_CONSTANT, empty), dyn);
}

#if 0

static inline struct f_inst *
f_generate_dpair(struct f_inst *t1, struct f_inst *t2)
{
  struct f_inst *rv;

  if ((t1->fi_code == FI_CONSTANT) && (t2->fi_code == FI_CONSTANT)) {
    if ((t1->val.type != T_INT) || (t2->val.type != T_INT))
      cf_error( "Can't operate with value of non-integer type in pair constructor");

    check_u16(t1->a[1].i);
    check_u16(t2->a[1].i);

    rv = f_new_inst(FI_CONSTANT);
    rv->val = (struct f_val) {
      .type = T_PAIR,
      .val.i = pair(t1->a[1].i, t2->a[1].i),
    };
  }
  else {
    rv = f_new_inst(FI_PAIR_CONSTRUCT);
    rv->a[0].p = t1;
    rv->a[1].p = t2;
  }

  return rv;
}

static inline struct f_inst *
f_generate_ec(u16 kind, struct f_inst *tk, struct f_inst *tv)
{
  struct f_inst *rv;
  int c1 = 0, c2 = 0, ipv4_used = 0;
  u32 key = 0, val2 = 0;

  if (tk->fi_code == FI_CONSTANT) {
    c1 = 1;
    struct f_val *val = &(tk->val);

    if (val->type == T_INT) {
      ipv4_used = 0; key = val->val.i;
    }
    else if (tk->val.type == T_QUAD) {
      ipv4_used = 1; key = val->val.i;
    }
    else if ((val->type == T_IP) && ipa_is_ip4(val->val.ip)) {
      ipv4_used = 1; key = ipa_to_u32(val->val.ip);
    }
    else
      cf_error("Can't operate with key of non-integer/IPv4 type in EC constructor");
  }

  if (tv->fi_code == FI_CONSTANT) {
    if (tv->val.type != T_INT)
      cf_error("Can't operate with value of non-integer type in EC constructor");
    c2 = 1;
    val2 = tv->val.val.i;
  }

  if (c1 && c2) {
    u64 ec;

    if (kind == EC_GENERIC) {
      ec = ec_generic(key, val2);
    }
    else if (ipv4_used) {
      check_u16(val2);
      ec = ec_ip4(kind, key, val2);
    }
    else if (key < 0x10000) {
      ec = ec_as2(kind, key, val2);
    }
    else {
      check_u16(val2);
      ec = ec_as4(kind, key, val2);
    }

    rv = f_new_inst(FI_CONSTANT);
    rv->val = (struct f_val) {
      .type = T_EC,
      .val.ec = ec,
    };
  }
  else {
    rv = f_new_inst(FI_EC_CONSTRUCT);
    rv->aux = kind;
    rv->a[0].p = tk;
    rv->a[1].p = tv;
  }

  return rv;
}

static inline struct f_inst *
f_generate_lc(struct f_inst *t1, struct f_inst *t2, struct f_inst *t3)
{
  struct f_inst *rv;

  if ((t1->fi_code == FI_CONSTANT) && (t2->fi_code == FI_CONSTANT) && (t3->fi_code == FI_CONSTANT)) {
    if ((t1->val.type != T_INT) || (t2->val.type != T_INT) || (t3->val.type != T_INT))
      cf_error( "LC - Can't operate with value of non-integer type in tuple constructor");

    rv = f_new_inst(FI_CONSTANT);
    rv->val = (struct f_val) {
      .type = T_LC,
      .val.lc = (lcomm) { t1->a[1].i, t2->a[1].i, t3->a[1].i },
    };
  }
  else
  {
    rv = f_new_inst(FI_LC_CONSTRUCT);
    rv->a[0].p = t1;
    rv->a[1].p = t2;
    rv->a[2].p = t3;
  }

  return rv;
}

static inline struct f_inst *
f_generate_path_mask(struct f_inst *t)
{
  uint len = 0;
  uint dyn = 0;
  for (const struct f_inst *tt = t; tt; tt = tt->next) {
    if (tt->fi_code != FI_CONSTANT)
      dyn++;
    len++;
  }

  if (dyn) {
    struct f_inst *pmc = f_new_inst(FI_PATHMASK_CONSTRUCT);
    pmc->a[0].p = t;
    pmc->a[1].i = len;
    return pmc;
  }

  struct f_path_mask *pm = cfg_allocz(sizeof(struct f_path_mask) + len * sizeof(struct f_path_mask_item));

  uint i = 0;
  for (const struct f_inst *tt = t; tt; tt = tt->next)
    pm->item[i++] = tt->val.val.pmi;

  pm->len = i;
  struct f_inst *pmc = f_new_inst(FI_CONSTANT);
  pmc->val = (struct f_val) { .type = T_PATH_MASK, .val.path_mask = pm, };

  return pmc;
}

#endif

/*
 * Remove all new lines and doubled whitespaces
 * and convert all tabulators to spaces
 * and return a copy of string
 */
char *
assert_copy_expr(const char *start, size_t len)
{
  /* XXX: Allocates maybe a little more memory than we really finally need */
  char *str = cfg_alloc(len + 1);

  char *dst = str;
  const char *src = start - 1;
  const char *end = start + len;
  while (++src < end)
  {
    if (*src == '\n')
      continue;

    /* Skip doubled whitespaces */
    if (src != start)
    {
      const char *prev = src - 1;
      if ((*src == ' ' || *src == '\t') && (*prev == ' ' || *prev == '\t'))
	continue;
    }

    if (*src == '\t')
      *dst = ' ';
    else
      *dst = *src;

    dst++;
  }
  *dst = '\0';

  return str;
}

/*
 * assert_done - create f_instruction of bt_assert
 * @expr: expression in bt_assert()
 * @start: pointer to first char of test expression
 * @end: pointer to the last char of test expression
 */
static struct f_inst *
assert_done(struct f_inst *expr, const char *start, const char *end)
{
  return f_new_inst(FI_ASSERT, expr,
    (end >= start) ?
      assert_copy_expr(start, end - start + 1)
    : "???");
}

static struct f_inst *
assert_assign(struct f_lval *lval, struct f_inst *expr, const char *start, const char *end)
{
  struct f_inst *setter, *getter, *checker;
  switch (lval->type) {
    case F_LVAL_VARIABLE:
      setter = f_new_inst(FI_VAR_SET, expr, lval->sym);
      getter = f_new_inst(FI_VAR_GET, lval->sym);
      break;
    case F_LVAL_PREFERENCE:
      setter = f_new_inst(FI_PREF_SET, expr);
      getter = f_new_inst(FI_PREF_GET);
      break;
    case F_LVAL_SA:
      setter = f_new_inst(FI_RTA_SET, expr, lval->sa);
      getter = f_new_inst(FI_RTA_GET, lval->sa);
      break;
    case F_LVAL_EA:
      setter = f_new_inst(FI_EA_SET, expr, lval->da);
      getter = f_new_inst(FI_EA_GET, lval->da);
      break;
    default:
      bug("Unknown lval type");
  }

  checker = f_new_inst(FI_EQ, expr, getter);
  setter->next = checker;
  
  return assert_done(setter, start, end);
}

#line 10 "nest/config.Y"
/* Headers from nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "lib/lists.h"
#include "lib/mac.h"

/* Defines from nest/config.Y */

static struct proto_config *this_proto;
static struct channel_config *this_channel;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
/* static struct roa_table_config *this_roa_table; */
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;

static void
iface_patt_check(void)
{
  struct iface_patt_node *pn;

  WALK_LIST(pn, this_ipatt->ipn_list)
    if (!pn->pattern || pn->prefix.type)
      cf_error("Interface name/mask expected, not IP prefix");
}


static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

static void
proto_postconfig(void)
{
  CALL(this_proto->protocol->postconfig, this_proto);
  this_channel = NULL;
  this_proto = NULL;
}


#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

#line 8 "proto/bfd/config.Y"
/* Headers from proto/bfd/config.Y */

#include "proto/bfd/bfd.h"

/* Defines from proto/bfd/config.Y */

#define BFD_CFG ((struct bfd_config *) this_proto)
#define BFD_IFACE ((struct bfd_iface_config *) this_ipatt)
#define BFD_NEIGHBOR this_bfd_neighbor

static struct bfd_neighbor *this_bfd_neighbor;

extern struct bfd_config *bfd_cf;

#line 13 "proto/babel/config.Y"
/* Headers from proto/babel/config.Y */

#include "proto/babel/babel.h"
#include "nest/iface.h"

/* Defines from proto/babel/config.Y */

#define BABEL_CFG ((struct babel_config *) this_proto)
#define BABEL_IFACE ((struct babel_iface_config *) this_ipatt)

#line 9 "proto/bgp/config.Y"
/* Headers from proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)
#define BGP_CC ((struct bgp_channel_config *) this_channel)

#line 10 "proto/mrt/config.Y"
/* Headers from proto/mrt/config.Y */

#include "proto/mrt/mrt.h"

/* Defines from proto/mrt/config.Y */

#define MRT_CFG ((struct mrt_config *) this_proto)

#line 9 "proto/ospf/config.Y"
/* Headers from proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet;

static inline int ospf_cfg_is_v2(void) { return OSPF_CFG->ospf2; }
static inline int ospf_cfg_is_v3(void) { return ! OSPF_CFG->ospf2; }

static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if (ip->waitint == 0)
    ip->waitint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if (ospf_cfg_is_v2() && (ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    log(L_WARN "Hello or poll interval less that 5 makes cryptographic authenication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    log(L_WARN "Password option without authentication option does not make sense");

  if (ip->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *ip->passwords)
    {
      if (pass->alg && (ip->autype != OSPF_AUTH_CRYPT))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default OSPF crypto algorithms */
      if (!pass->alg && (ip->autype == OSPF_AUTH_CRYPT))
	pass->alg = ospf_cfg_is_v2() ? ALG_MD5 : ALG_HMAC_SHA256;

      if (ospf_cfg_is_v3() && ip->autype && (pass->alg < ALG_HMAC))
	cf_error("Keyed hash algorithms are not allowed, use HMAC algorithms");
    }
  }
}

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT3_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;
  struct ospf_area_config *ac;
  struct ospf_iface_patt *ic;

  /* Define default channel */
  if (EMPTY_LIST(this_proto->channels))
  {
    uint net_type = this_proto->net_type = ospf_cfg_is_v2() ? NET_IP4 : NET_IP6;
    channel_config_new(NULL, net_label[net_type], net_type, this_proto);
  }

  /* Propagate global instance ID to interfaces */
  if (cf->instance_id_set)
  {
    WALK_LIST(ac, cf->area_list)
      WALK_LIST(ic, ac->patt_list)
	if (!ic->instance_id_set)
	{ ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }

    WALK_LIST(ic, cf->vlink_list)
      if (!ic->instance_id_set)
      { ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }
  }

  if (ospf_cfg_is_v3())
  {
    uint ipv4 = (this_proto->net_type == NET_IP4);
    uint base = (ipv4 ? 64 : 0) + (cf->af_mc ? 32 : 0);

    /* RFC 5838 - OSPFv3-AF */
    if (cf->af_ext)
    {
      /* RFC 5838 2.1 - instance IDs based on AFs */
      WALK_LIST(ac, cf->area_list)
	WALK_LIST(ic, ac->patt_list)
	{
	  if (!ic->instance_id_set)
	    ic->instance_id = base;
	  else if (ic->instance_id >= 128)
	    log(L_WARN "Instance ID %d from unassigned/private range", ic->instance_id);
	  else if ((ic->instance_id < base) || (ic->instance_id >= (base + 32)))
	    cf_error("Instance ID %d invalid for given channel type", ic->instance_id);
	}

      /* RFC 5838 2.8 - vlinks limited to IPv6 unicast */
      if ((ipv4 || cf->af_mc) && !EMPTY_LIST(cf->vlink_list))
	cf_error("Vlinks not supported in AFs other than IPv6 unicast");
    }
    else
    {
      if (ipv4 || cf->af_mc)
	cf_error("Different channel type");
    }
  }

  if (EMPTY_LIST(cf->area_list))
    cf_error("No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  int nssa = 0;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
      backbone = 1;
    if (ac->type == OPT_N)
      nssa = 1;
  }

  cf->abr = areano > 1;

  /* Route export or NSSA translation (RFC 3101 3.1) */
  cf->asbr = (proto_cf_main_channel(this_proto)->out_filter != FILTER_REJECT) || (nssa && cf->abr);

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    ac->type = OPT_E; /* Backbone is non-stub */
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error("Vlinks cannot be used on single area router");

  if (cf->asbr && (areano == 1) && (this_area->type == 0))
    cf_error("ASBR must be in non-stub area");
}

static inline void
ospf_check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%u", LSINFINITY-1);
}

static inline void
ospf_check_auth(void)
{
  if (ospf_cfg_is_v3())
    cf_error("Plaintext authentication not supported in OSPFv3");
}


#line 9 "proto/perf/config.Y"
/* Headers from proto/perf/config.Y */

#include "filter/filter.h"
#include "proto/perf/perf.h"

/* Defines from proto/perf/config.Y */

#define PERF_CFG ((struct perf_config *) this_proto)

#line 9 "proto/pipe/config.Y"
/* Headers from proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

#line 8 "proto/radv/config.Y"
/* Headers from proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix
#define RADV_RDNSS (&this_radv_rdnss)
#define RADV_DNSSL (&this_radv_dnssl)

static struct radv_prefix_config *this_radv_prefix;
static struct radv_rdnss_config this_radv_rdnss;
static struct radv_dnssl_config this_radv_dnssl;
static list radv_dns_list;	/* Used by radv_rdnss and radv_dnssl */
static u8 radv_mult_val;	/* Used by radv_mult for second return value */


#line 12 "proto/rip/config.Y"
/* Headers from proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from proto/rip/config.Y */

#define RIP_CFG ((struct rip_config *) this_proto)
#define RIP_IFACE ((struct rip_iface_config *) this_ipatt)

static inline int rip_cfg_is_v2(void) { return RIP_CFG->rip2; }
static inline int rip_cfg_is_ng(void) { return ! RIP_CFG->rip2; }

static inline void
rip_check_auth(void)
{
  if (rip_cfg_is_ng())
    cf_error("Authentication not supported in RIPng");
}


#line 9 "proto/rpki/config.Y"
/* Headers from proto/rpki/config.Y */

#include "proto/rpki/rpki.h"

/* Defines from proto/rpki/config.Y */

#define RPKI_CFG ((struct rpki_config *) this_proto)
#define RPKI_TR_SSH_CFG ((struct rpki_tr_ssh_config *) RPKI_CFG->tr_config.spec)

static void
rpki_check_unused_hostname(void)
{
  if (RPKI_CFG->hostname != NULL)
    cf_error("Only one cache server per protocol allowed");
}

static void
rpki_check_unused_transport(void)
{
  if (RPKI_CFG->tr_config.spec != NULL)
    cf_error("At the most one transport per protocol allowed");
}

#line 9 "proto/static/config.Y"
/* Headers from proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_snh;
static struct f_inst *this_srt_cmds, *this_srt_last_cmd;

static struct static_route *
static_nexthop_new(void)
{
  struct static_route *nh = this_srt;

  if (this_snh)
  {
    /* Additional next hop */
    nh = cfg_allocz(sizeof(struct static_route));
    nh->net = this_srt->net;
    this_snh->mp_next = nh;
  }

  nh->dest = RTD_UNICAST;
  nh->mp_head = this_srt;
  return nh;
};

static void
static_route_finish(void)
{
  if (net_type_match(this_srt->net, NB_DEST) == !this_srt->dest)
    cf_error("Unexpected or missing nexthop/type");

  this_srt->cmds = f_linearize(this_srt_cmds);
}

#line 9 "sysdep/linux/netlink.Y"
/* Headers from sysdep/linux/netlink.Y */

#line 9 "sysdep/unix/config.Y"
/* Headers from sysdep/unix/config.Y */

#include "sysdep/unix/unix.h"
#include <stdio.h>

/* Defines from sysdep/unix/config.Y */

static struct log_config *this_log;

#line 9 "sysdep/unix/krt.Y"
/* Headers from sysdep/unix/krt.Y */

#include "sysdep/unix/krt.h"

/* Defines from sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)
#define KIF_IFACE ((struct kif_iface_config *) this_ipatt)

static void
kif_set_preferred(ip_addr ip)
{
  if (ipa_is_ip4(ip))
    KIF_IFACE->pref_v4 = ip;
  else if (!ipa_is_link_local(ip))
    KIF_IFACE->pref_v6 = ip;
  else
    KIF_IFACE->pref_ll = ip;
}

#line 49 "conf/gen_parser.m4"

#line 993 "obj/conf/cf-parse.tab.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 1
#endif

/* In a future release of Bison, this section will be replaced
   by #include "cf-parse.tab.h".  */
#ifndef YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
# define YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int cf_debug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    END = 258,
    CLI_MARKER = 259,
    INVALID_TOKEN = 260,
    ELSECOL = 261,
    DDOT = 262,
    GEQ = 263,
    LEQ = 264,
    NEQ = 265,
    AND = 266,
    OR = 267,
    PO = 268,
    PC = 269,
    NUM = 270,
    ENUM = 271,
    IP4 = 272,
    IP6 = 273,
    VPN_RD = 274,
    CF_SYM_KNOWN = 275,
    CF_SYM_UNDEFINED = 276,
    TEXT = 277,
    PREFIX_DUMMY = 278,
    NMA = 279,
    DEFINE = 280,
    ON = 281,
    OFF = 282,
    YES = 283,
    NO = 284,
    S = 285,
    MS = 286,
    US = 287,
    PORT = 288,
    VPN = 289,
    MPLS = 290,
    FROM = 291,
    FLOW4 = 292,
    FLOW6 = 293,
    DST = 294,
    SRC = 295,
    PROTO = 296,
    NEXT = 297,
    HEADER = 298,
    DPORT = 299,
    SPORT = 300,
    ICMP = 301,
    TYPE = 302,
    CODE = 303,
    TCP = 304,
    FLAGS = 305,
    LENGTH = 306,
    DSCP = 307,
    DONT_FRAGMENT = 308,
    IS_FRAGMENT = 309,
    FIRST_FRAGMENT = 310,
    LAST_FRAGMENT = 311,
    FRAGMENT = 312,
    LABEL = 313,
    OFFSET = 314,
    QUIT = 315,
    EXIT = 316,
    HELP = 317,
    FUNCTION = 318,
    PRINT = 319,
    PRINTN = 320,
    UNSET = 321,
    RETURN = 322,
    ACCEPT = 323,
    REJECT = 324,
    ERROR = 325,
    QUITBIRD = 326,
    INT = 327,
    BOOL = 328,
    IP = 329,
    PREFIX = 330,
    RD = 331,
    PAIR = 332,
    QUAD = 333,
    EC = 334,
    LC = 335,
    SET = 336,
    STRING = 337,
    BGPMASK = 338,
    BGPPATH = 339,
    CLIST = 340,
    ECLIST = 341,
    LCLIST = 342,
    IF = 343,
    THEN = 344,
    ELSE = 345,
    CASE = 346,
    TRUE = 347,
    FALSE = 348,
    RT = 349,
    RO = 350,
    UNKNOWN = 351,
    GENERIC = 352,
    GW = 353,
    NET = 354,
    MASK = 355,
    SOURCE = 356,
    SCOPE = 357,
    DEST = 358,
    IFNAME = 359,
    IFINDEX = 360,
    PREFERENCE = 361,
    ROA_CHECK = 362,
    ASN = 363,
    IS_V4 = 364,
    IS_V6 = 365,
    LEN = 366,
    MAXLEN = 367,
    DEFINED = 368,
    ADD = 369,
    DELETE = 370,
    CONTAINS = 371,
    RESET = 372,
    PREPEND = 373,
    FIRST = 374,
    LAST = 375,
    LAST_NONAGGREGATED = 376,
    MATCH = 377,
    EMPTY = 378,
    FILTER = 379,
    WHERE = 380,
    EVAL = 381,
    ATTRIBUTE = 382,
    BT_ASSERT = 383,
    BT_TEST_SUITE = 384,
    BT_CHECK_ASSIGN = 385,
    BT_TEST_SAME = 386,
    FORMAT = 387,
    ROUTER = 388,
    ID = 389,
    PROTOCOL = 390,
    TEMPLATE = 391,
    DISABLED = 392,
    DEBUG = 393,
    ALL = 394,
    DIRECT = 395,
    INTERFACE = 396,
    IMPORT = 397,
    EXPORT = 398,
    NONE = 399,
    VRF = 400,
    DEFAULT = 401,
    TABLE = 402,
    STATES = 403,
    ROUTES = 404,
    FILTERS = 405,
    IPV4 = 406,
    IPV6 = 407,
    VPN4 = 408,
    VPN6 = 409,
    ROA4 = 410,
    ROA6 = 411,
    SADR = 412,
    RECEIVE = 413,
    LIMIT = 414,
    ACTION = 415,
    WARN = 416,
    BLOCK = 417,
    RESTART = 418,
    DISABLE = 419,
    KEEP = 420,
    FILTERED = 421,
    PASSWORD = 422,
    PASSIVE = 423,
    TO = 424,
    EVENTS = 425,
    PACKETS = 426,
    PROTOCOLS = 427,
    INTERFACES = 428,
    ALGORITHM = 429,
    KEYED = 430,
    HMAC = 431,
    MD5 = 432,
    SHA1 = 433,
    SHA256 = 434,
    SHA384 = 435,
    SHA512 = 436,
    PRIMARY = 437,
    STATS = 438,
    COUNT = 439,
    BY = 440,
    FOR = 441,
    COMMANDS = 442,
    PREEXPORT = 443,
    NOEXPORT = 444,
    GENERATE = 445,
    BGP = 446,
    PASSWORDS = 447,
    DESCRIPTION = 448,
    SORTED = 449,
    RELOAD = 450,
    IN = 451,
    OUT = 452,
    MRTDUMP = 453,
    MESSAGES = 454,
    RESTRICT = 455,
    MEMORY = 456,
    IGP_METRIC = 457,
    CLASS = 458,
    TIMEFORMAT = 459,
    ISO = 460,
    SHORT = 461,
    LONG = 462,
    ROUTE = 463,
    BASE = 464,
    LOG = 465,
    GRACEFUL = 466,
    WAIT = 467,
    MAX = 468,
    FLUSH = 469,
    AS = 470,
    IPV4_MC = 471,
    IPV4_MPLS = 472,
    IPV6_MC = 473,
    IPV6_MPLS = 474,
    IPV6_SADR = 475,
    VPN4_MC = 476,
    VPN4_MPLS = 477,
    VPN6_MC = 478,
    VPN6_MPLS = 479,
    PRI = 480,
    SEC = 481,
    SHOW = 482,
    STATUS = 483,
    SUMMARY = 484,
    SYMBOLS = 485,
    DUMP = 486,
    RESOURCES = 487,
    SOCKETS = 488,
    NEIGHBORS = 489,
    ATTRIBUTES = 490,
    ECHO = 491,
    ENABLE = 492,
    BFD = 493,
    MIN = 494,
    IDLE = 495,
    RX = 496,
    TX = 497,
    INTERVAL = 498,
    MULTIPLIER = 499,
    MULTIHOP = 500,
    NEIGHBOR = 501,
    DEV = 502,
    LOCAL = 503,
    AUTHENTICATION = 504,
    SIMPLE = 505,
    METICULOUS = 506,
    SESSIONS = 507,
    BABEL = 508,
    METRIC = 509,
    RXCOST = 510,
    HELLO = 511,
    UPDATE = 512,
    WIRED = 513,
    WIRELESS = 514,
    BUFFER = 515,
    PRIORITY = 516,
    CHECK = 517,
    LINK = 518,
    HOP = 519,
    BABEL_METRIC = 520,
    ENTRIES = 521,
    RANDOMIZE = 522,
    HOLD = 523,
    TIME = 524,
    CONNECT = 525,
    RETRY = 526,
    KEEPALIVE = 527,
    STARTUP = 528,
    VIA = 529,
    SELF = 530,
    PATH = 531,
    START = 532,
    DELAY = 533,
    FORGET = 534,
    AFTER = 535,
    BGP_PATH = 536,
    BGP_LOCAL_PREF = 537,
    BGP_MED = 538,
    BGP_ORIGIN = 539,
    BGP_NEXT_HOP = 540,
    BGP_ATOMIC_AGGR = 541,
    BGP_AGGREGATOR = 542,
    BGP_COMMUNITY = 543,
    BGP_EXT_COMMUNITY = 544,
    BGP_LARGE_COMMUNITY = 545,
    ADDRESS = 546,
    RR = 547,
    RS = 548,
    CLIENT = 549,
    CLUSTER = 550,
    AS4 = 551,
    ADVERTISE = 552,
    CAPABILITIES = 553,
    PREFER = 554,
    OLDER = 555,
    MISSING = 556,
    LLADDR = 557,
    DROP = 558,
    IGNORE = 559,
    REFRESH = 560,
    INTERPRET = 561,
    COMMUNITIES = 562,
    BGP_ORIGINATOR_ID = 563,
    BGP_CLUSTER_LIST = 564,
    IGP = 565,
    GATEWAY = 566,
    RECURSIVE = 567,
    MED = 568,
    TTL = 569,
    SECURITY = 570,
    DETERMINISTIC = 571,
    SECONDARY = 572,
    ALLOW = 573,
    PATHS = 574,
    AWARE = 575,
    EXTENDED = 576,
    SETKEY = 577,
    STRICT = 578,
    BIND = 579,
    CONFEDERATION = 580,
    MEMBER = 581,
    MULTICAST = 582,
    LIVED = 583,
    STALE = 584,
    IBGP = 585,
    EBGP = 586,
    MANDATORY = 587,
    INTERNAL = 588,
    EXTERNAL = 589,
    DYNAMIC = 590,
    RANGE = 591,
    NAME = 592,
    DIGITS = 593,
    CEASE = 594,
    HIT = 595,
    ADMINISTRATIVE = 596,
    SHUTDOWN = 597,
    PEER = 598,
    CONFIGURATION = 599,
    CHANGE = 600,
    DECONFIGURED = 601,
    CONNECTION = 602,
    REJECTED = 603,
    COLLISION = 604,
    OF = 605,
    MRT = 606,
    FILENAME = 607,
    PERIOD = 608,
    ALWAYS = 609,
    OSPF = 610,
    V2 = 611,
    V3 = 612,
    OSPF_METRIC1 = 613,
    OSPF_METRIC2 = 614,
    OSPF_TAG = 615,
    OSPF_ROUTER_ID = 616,
    AREA = 617,
    RFC1583COMPAT = 618,
    STUB = 619,
    TICK = 620,
    COST = 621,
    COST2 = 622,
    RETRANSMIT = 623,
    TRANSMIT = 624,
    DEAD = 625,
    BROADCAST = 626,
    BCAST = 627,
    NONBROADCAST = 628,
    NBMA = 629,
    POINTOPOINT = 630,
    PTP = 631,
    POINTOMULTIPOINT = 632,
    PTMP = 633,
    CRYPTOGRAPHIC = 634,
    ELIGIBLE = 635,
    POLL = 636,
    NETWORKS = 637,
    HIDDEN = 638,
    VIRTUAL = 639,
    ONLY = 640,
    LARGE = 641,
    NORMAL = 642,
    STUBNET = 643,
    TAG = 644,
    LSADB = 645,
    ECMP = 646,
    WEIGHT = 647,
    NSSA = 648,
    TRANSLATOR = 649,
    STABILITY = 650,
    GLOBAL = 651,
    LSID = 652,
    INSTANCE = 653,
    REAL = 654,
    NETMASK = 655,
    MERGE = 656,
    LSA = 657,
    SUPPRESSION = 658,
    RFC5838 = 659,
    PE = 660,
    TOPOLOGY = 661,
    STATE = 662,
    PERF = 663,
    EXP = 664,
    REPEAT = 665,
    THRESHOLD = 666,
    MODE = 667,
    PIPE = 668,
    RADV = 669,
    RA = 670,
    MANAGED = 671,
    OTHER = 672,
    CONFIG = 673,
    LINGER = 674,
    MTU = 675,
    REACHABLE = 676,
    RETRANS = 677,
    TIMER = 678,
    CURRENT = 679,
    VALID = 680,
    PREFERRED = 681,
    MULT = 682,
    LIFETIME = 683,
    SKIP = 684,
    ONLINK = 685,
    AUTONOMOUS = 686,
    RDNSS = 687,
    DNSSL = 688,
    NS = 689,
    DOMAIN = 690,
    TRIGGER = 691,
    SENSITIVE = 692,
    LOW = 693,
    MEDIUM = 694,
    HIGH = 695,
    PROPAGATE = 696,
    RA_PREFERENCE = 697,
    RA_LIFETIME = 698,
    RIP = 699,
    NG = 700,
    INFINITY = 701,
    TIMEOUT = 702,
    GARBAGE = 703,
    VERSION = 704,
    SPLIT = 705,
    HORIZON = 706,
    POISON = 707,
    REVERSE = 708,
    ZERO = 709,
    PLAINTEXT = 710,
    RIP_METRIC = 711,
    RIP_TAG = 712,
    RPKI = 713,
    REMOTE = 714,
    BIRD = 715,
    PRIVATE = 716,
    PUBLIC = 717,
    KEY = 718,
    SSH = 719,
    TRANSPORT = 720,
    USER = 721,
    EXPIRE = 722,
    STATIC = 723,
    PROHIBIT = 724,
    BLACKHOLE = 725,
    UNREACHABLE = 726,
    KERNEL = 727,
    KRT_PREFSRC = 728,
    KRT_REALM = 729,
    KRT_SCOPE = 730,
    KRT_MTU = 731,
    KRT_WINDOW = 732,
    KRT_RTT = 733,
    KRT_RTTVAR = 734,
    KRT_SSTRESH = 735,
    KRT_CWND = 736,
    KRT_ADVMSS = 737,
    KRT_REORDERING = 738,
    KRT_HOPLIMIT = 739,
    KRT_INITCWND = 740,
    KRT_RTO_MIN = 741,
    KRT_INITRWND = 742,
    KRT_QUICKACK = 743,
    KRT_LOCK_MTU = 744,
    KRT_LOCK_WINDOW = 745,
    KRT_LOCK_RTT = 746,
    KRT_LOCK_RTTVAR = 747,
    KRT_LOCK_SSTRESH = 748,
    KRT_LOCK_CWND = 749,
    KRT_LOCK_ADVMSS = 750,
    KRT_LOCK_REORDERING = 751,
    KRT_LOCK_HOPLIMIT = 752,
    KRT_LOCK_RTO_MIN = 753,
    KRT_FEATURE_ECN = 754,
    KRT_FEATURE_ALLFRAG = 755,
    SYSLOG = 756,
    TRACE = 757,
    INFO = 758,
    WARNING = 759,
    AUTH = 760,
    FATAL = 761,
    BUG = 762,
    STDERR = 763,
    SOFT = 764,
    CONFIRM = 765,
    UNDO = 766,
    LATENCY = 767,
    WATCHDOG = 768,
    CONFIGURE = 769,
    DOWN = 770,
    PERSIST = 771,
    SCAN = 772,
    LEARN = 773,
    DEVICE = 774,
    KRT_SOURCE = 775,
    KRT_METRIC = 776
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 53 "conf/confbase.Y" /* yacc.c:355  */

  uint i;
  u32 i32;
  u64 i64;
  ip_addr a;
  ip4_addr ip4;
  ip6_addr ip6;
  net_addr net;
  net_addr *net_ptr;
  struct symbol *s;
  char *t;
  struct rtable_config *r;
  struct channel_config *cc;
  struct f_inst *x;
  struct {
    struct f_inst *begin, *end;
  } xp;
  enum filter_return fret;
  enum ec_subtype ecs;
  struct f_dynamic_attr fda;
  struct f_static_attr fsa;
  struct f_lval flv;
  struct f_line *fl;
  const struct filter *f;
  struct f_tree *e;
  struct f_trie *trie;
  struct f_val v;
  struct password_item *p;
  struct rt_show_data *ra;
  struct sym_show_data *sd;
  struct lsadb_show_data *ld;
  struct mrt_dump_data *md;
  struct iface *iface;
  void *g;
  btime time;
  struct f_prefix px;
  struct proto_spec ps;
  struct channel_limit cl;
  struct timeformat *tf;
  mpls_label_stack *mls;

#line 1597 "obj/conf/cf-parse.tab.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE cf_lval;

int cf_parse (void);

#endif /* !YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1614 "obj/conf/cf-parse.tab.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
# define YYCOPY_NEEDED 1
#endif


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  79
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   6020

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  543
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  408
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1371
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  2514

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   776

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    34,     2,     2,     2,    33,     2,     2,
     534,   535,    31,    29,   536,    30,    35,    32,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   539,   533,
      25,    24,    26,   540,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   541,     2,   542,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   537,     2,   538,    27,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    28,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   132,   132,   133,   136,   138,   141,   146,   149,   157,
     158,   159,   165,   166,   167,   170,   170,   175,   176,   177,
     178,   179,   180,   187,   188,   189,   196,   197,   204,   210,
     220,   233,   252,   258,   264,   272,   280,   286,   286,   287,
     287,   288,   288,   291,   292,   293,   294,   295,   296,   303,
     304,   312,   313,   321,   322,   330,   331,   332,   333,   334,
     344,   352,   353,   362,   370,   371,   378,   379,    37,    38,
      39,    40,    41,    42,    43,    44,    48,    49,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    64,    65,    66,
      67,    70,    71,    75,    79,    83,    84,    88,    92,   101,
     102,   106,   110,   114,   121,   122,   126,   127,   128,   129,
     133,   136,   139,   145,   149,   150,   151,   155,   159,   165,
     166,   167,   168,   171,   173,   176,   178,   182,   189,   190,
     192,   198,   204,   204,     9,     9,    10,    10,    11,    11,
     468,   470,   470,   480,   482,   485,   486,   490,   492,   503,
     505,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   556,   558,   565,
     566,   573,   574,   580,   583,   587,   595,   602,   608,   610,
     610,   623,   624,   627,   632,   642,   645,   654,   655,   668,
     669,   670,   671,   672,   676,   684,   685,   686,   687,   691,
     694,   695,   696,   697,   698,   699,   700,   701,   702,   703,
     708,   709,   710,   711,   715,   716,   717,   721,   722,   723,
     724,   725,   726,   727,   728,   733,   734,   735,   736,   737,
     741,   742,   743,   744,   745,   749,   750,   754,   755,   759,
     760,   761,   762,   770,   771,   774,   775,   783,   793,   794,
     798,   802,   803,   804,   805,   806,   807,   811,   812,   813,
     814,   815,   816,   817,   818,   823,   824,   828,   829,   830,
     831,   836,   837,   838,   841,   865,   884,   885,   886,   887,
     888,   889,   890,   891,   892,   896,   897,   898,   899,   900,
     901,   902,   903,   904,   905,   906,   907,   908,   909,   910,
     911,   912,   914,   915,   916,   918,   920,   922,   924,   925,
     926,   927,   928,   929,   930,   931,   932,   933,   934,   935,
     945,   946,   947,   948,   949,   950,   951,   952,   954,   955,
     957,   961,   965,   966,   967,   968,   971,   972,   973,   982,
     985,   988,  1000,  1004,  1007,  1012,  1015,  1018,  1029,  1033,
    1036,  1037,  1041,  1042,  1043,  1044,  1045,  1046,  1047,  1051,
    1056,  1057,  1058,  1059,   106,   109,   110,   114,   115,   116,
     117,   127,   129,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   152,   155,   156,   159,   169,   172,   173,
     177,   183,   187,   197,   207,   209,   210,   211,   212,   213,
     214,   215,   219,   225,   230,   231,   232,   233,   234,   235,
     236,   239,   241,   244,   246,   250,   257,   260,   263,   264,
     265,   266,   270,   271,   272,   273,   274,   278,   279,   283,
     286,   287,   292,   295,   296,   297,   298,   302,   303,   304,
     305,   306,   307,   308,   309,   313,   320,   328,   329,   333,
     334,   338,   343,   344,   348,   350,   358,   362,   363,   368,
     370,   377,   378,   379,   380,   381,   385,   393,   399,   400,
     401,   405,   406,   410,   411,   412,   413,   414,   415,   421,
     422,   423,   427,   428,   432,   433,   439,   440,   443,   445,
     449,   450,   454,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   501,   501,   504,   504,   507,   507,   510,   510,
     514,   515,   518,   518,   521,   521,   525,   525,   529,   535,
     540,   546,   552,   559,   570,   575,   580,   584,   588,   592,
     602,   613,   622,   626,   633,   637,   638,   639,   640,   644,
     648,   652,   666,   667,   668,   669,   672,   673,   674,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   689,
     690,   691,   692,   693,   694,   695,   696,   697,   698,   702,
     702,   706,   709,   710,   711,   712,   713,   714,   719,   719,
     721,   721,   723,   723,   725,   725,   727,   727,   729,   729,
     731,   731,   733,   733,   735,   735,   738,   738,   742,   742,
     748,   749,   750,   754,   755,   761,   761,   763,   763,   765,
     765,   767,   767,   769,   769,   771,   771,   775,   775,   779,
     779,   782,   782,   786,   787,   788,   792,   793,   794,   797,
      34,    36,    44,    45,    46,    47,    50,    52,    56,    60,
      74,    94,    95,    96,    97,    98,    99,   100,   101,   105,
     106,   107,   108,   109,   110,   113,   115,   118,   120,   124,
     127,   132,   133,   134,   138,   139,   143,   144,   147,   166,
     166,    32,    34,    42,    43,    44,    45,    48,    50,    54,
      58,    72,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   114,   116,   119,
     121,   126,   128,   132,   132,   135,   135,   138,   138,   141,
     141,    46,    48,    77,    79,    80,    83,    85,    86,    87,
      88,    93,    94,    98,    99,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   115,   116,   117,   118,   119,   123,
     124,   130,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   209,   234,   235,   236,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   271,
     273,   276,   278,   282,   289,   292,   294,   296,   298,   300,
     302,   304,   306,   308,   310,   312,   314,    26,    28,    34,
      35,    36,    37,    38,    39,    40,    41,    44,    46,    50,
      53,    53,    57,    58,    59,    60,    61,    62,   211,   214,
     215,   216,   219,   235,   236,   240,   241,   245,   255,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   275,   290,   293,   295,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   308,   309,
     309,   310,   311,   312,   316,   317,   321,   329,   331,   335,
     336,   337,   341,   342,   345,   347,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   363,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   422,   424,   427,   429,
     437,   439,   440,   443,   445,   449,   450,   453,   463,   484,
     486,   490,   490,   493,   495,   498,   500,   504,   507,   508,
     509,   510,   513,   513,   516,   516,   519,   519,   524,   524,
     527,   527,   532,   532,   535,   535,   539,   539,   543,   546,
     547,   548,   549,   550,   551,   552,   553,    24,    26,    39,
      40,    41,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    23,    26,    25,    40,    41,    42,    43,    42,    44,
      55,    56,    57,    58,    59,    59,    60,    60,    61,    62,
      65,    67,    71,    75,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   112,   116,   117,   118,   119,   120,
     121,   121,   122,   122,   123,   124,   128,   129,   130,   133,
     171,   173,   176,   178,   182,   185,   197,   198,   199,   200,
     204,   211,   219,   221,   224,   226,   230,   234,   244,   249,
     250,   251,   255,   267,   269,   273,   274,   278,   291,   296,
     297,   298,   302,   314,   316,   320,   321,   326,   327,   331,
     332,   335,   336,    45,    48,    49,    52,    66,    67,    68,
      69,    70,    71,    74,    76,    80,    84,   108,   138,   139,
     140,   141,   142,   143,   144,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   169,   170,   171,   172,   175,   177,   180,
     182,   186,   189,   190,   194,   194,   197,   197,    41,    43,
      50,    52,    54,    58,    59,    60,    61,    62,    63,    64,
      70,    76,    85,    86,    89,    92,    96,   107,   108,   112,
     119,   125,   127,   131,   132,   133,   137,    54,    56,    63,
      64,    65,    66,    67,    75,    79,    84,    89,    92,    95,
      99,   105,   106,   109,   121,   122,   126,   131,   132,   133,
     134,   135,   136,   140,   149,   151,   154,   156,   160,   160,
      22,    25,    26,    29,    30,    31,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    60,
      61,    31,    33,    35,    42,    43,    46,    48,    52,    59,
      60,    64,    65,    69,    70,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    86,    89,    90,    98,   101,   102,
     103,   104,   112,   112,   115,   115,   122,   122,   125,   125,
     128,   128,   131,   131,   134,   134,   137,   137,   142,   143,
     147,   148,   149,    41,    43,    48,    49,    52,    53,    57,
      58,    59,    60,    64,    71,    72,    83,    85,    88,    89,
      92,    93,    94,   101,   108,   111,   113,   116,   118,   122,
     125,   126
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 1
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "END", "CLI_MARKER", "INVALID_TOKEN",
  "ELSECOL", "DDOT", "GEQ", "LEQ", "NEQ", "AND", "OR", "PO", "PC", "NUM",
  "ENUM", "IP4", "IP6", "VPN_RD", "CF_SYM_KNOWN", "CF_SYM_UNDEFINED",
  "TEXT", "PREFIX_DUMMY", "'='", "'<'", "'>'", "'~'", "NMA", "'+'", "'-'",
  "'*'", "'/'", "'%'", "'!'", "'.'", "DEFINE", "ON", "OFF", "YES", "NO",
  "S", "MS", "US", "PORT", "VPN", "MPLS", "FROM", "FLOW4", "FLOW6", "DST",
  "SRC", "PROTO", "NEXT", "HEADER", "DPORT", "SPORT", "ICMP", "TYPE",
  "CODE", "TCP", "FLAGS", "LENGTH", "DSCP", "DONT_FRAGMENT", "IS_FRAGMENT",
  "FIRST_FRAGMENT", "LAST_FRAGMENT", "FRAGMENT", "LABEL", "OFFSET", "QUIT",
  "EXIT", "HELP", "FUNCTION", "PRINT", "PRINTN", "UNSET", "RETURN",
  "ACCEPT", "REJECT", "ERROR", "QUITBIRD", "INT", "BOOL", "IP", "PREFIX",
  "RD", "PAIR", "QUAD", "EC", "LC", "SET", "STRING", "BGPMASK", "BGPPATH",
  "CLIST", "ECLIST", "LCLIST", "IF", "THEN", "ELSE", "CASE", "TRUE",
  "FALSE", "RT", "RO", "UNKNOWN", "GENERIC", "GW", "NET", "MASK", "SOURCE",
  "SCOPE", "DEST", "IFNAME", "IFINDEX", "PREFERENCE", "ROA_CHECK", "ASN",
  "IS_V4", "IS_V6", "LEN", "MAXLEN", "DEFINED", "ADD", "DELETE",
  "CONTAINS", "RESET", "PREPEND", "FIRST", "LAST", "LAST_NONAGGREGATED",
  "MATCH", "EMPTY", "FILTER", "WHERE", "EVAL", "ATTRIBUTE", "BT_ASSERT",
  "BT_TEST_SUITE", "BT_CHECK_ASSIGN", "BT_TEST_SAME", "FORMAT", "ROUTER",
  "ID", "PROTOCOL", "TEMPLATE", "DISABLED", "DEBUG", "ALL", "DIRECT",
  "INTERFACE", "IMPORT", "EXPORT", "NONE", "VRF", "DEFAULT", "TABLE",
  "STATES", "ROUTES", "FILTERS", "IPV4", "IPV6", "VPN4", "VPN6", "ROA4",
  "ROA6", "SADR", "RECEIVE", "LIMIT", "ACTION", "WARN", "BLOCK", "RESTART",
  "DISABLE", "KEEP", "FILTERED", "PASSWORD", "PASSIVE", "TO", "EVENTS",
  "PACKETS", "PROTOCOLS", "INTERFACES", "ALGORITHM", "KEYED", "HMAC",
  "MD5", "SHA1", "SHA256", "SHA384", "SHA512", "PRIMARY", "STATS", "COUNT",
  "BY", "FOR", "COMMANDS", "PREEXPORT", "NOEXPORT", "GENERATE", "BGP",
  "PASSWORDS", "DESCRIPTION", "SORTED", "RELOAD", "IN", "OUT", "MRTDUMP",
  "MESSAGES", "RESTRICT", "MEMORY", "IGP_METRIC", "CLASS", "TIMEFORMAT",
  "ISO", "SHORT", "LONG", "ROUTE", "BASE", "LOG", "GRACEFUL", "WAIT",
  "MAX", "FLUSH", "AS", "IPV4_MC", "IPV4_MPLS", "IPV6_MC", "IPV6_MPLS",
  "IPV6_SADR", "VPN4_MC", "VPN4_MPLS", "VPN6_MC", "VPN6_MPLS", "PRI",
  "SEC", "SHOW", "STATUS", "SUMMARY", "SYMBOLS", "DUMP", "RESOURCES",
  "SOCKETS", "NEIGHBORS", "ATTRIBUTES", "ECHO", "ENABLE", "BFD", "MIN",
  "IDLE", "RX", "TX", "INTERVAL", "MULTIPLIER", "MULTIHOP", "NEIGHBOR",
  "DEV", "LOCAL", "AUTHENTICATION", "SIMPLE", "METICULOUS", "SESSIONS",
  "BABEL", "METRIC", "RXCOST", "HELLO", "UPDATE", "WIRED", "WIRELESS",
  "BUFFER", "PRIORITY", "CHECK", "LINK", "HOP", "BABEL_METRIC", "ENTRIES",
  "RANDOMIZE", "HOLD", "TIME", "CONNECT", "RETRY", "KEEPALIVE", "STARTUP",
  "VIA", "SELF", "PATH", "START", "DELAY", "FORGET", "AFTER", "BGP_PATH",
  "BGP_LOCAL_PREF", "BGP_MED", "BGP_ORIGIN", "BGP_NEXT_HOP",
  "BGP_ATOMIC_AGGR", "BGP_AGGREGATOR", "BGP_COMMUNITY",
  "BGP_EXT_COMMUNITY", "BGP_LARGE_COMMUNITY", "ADDRESS", "RR", "RS",
  "CLIENT", "CLUSTER", "AS4", "ADVERTISE", "CAPABILITIES", "PREFER",
  "OLDER", "MISSING", "LLADDR", "DROP", "IGNORE", "REFRESH", "INTERPRET",
  "COMMUNITIES", "BGP_ORIGINATOR_ID", "BGP_CLUSTER_LIST", "IGP", "GATEWAY",
  "RECURSIVE", "MED", "TTL", "SECURITY", "DETERMINISTIC", "SECONDARY",
  "ALLOW", "PATHS", "AWARE", "EXTENDED", "SETKEY", "STRICT", "BIND",
  "CONFEDERATION", "MEMBER", "MULTICAST", "LIVED", "STALE", "IBGP", "EBGP",
  "MANDATORY", "INTERNAL", "EXTERNAL", "DYNAMIC", "RANGE", "NAME",
  "DIGITS", "CEASE", "HIT", "ADMINISTRATIVE", "SHUTDOWN", "PEER",
  "CONFIGURATION", "CHANGE", "DECONFIGURED", "CONNECTION", "REJECTED",
  "COLLISION", "OF", "MRT", "FILENAME", "PERIOD", "ALWAYS", "OSPF", "V2",
  "V3", "OSPF_METRIC1", "OSPF_METRIC2", "OSPF_TAG", "OSPF_ROUTER_ID",
  "AREA", "RFC1583COMPAT", "STUB", "TICK", "COST", "COST2", "RETRANSMIT",
  "TRANSMIT", "DEAD", "BROADCAST", "BCAST", "NONBROADCAST", "NBMA",
  "POINTOPOINT", "PTP", "POINTOMULTIPOINT", "PTMP", "CRYPTOGRAPHIC",
  "ELIGIBLE", "POLL", "NETWORKS", "HIDDEN", "VIRTUAL", "ONLY", "LARGE",
  "NORMAL", "STUBNET", "TAG", "LSADB", "ECMP", "WEIGHT", "NSSA",
  "TRANSLATOR", "STABILITY", "GLOBAL", "LSID", "INSTANCE", "REAL",
  "NETMASK", "MERGE", "LSA", "SUPPRESSION", "RFC5838", "PE", "TOPOLOGY",
  "STATE", "PERF", "EXP", "REPEAT", "THRESHOLD", "MODE", "PIPE", "RADV",
  "RA", "MANAGED", "OTHER", "CONFIG", "LINGER", "MTU", "REACHABLE",
  "RETRANS", "TIMER", "CURRENT", "VALID", "PREFERRED", "MULT", "LIFETIME",
  "SKIP", "ONLINK", "AUTONOMOUS", "RDNSS", "DNSSL", "NS", "DOMAIN",
  "TRIGGER", "SENSITIVE", "LOW", "MEDIUM", "HIGH", "PROPAGATE",
  "RA_PREFERENCE", "RA_LIFETIME", "RIP", "NG", "INFINITY", "TIMEOUT",
  "GARBAGE", "VERSION", "SPLIT", "HORIZON", "POISON", "REVERSE", "ZERO",
  "PLAINTEXT", "RIP_METRIC", "RIP_TAG", "RPKI", "REMOTE", "BIRD",
  "PRIVATE", "PUBLIC", "KEY", "SSH", "TRANSPORT", "USER", "EXPIRE",
  "STATIC", "PROHIBIT", "BLACKHOLE", "UNREACHABLE", "KERNEL",
  "KRT_PREFSRC", "KRT_REALM", "KRT_SCOPE", "KRT_MTU", "KRT_WINDOW",
  "KRT_RTT", "KRT_RTTVAR", "KRT_SSTRESH", "KRT_CWND", "KRT_ADVMSS",
  "KRT_REORDERING", "KRT_HOPLIMIT", "KRT_INITCWND", "KRT_RTO_MIN",
  "KRT_INITRWND", "KRT_QUICKACK", "KRT_LOCK_MTU", "KRT_LOCK_WINDOW",
  "KRT_LOCK_RTT", "KRT_LOCK_RTTVAR", "KRT_LOCK_SSTRESH", "KRT_LOCK_CWND",
  "KRT_LOCK_ADVMSS", "KRT_LOCK_REORDERING", "KRT_LOCK_HOPLIMIT",
  "KRT_LOCK_RTO_MIN", "KRT_FEATURE_ECN", "KRT_FEATURE_ALLFRAG", "SYSLOG",
  "TRACE", "INFO", "WARNING", "AUTH", "FATAL", "BUG", "STDERR", "SOFT",
  "CONFIRM", "UNDO", "LATENCY", "WATCHDOG", "CONFIGURE", "DOWN", "PERSIST",
  "SCAN", "LEARN", "DEVICE", "KRT_SOURCE", "KRT_METRIC", "';'", "'('",
  "')'", "','", "'{'", "'}'", "':'", "'?'", "'['", "']'", "$accept",
  "config", "conf_entries", "conf", "definition", "expr", "expr_us",
  "symbol", "bool", "ipa", "ipa_scope", "pxlen4", "net_ip4_", "net_ip6_",
  "net_ip6_sadr_", "net_vpn4_", "net_vpn6_", "net_roa4_", "net_roa6_",
  "net_mpls_", "net_ip_", "net_vpn_", "net_roa_", "net_", "net_ip6",
  "net_ip", "net_any", "net_or_ipa", "label_stack_start", "label_stack",
  "time", "text", "opttext", "flow_num_op", "flow_logic_op",
  "flow_num_type_", "flow_num_type", "flow_flag_type", "flow_frag_type",
  "flow_label_type", "flow_srcdst", "flow_num_opts",
  "flow_num_opt_ext_expr", "flow_num_opt_ext", "flow_bmk_opts", "flow_neg",
  "flow_frag_val", "flow_frag_opts", "flow4_item", "flow6_item",
  "flow4_opts", "flow6_opts", "flow_builder_init", "flow_builder_set_ipv4",
  "flow_builder_set_ipv6", "net_flow4_", "net_flow6_", "net_flow_",
  "cli_cmd", "cmd_QUIT", "cmd_EXIT", "cmd_HELP", "filter_def", "$@1",
  "filter_eval", "custom_attr", "bt_test_suite", "bt_test_same", "type",
  "function_argsn", "function_args", "function_vars", "filter_body",
  "filter", "where_filter", "function_body", "function_def", "$@2", "cmds",
  "cmds_int", "block", "fipa", "set_atom", "switch_atom", "cnum",
  "pair_item", "ec_kind", "ec_item", "lc_item", "set_item", "switch_item",
  "set_items", "switch_items", "fprefix", "fprefix_set", "switch_body",
  "bgp_path_expr", "bgp_path", "bgp_path_tail", "constant", "constructor",
  "var_list", "function_call", "symbol_value", "static_attr", "term",
  "break_command", "print_list", "cmd", "get_cf_position", "lvalue",
  "rtrid", "idval", "gr_opts", "net_type", "table_sorted", "table",
  "proto_start", "proto_name", "proto_item", "channel_start",
  "channel_item", "channel_opts", "channel_opt_list", "channel_end",
  "proto_channel", "rtable", "imexport", "limit_action", "limit_spec",
  "debug_default", "timeformat_which", "timeformat_spec",
  "timeformat_base", "iface_patt_node_init", "iface_patt_node_body",
  "iface_negate", "iface_patt_node", "iface_patt_list",
  "iface_patt_list_nopx", "iface_patt_init", "iface_patt", "tos", "proto",
  "dev_proto_start", "dev_proto", "dev_iface_init", "dev_iface_patt",
  "debug_mask", "debug_list", "debug_flag", "mrtdump_mask", "mrtdump_list",
  "mrtdump_flag", "password_list", "password_items", "password_item",
  "password_item_begin", "password_item_params", "password_algorithm",
  "cmd_SHOW_STATUS", "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS",
  "cmd_SHOW_PROTOCOLS_ALL", "optproto", "cmd_SHOW_INTERFACES",
  "cmd_SHOW_INTERFACES_SUMMARY", "cmd_SHOW_ROUTE", "r_args", "r_args_for",
  "r_args_for_val", "export_mode", "r_args_channel", "cmd_SHOW_SYMBOLS",
  "sym_args", "cmd_DUMP_RESOURCES", "cmd_DUMP_SOCKETS", "cmd_DUMP_EVENTS",
  "cmd_DUMP_INTERFACES", "cmd_DUMP_NEIGHBORS", "cmd_DUMP_ATTRIBUTES",
  "cmd_DUMP_ROUTES", "cmd_DUMP_PROTOCOLS", "cmd_DUMP_FILTER_ALL",
  "cmd_EVAL", "cmd_ECHO", "echo_mask", "echo_size", "cmd_DISABLE",
  "cmd_ENABLE", "cmd_RESTART", "cmd_RELOAD", "cmd_RELOAD_IN",
  "cmd_RELOAD_OUT", "cmd_DEBUG", "cmd_MRTDUMP", "cmd_RESTRICT",
  "proto_patt", "proto_patt2", "dynamic_attr", "bfd_proto_start",
  "bfd_proto_item", "bfd_proto_opts", "bfd_proto", "bfd_iface_start",
  "bfd_iface_finish", "bfd_iface_item", "bfd_auth_type", "bfd_iface_opts",
  "bfd_iface_opt_list", "bfd_iface", "bfd_multihop", "bfd_neigh_iface",
  "bfd_neigh_local", "bfd_neigh_multihop", "bfd_neighbor",
  "cmd_SHOW_BFD_SESSIONS", "babel_proto_start", "babel_proto_item",
  "babel_proto_opts", "babel_proto", "babel_iface_start",
  "babel_iface_finish", "babel_iface_item", "babel_iface_opts",
  "babel_iface_opt_list", "babel_iface", "cmd_SHOW_BABEL_INTERFACES",
  "cmd_SHOW_BABEL_NEIGHBORS", "cmd_SHOW_BABEL_ENTRIES",
  "cmd_SHOW_BABEL_ROUTES", "bgp_proto_start", "bgp_loc_opts",
  "bgp_nbr_opts", "bgp_cease_mask", "bgp_cease_list", "bgp_cease_flag",
  "bgp_proto", "bgp_afi", "bgp_channel_start", "bgp_nh",
  "bgp_channel_item", "bgp_channel_opts", "bgp_channel_opt_list",
  "bgp_channel_end", "bgp_proto_channel", "mrt_proto_start",
  "mrt_proto_item", "mrt_proto_opts", "mrt_proto", "cmd_MRT_DUMP",
  "mrt_dump_args", "ospf_variant", "ospf_proto_start", "ospf_proto",
  "ospf_af_mc", "ospf_channel_start", "ospf_channel", "ospf_proto_item",
  "ospf_area_start", "ospf_area", "ospf_area_opts", "ospf_area_item",
  "$@3", "$@4", "ospf_stubnet", "ospf_stubnet_start", "ospf_stubnet_opts",
  "ospf_stubnet_item", "ospf_vlink", "ospf_vlink_opts", "ospf_vlink_item",
  "ospf_vlink_start", "ospf_iface_item", "pref_list", "pref_item",
  "pref_base", "pref_opt", "nbma_list", "nbma_eligible", "nbma_item",
  "ospf_iface_start", "ospf_instance_id", "ospf_iface_patt_list", "$@5",
  "ospf_iface_opts", "ospf_iface_opt_list", "ospf_iface", "cmd_SHOW_OSPF",
  "cmd_SHOW_OSPF_NEIGHBORS", "cmd_SHOW_OSPF_INTERFACE",
  "cmd_SHOW_OSPF_TOPOLOGY", "cmd_SHOW_OSPF_TOPOLOGY_ALL",
  "cmd_SHOW_OSPF_STATE", "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB",
  "lsadb_args", "perf_proto_start", "perf_proto", "perf_proto_item",
  "pipe_proto_start", "$@6", "pipe_proto", "radv_proto_start",
  "radv_proto_item", "$@7", "$@8", "radv_proto_opts", "radv_proto",
  "radv_iface_start", "radv_iface_item", "$@9", "$@10", "radv_preference",
  "radv_iface_finish", "radv_iface_opts", "radv_iface_opt_list",
  "radv_iface", "radv_prefix_start", "radv_prefix_item",
  "radv_prefix_finish", "radv_prefix_opts", "radv_prefix_opt_list",
  "radv_prefix", "radv_rdnss_node", "radv_rdnss_start", "radv_rdnss_item",
  "radv_rdnss_finish", "radv_rdnss_opts", "radv_rdnss", "radv_dnssl_node",
  "radv_dnssl_start", "radv_dnssl_item", "radv_dnssl_finish",
  "radv_dnssl_opts", "radv_dnssl", "radv_mult", "radv_sensitive",
  "rip_variant", "rip_proto_start", "rip_proto_item", "rip_proto_opts",
  "rip_proto", "rip_iface_start", "rip_iface_finish", "rip_iface_item",
  "rip_auth", "rip_iface_opts", "rip_iface_opt_list", "rip_iface",
  "cmd_SHOW_RIP_INTERFACES", "cmd_SHOW_RIP_NEIGHBORS", "rpki_proto_start",
  "rpki_proto", "rpki_proto_opts", "rpki_proto_item", "rpki_keep_interval",
  "rpki_proto_item_port", "rpki_cache_addr", "rpki_transport",
  "rpki_transport_tcp_init", "rpki_transport_ssh_init",
  "rpki_transport_ssh_opts", "rpki_transport_ssh_item",
  "rpki_transport_ssh_check", "static_proto_start", "static_proto",
  "stat_nexthop", "stat_nexthops", "stat_route0", "stat_route",
  "stat_route_item", "stat_route_opts", "stat_route_opt_list",
  "cmd_SHOW_STATIC", "kern_proto", "kern_sys_item", "log_begin",
  "log_config", "syslog_name", "log_limit", "log_file", "log_mask",
  "log_mask_list", "log_cat", "mrtdump_base", "debug_unix",
  "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT", "cmd_CONFIGURE_CONFIRM",
  "cmd_CONFIGURE_UNDO", "cmd_CONFIGURE_STATUS", "cmd_CONFIGURE_CHECK",
  "cmd_DOWN", "cmd_GRACEFUL_RESTART", "cfg_name", "cfg_timeout",
  "kern_proto_start", "kern_mp_limit", "kern_item", "kif_proto_start",
  "kif_proto", "kif_item", "kif_iface_start", "kif_iface_item",
  "kif_iface_opts", "kif_iface_opt_list", "kif_iface", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    61,    60,    62,   126,   279,    43,
      45,    42,    47,    37,    33,    46,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   689,   690,   691,   692,   693,
     694,   695,   696,   697,   698,   699,   700,   701,   702,   703,
     704,   705,   706,   707,   708,   709,   710,   711,   712,   713,
     714,   715,   716,   717,   718,   719,   720,   721,   722,   723,
     724,   725,   726,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   746,   747,   748,   749,   750,   751,   752,   753,
     754,   755,   756,   757,   758,   759,   760,   761,   762,   763,
     764,   765,   766,   767,   768,   769,   770,   771,   772,   773,
     774,   775,   776,    59,    40,    41,    44,   123,   125,    58,
      63,    91,    93
};
# endif

#define YYPACT_NINF -2108

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-2108)))

#define YYTABLE_NINF -67

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-67)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     120,  3044,   250,    94,    66,   314,   419,  4157,   408,   408,
     408,   900,   408,   439,   161,  4114,  1600,    80,   408,   334,
     516,   532, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108,   497, -2108, -2108, -2108,   497,   497,  4157,  3717,    96,
     190,   466, -2108, -2108,   -82, -2108,   490, -2108, -2108, -2108,
   -2108,   612,   483, -2108,   533,  -242, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108,   648, -2108,  4634,
   -2108, -2108, -2108,  1162,  3777,  1162, -2108,  1162, -2108,  1162,
    5482,  1162, -2108,  1162,  3229,  1162,  2850,   342,  3630,  1162,
   -2108,  1162, -2108,  1162, -2108,  1162,  2756,  4470, -2108, -2108,
   -2108,  1162,  1162,  1799, -2108, -2108, -2108,    55, -2108, -2108,
     894,   916,  1072,   438, -2108,   880,   214,  4157,   967, -2108,
     493,   498, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108,   511,   518,   524,   528,   541,   603,   616,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108,  2638,   171,   842,   859, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108,  3400, -2108, -2108, -2108,
   -2108,   124,  1124,  1124,   408,   408,  1155,   169, -2108,  1175,
     757,   245,  1185, -2108,  1189, -2108,   959,  1009,   656,    99,
    1183,  1081,  1249,  1286,  1309,  1324,  1327,  1364,  1375,  1392,
   -2108, -2108,  1174,  1391,  1124, -2108, -2108,  1443,  1418,  1418,
    1450,  1456,  1005, -2108, -2108, -2108,  1451, -2108, -2108,  3328,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108,   848,  1452,  1462,   234,   124,
     205,   655, -2108, -2108, -2108,   169,   963, -2108, -2108, -2108,
   -2108,   211,   965,   308,  1277,   205,   205,   497, -2108, -2108,
   -2108, -2108, -2108,   736, -2108, -2108, -2108,  1047, -2108, -2108,
   -2108, -2108, -2108, -2108,  1485,  1466,   989,  1383,   871,   124,
   -2108,   854,   199,   169,  1262, -2108, -2108,  1013,  1014,  1035,
    1046,  1051,  1058,  1073, -2108, -2108,   -94,  1260,  1050,  1570,
     913,   106,   167,   178,   244,  1316,   199,   871,  1285,  1458,
     756,   338,   117,   627,   753,  1356,  1346,   150,  1359,  1380,
    1408,  1386,   920,  1373,   871,  1369,  1377,  1449,  1453,  1387,
    1397,   260,   871,  1381,    74,  1367, -2108,  1186, -2108,  1188,
    1193,  1190,  1194,  1317,  1558,    59,   871,  1590,   205,   871,
    1591,  1396,   871, -2108,  1404, -2108,  1014, -2108,  1214,  1211,
   -2108,  1212,   871,    65,  1735,   734,  1091, -2108,  1219, -2108,
    1220, -2108,   205,   983,  1379,  1736,  1585,  1603, -2108,  1229,
    1230,  1228,  1231,  1235,  1238,  1623,  1492,  1618, -2108,  1246,
    1252,   720,  1250,  1612,   205,  1460,  1630,   871,  1517,   871,
   -2108, -2108, -2108,  1265,  1267,  1280,  1281, -2108,  1524, -2108,
   -2108,  1287,    57, -2108,    55,  4157,    55,    55,  1807, -2108,
    1810, -2108,  1812,   894,  1790, -2108, -2108,  4157,  1800,   223,
    1798,  1796, -2108, -2108, -2108,  1736,  4157,  4157,  4157,  4157,
    4157,  4157, -2108, -2108,  1817, -2108,  1299,   173, -2108, -2108,
    1790, -2108, -2108,  2010, -2108, -2108,   235, -2108,  1829, -2108,
   -2108, -2108, -2108,   -15, -2108,   249,  1823,  1824, -2108,  4157,
    4157,  4157,  4157,  4157,  4157,  4157,  4157,  4157,  4157,  4157,
    4157,  4157,  4157,  3200, -2108, -2108,   769,  1838, -2108,  1839,
    1844,  1848,  1875, -2108, -2108, -2108,   251,  1878, -2108, -2108,
   -2108,   761,  1879, -2108,  1880, -2108,  5351, -2108,  1473,  1183,
    1183,  1183,  1183,  1183, -2108,  1183,  1183, -2108,   262,   281,
    1881,  1183,  1183,  1882,  1883, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108,   451, -2108, -2108,  1884,  1890,   881, -2108,  1891,
    1005, -2108, -2108,   205,  1892,  4157,  1314, -2108, -2108,  1365,
    1361,  1363, -2108, -2108, -2108, -2108,  4157,  1370, -2108, -2108,
   -2108,  4157, -2108, -2108, -2108, -2108, -2108,   205, -2108, -2108,
    1371, -2108,   205,  1055, -2108,  1552, -2108,   205,   -91,   205,
    1477, -2108, -2108,  1696, -2108, -2108,  1162, -2108, -2108,  1903,
   -2108,    59, -2108, -2108, -2108, -2108, -2108, -2108, -2108,   871,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,  1622,  1631,
     753, -2108,  1393,   205,   205, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108,    41,  1394,  1407,   293,   332,  1596,   871,
    1715,  1413,  1417, -2108,  1419, -2108, -2108, -2108,  1177,  1908,
     647,  1908,    82,   871,   205,  1673,  1678,   205,  1679,   871,
    1680,   871,  1809,   871,  1429,   871,   871,   871,   871,   871,
     871,  1737,   871,  1432,   871,   871,  1434,   141, -2108, -2108,
   -2108, -2108, -2108, -2108,   871,   473, -2108, -2108,   871, -2108,
    1803,   205,   871, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108,  1954,  1955, -2108,   205,   205, -2108, -2108, -2108, -2108,
   -2108,  1956,  4157, -2108, -2108,    90,  1797, -2108, -2108,    90,
   -2108, -2108, -2108,    90,  1736, -2108, -2108, -2108, -2108, -2108,
   -2108,   916,  1072, -2108, -2108, -2108,   871,  1736, -2108, -2108,
   -2108,  1240, -2108,   753, -2108, -2108, -2108,     6,  1690, -2108,
    1445,   871, -2108,   871,   205, -2108,   205, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108,   205, -2108,  1962, -2108, -2108,   907,
   -2108, -2108, -2108, -2108,  1936,  1965,   798,  3328, -2108,  1850,
    1958, -2108, -2108, -2108,   888,   935,   389,   440,   472,   575,
     969, -2108,  4157, -2108,  4157,  1454,     7,  1455,  1070, -2108,
   -2108,  1970,   387,   670, -2108,  1072, -2108,  1763,  1769,  2387,
    2387,  2387,  2578,  2578,  2387,  2387,  2387,  2387,  2387,  1024,
    1024,  1796,  1796, -2108, -2108, -2108, -2108,  1464, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108,   474, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
     486, -2108, -2108,  1996, -2108, -2108, -2108,  1956,  1980, -2108,
    1843, -2108,   312, -2108, -2108, -2108, -2108,  1322, -2108, -2108,
   -2108, -2108,  1984, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
    2002,  1124,  1124,  1124,  1124,  1124,  1124,  1157,  1183,  1124,
    1183,  1124, -2108,  1124,  1124, -2108, -2108,  1174, -2108, -2108,
   -2108, -2108,  1956,  1006,   199, -2108, -2108,  2003, -2108, -2108,
    1372,  1474, -2108,  2752, -2108, -2108, -2108,   199,  1992, -2108,
    1480,  1208, -2108,  1239, -2108, -2108,  1993,  1343,  1347,   199,
   -2108,   199, -2108, -2108,  1174,  1481,  1483, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108,  1987, -2108,  1482,  1487,   320,
   -2108,   972,  4337,   205,   205,  1488, -2108,  1489,  1498,   871,
     232, -2108, -2108,  1861,  1756,   205,  1504,  1509,   871,  1510,
     871, -2108, -2108, -2108, -2108, -2108, -2108,   497, -2108,   205,
     205, -2108, -2108, -2108, -2108,   205,   205, -2108,  1516,  1518,
     205,   205,  1519,   205,  1520,   205,  1521,    59,  1522, -2108,
    1527,  1528,  1530,  1532,  1535,  1536,   194,  1537, -2108,  1540,
    1541, -2108,   205,  1542,  4756, -2108,  1951, -2108,   205, -2108,
   -2108, -2108,   205, -2108, -2108, -2108,  2236, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108,  3328, -2108,  1867, -2108,   871, -2108,
   -2108,  1543,  3869,  4279,  3844,  1544,  1546, -2108,  1908,  2000,
    2035,   871,   205,   871,     6,  4259, -2108, -2108,  1897, -2108,
   -2108,  1482,  1547, -2108,    55, -2108,  2060, -2108, -2108,  4157,
    2051,  2052, -2108, -2108, -2108,  4157, -2108,  4157,  4157,  4157,
    4157, -2108,   611,   267,  2323,  4157,  3049,  4157, -2108,  1553,
   -2108, -2108,  4157, -2108, -2108, -2108,  2068,  2073,  4157,   769,
   -2108,   251, -2108, -2108, -2108, -2108,  2082, -2108, -2108,   894,
     549,  1461, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
    2058, -2108,  2100,  2101,  2102,  2103,  2105,  2107, -2108, -2108,
    2096,    59, -2108, -2108,    59, -2108,    59,  1124,  2109,  1124,
    2118,  2126,  2127, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108,  3717, -2108,  4842,   848,  1597,  1595,  1482, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,   675, -2108,
   -2108, -2108,  2111, -2108, -2108, -2108,  1604, -2108, -2108,   753,
   -2108, -2108,  1605, -2108,  1997, -2108, -2108, -2108,  1607,  1606,
    1610, -2108, -2108, -2108,  1611,   933, -2108,  1621,   248,   205,
    1625, -2108, -2108,  1638, -2108,  1639,   697, -2108,   742, -2108,
   -2108,    95, -2108, -2108, -2108, -2108,  1646,  1647, -2108,  1648,
   -2108,  1649, -2108,  1651, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108,  1652, -2108, -2108, -2108,  1653, -2108,  1876,  1826,
    1029,  1820,  2013,  1886,  2030,   -43,   871,  2147,   871, -2108,
   -2108,  1669,  1956,  1395,   199,   205,  2078, -2108, -2108, -2108,
    1671, -2108, -2108, -2108,   940,   871, -2108,   420, -2108,  1931,
    1177, -2108,   802, -2108,  1675, -2108,  1806,  1237, -2108, -2108,
   -2108,  1241, -2108, -2108, -2108,  1241,  2046, -2108, -2108, -2108,
    1683, -2108,   871,   205, -2108, -2108, -2108,  1684,   205,  2042,
    2042,  1288,   -19,  2042, -2108, -2108, -2108,  1686, -2108, -2108,
   -2108, -2108,  2035, -2108, -2108,  2188, -2108, -2108, -2108,    23,
    4157,  4157,  1687,  4157, -2108, -2108, -2108, -2108,  4157,  4157,
    2198,  1691,  1701, -2108,  1703,  2200,  4157, -2108,   832, -2108,
     205, -2108, -2108, -2108, -2108,  2211,  3328,  2214, -2108,  1534,
    1269,   688,  1268,  1344,  1513,  1545,  4157, -2108,  4157,  1023,
      16,  3328,  1709,  1025,    13,  1710,  2234,  1070, -2108, -2108,
    1626, -2108, -2108,  2216,  2235,   894,  1790,  3918, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,  2249, -2108,
    2260, -2108, -2108, -2108,   848,  1726,  4842, -2108,  1733, -2108,
    2252, -2108,  1430,  1437, -2108, -2108, -2108, -2108, -2108,  1731,
   -2108,    54, -2108, -2108, -2108, -2108,  2124, -2108,   205, -2108,
   -2108,  2106,  1916, -2108,   -24,  1921,  1923,  1207,   828, -2108,
   -2108,  1747,  1748,  1749, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108,   807,   303,   871,
     404,   871,   435,  1736, -2108, -2108, -2108,  2008, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108,  1998, -2108, -2108, -2108,   205,
     205,   871, -2108,  1759,   205, -2108,  1760,    59, -2108, -2108,
    1764,   205, -2108, -2108,   205,  1775, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108,  1776, -2108, -2108, -2108,   147,    77, -2108,
     871, -2108, -2108, -2108,  2114, -2108, -2108, -2108, -2108,   205,
     205, -2108, -2108, -2108,  2256, -2108, -2108, -2108,   205, -2108,
    2188,  2302,  4157,   822,  1785,  1787,  5452,  1845,  2960,   145,
    4157, -2108, -2108, -2108,  4157,  1788,  4157,  1382, -2108,  -292,
    2307,  2293, -2108, -2108, -2108, -2108,  2270, -2108, -2108,  1523,
    2264, -2108, -2108, -2108, -2108, -2108,   202,  2292,  2292,  1177,
    1795, -2108, -2108,   202,  2292,  2292,  2292,  1241,  1801,  4157,
   -2108, -2108, -2108, -2108,  1674,  1784, -2108,  2300,  4157, -2108,
    3192, -2108,  2301,  4157,  2326,  3603,  3746,  1808, -2108,  3918,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108,   895, -2108, -2108, -2108,  1813,   894,
    1790, -2108, -2108, -2108, -2108,  1731, -2108, -2108,   497,   199,
    2076,  1814,   871,  1816,  1999,  2104, -2108, -2108, -2108, -2108,
   -2108, -2108,   933, -2108, -2108, -2108, -2108,   773,   773,   753,
   -2108, -2108, -2108, -2108,  2181,  2079, -2108, -2108, -2108, -2108,
   -2108,   871,   871,  1482,  1819, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,  1821, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,  1825,   205,
   -2108, -2108, -2108, -2108,  1827, -2108, -2108,  2537,  4157, -2108,
   -2108,  1828, -2108,  4751, -2108,  2566,  4157,  5111,  2694, -2108,
    2857,  1833,  1840,  1855,  1857,  1858,   753, -2108,  1865, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108,  2366,   205,  1587, -2108,  1872, -2108,    44,
     205,  1368,    56, -2108, -2108,  1587,    44,    56,    44,  2321,
   -2108,  1907, -2108, -2108,  1859,  1874,  1065,    17,  1885,  1068,
    1887,  1888,    19,  1889,    24, -2108, -2108, -2108, -2108, -2108,
   -2108,   889, -2108, -2108, -2108,   753,  2169, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
     871,   205, -2108, -2108,  1806, -2108, -2108,    78,   118,   596,
     746,   951, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108,  1895,  4842,  2328, -2108,    75, -2108,  3328,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108,  4157,  4157,  4157,
   -2108,  4157, -2108, -2108,   205, -2108, -2108,   205,  1720,   205,
   -2108,  2292,  2292,  2398, -2108, -2108, -2108, -2108, -2108,  2292,
    2292,  2419, -2108, -2108, -2108, -2108,  2412,  4157, -2108, -2108,
   -2108,  2413,  4157, -2108,  4157,  2438, -2108,  4157, -2108, -2108,
     199,   871,  1909,  1360,  2197,   205,   205,   868, -2108, -2108,
   -2108,  1914,  1920, -2108,   871, -2108,  1444, -2108, -2108, -2108,
   -2108,  5450, -2108, -2108, -2108,   471, -2108,   871,   205,   871,
   -2108,  1922,   205,   499,   205,   205,  2165,   311, -2108, -2108,
    1924,  2017,  2020,   871,   871,   871, -2108,  1929,  1933, -2108,
     210,   579,  3204, -2108,   614, -2108,  1927,  4751,  4842, -2108,
   -2108,  2010, -2108, -2108,  2460, -2108, -2108, -2108, -2108,   279,
    1934,  1932,  2138,  2166,  2202,  2230, -2108,  1872,   205, -2108,
     205,   205,   205,  1368,  1368, -2108,  1935,  1937,  1938,  1939,
    1944,  1940,  1945, -2108, -2108,  2303,  2228,  2229,  2231, -2108,
   -2108, -2108,  1428, -2108,  2298, -2108,  1448, -2108, -2108,   205,
    2212,  1352,   205,  2215,   515,   205,  2237,  2238,  2219, -2108,
    1957,  1476,   205,  1985,   871,  2217,   713,   567,   205,   205,
    2250,  2110,  2199,  2142,   871,   205,   205,  2239,   330,  2116,
     205,  2128,  2148, -2108, -2108,  2001, -2108,   205,  2004, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,   205,
     205, -2108, -2108,   205,   205, -2108, -2108, -2108, -2108,   131,
     -51,   405,  2112,  -189,  2098,   871,  2121,  2253,  2119,  2257,
    2276,  2280, -2108,  2007,   336,   753, -2108,  2019,   336,  2521,
   -2108,  2021,   205,   871,   871,  2284,   850,  -106,   205,  2277,
    -203,   753,  2232,  2153,   416,  2279,  2290,   418,  2117,  2120,
   -2108, -2108,  2027,  2139,  2099,   199, -2108,  2040, -2108, -2108,
   -2108,  2263,   177,   321,  4842,  2047,  4157,  2049,  2050,  2067,
    2081, -2108,  2553,  2593, -2108, -2108, -2108, -2108, -2108, -2108,
    4157, -2108,  4157, -2108,  2088,  2094,   205,   205,   205, -2108,
   -2108,  1457,  2606,   361,   205,  2606,  1479,   503,  2092, -2108,
    1505, -2108, -2108, -2108,   205,   205,   205,   205,   205, -2108,
   -2108,   205,   205,   871, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108,   126,   205,   205, -2108,
   -2108, -2108, -2108, -2108, -2108,   871,  2218,   823,   871, -2108,
   -2108, -2108,   205,   205, -2108,   871, -2108,   205,   871, -2108,
   -2108, -2108, -2108, -2108,  2185,  2185,  2354, -2108,  1082,   205,
    1082,  2356,   205,  2383,   205,  2384,   205, -2108,   871,   205,
     205,  2469,   871,   147,   871,    77, -2108,   205, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
     205,   205,   205, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
     205,   871,   871, -2108,   860,   205, -2108, -2108,   205,   205,
     871, -2108,   871,   871, -2108,  2170,  2171, -2108, -2108, -2108,
   -2108,  4157, -2108, -2108, -2108, -2108,  2375, -2108, -2108, -2108,
   -2108,   205,   205,  2113,  2123, -2108,  2303, -2108, -2108, -2108,
   -2108, -2108, -2108,  2129,  2606,  2606,  2130,  2131,  1158,  1171,
    2132,  2606,  2606, -2108,   753,   753, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108,   130, -2108, -2108, -2108, -2108, -2108,
   -2108,   871,  2251, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
     871, -2108, -2108,   205, -2108, -2108, -2108, -2108,  2185, -2108,
     205,  2185,   205, -2108,   205, -2108, -2108, -2108, -2108,   205,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108,  2254, -2108, -2108, -2108, -2108, -2108, -2108, -2108,   199,
     199,  2263,  2133, -2108, -2108, -2108,  4157, -2108,  1448,  2136,
    2141,  1448,  1448, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108,  1448,  2143,  2144, -2108, -2108, -2108,  2255,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108,  2125, -2108,  1448,  1448, -2108,
   -2108, -2108,  1448,  1448, -2108,  2145,  4157, -2108, -2108, -2108,
   -2108, -2108,  2140, -2108
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
       4,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1338,     0,     3,   134,   136,   138,   512,   514,   516,   518,
     522,   524,   526,   579,   588,   590,   592,   594,   596,   598,
     600,   602,   604,   606,   608,   615,   617,   619,   621,   623,
     625,   627,   629,   631,   679,   713,   715,   717,   719,   870,
    1012,  1014,  1016,  1018,  1020,  1022,  1024,  1026,  1194,  1196,
    1258,  1322,  1324,  1326,  1328,  1330,  1332,  1334,  1336,     1,
       2,     0,   382,   380,   381,     0,     0,     0,     0,     0,
       0,     0,   388,   389,     0,   373,   374,   376,   377,   378,
     379,     0,     0,  1292,     0,     0,     6,     5,     7,   140,
     143,   145,   147,   149,   178,   364,   371,     0,   383,     0,
     429,   432,   387,   390,   394,   390,   640,   390,   681,   390,
     394,   390,   857,   390,   394,   390,   394,     0,   394,   390,
    1058,   390,  1143,   390,  1198,   390,   394,   394,  1291,  1314,
    1317,   390,   390,   394,   135,   137,   139,   256,   257,   266,
     187,   188,   262,   275,   260,     0,     0,     0,     0,   276,
       0,     0,   279,   258,   259,   277,   278,   280,   281,   282,
     283,   284,   305,     0,     0,     0,     0,     0,     0,     0,
     639,   712,   846,   849,   848,   845,   847,   850,   851,   852,
     855,   856,   853,   854,  1008,  1009,  1010,  1011,  1141,  1142,
    1192,  1193,  1263,  1264,  1265,  1266,  1267,  1268,  1269,  1270,
    1271,  1272,  1273,  1274,  1275,  1276,  1277,  1278,  1279,  1280,
    1281,  1282,  1283,  1284,  1285,  1286,  1287,  1288,  1289,  1290,
    1370,  1371,     0,     0,    37,    38,    47,    39,    40,    41,
      42,    48,    43,    44,    45,   263,   132,   133,    46,   261,
     270,   303,   304,   331,   302,   306,     0,   307,   633,   635,
     634,     0,    67,    67,     0,     0,     0,     0,   632,     0,
     637,     0,     0,   528,     0,   581,     0,     0,   521,     0,
     521,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     611,   610,     0,   613,    67,   872,  1339,     0,  1338,  1338,
       0,     0,  1340,  1335,    16,    15,     0,   179,   141,   144,
     151,   152,   153,   155,   154,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,     0,     0,     0,     0,     0,
       0,    22,   375,    65,    64,     0,     0,   434,   433,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   460,   722,
     641,   682,   858,   879,  1038,  1052,  1059,  1144,  1199,  1228,
    1344,  1357,   882,  1146,     0,   391,     0,     0,    22,     0,
     466,     0,     0,     0,     0,   459,   402,     0,   413,     0,
       0,     0,     0,     0,   813,   814,     0,     0,     0,     0,
       0,   803,   804,     0,     0,     0,     0,    22,     0,     0,
       0,    22,     0,   726,   723,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    22,     0,     0,     0,     0,     0,
       0,     0,    22,     0,     0,     0,   721,     0,   815,   841,
       0,     0,     0,     0,     0,     0,    22,     0,     0,    22,
       0,     0,    22,   878,   885,   889,   413,   890,     0,     0,
     903,     0,    22,     0,     0,     0,     0,  1037,     0,  1042,
       0,  1054,     0,     0,     0,     0,     0,     0,  1051,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,  1247,  1256,     0,     0,     0,     0,    22,     0,    22,
    1343,  1349,  1350,     0,     0,     0,     0,  1363,     0,  1356,
    1360,     0,   256,   275,   256,     0,   256,   256,     0,   248,
       0,    29,     0,     0,     0,    32,    33,   271,     0,     0,
       0,   300,    36,   127,   127,     0,     0,     0,     0,     0,
       0,     0,   210,   211,     0,   213,     0,     0,   189,   192,
     188,   191,   194,     0,    37,    38,   239,   190,   228,   225,
     226,   227,   235,     0,   243,     0,     0,     0,   607,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   469,   468,     0,     0,    66,     0,
       0,     0,     0,   622,   480,   479,     0,     0,  1337,   636,
     638,   637,     0,   523,     0,   515,     0,   513,     0,   521,
     521,   521,   521,   521,   520,   521,   521,  1028,   521,   521,
       0,   521,   521,     0,     0,   601,   593,   603,   595,   589,
     591,   597,   599,  1310,  1305,  1308,  1306,  1307,  1309,  1311,
    1312,  1313,     0,  1303,   614,     0,     0,     0,  1331,     0,
    1340,  1327,  1329,  1341,     0,     0,     0,   171,   166,     0,
       0,     0,   367,   369,   370,   455,     0,     0,   430,     9,
      11,     0,   431,    18,    20,    19,    21,     0,    17,  1318,
       0,  1316,   437,     0,   445,  1295,  1300,  1296,     0,     0,
       0,  1321,  1320,   384,   880,   881,   390,  1145,   392,     0,
     461,     0,   395,   396,   446,   401,   400,   399,   397,    22,
     462,   411,   415,   463,   464,   646,   687,   744,     0,     0,
       0,   760,     0,     0,     0,   807,   805,   808,   806,   809,
     811,   810,   812,     0,     0,     0,     0,    22,     0,    22,
       0,     0,     0,   761,     0,    23,    24,    25,     0,    26,
       0,    26,     0,    22,     0,     0,     0,     0,     0,    22,
       0,    22,     0,    22,     0,    22,    22,    22,    22,    22,
      22,     0,    22,     0,    22,    22,     0,     0,   745,   839,
     843,   746,   867,   883,    22,    22,   904,   891,    22,   901,
     898,     0,    22,   892,   886,   887,   415,   884,   906,  1039,
    1048,     0,     0,  1045,     0,     0,  1049,  1050,  1041,  1040,
     409,   171,     0,   420,   421,     0,     0,   419,   404,     0,
     405,   417,   403,     0,     0,  1055,  1056,  1070,  1153,  1201,
    1229,     0,     0,    54,    53,  1243,    22,     0,  1230,  1231,
    1249,     0,  1248,     0,  1252,  1250,  1251,  1241,  1244,  1254,
       0,    22,  1262,    22,     0,  1351,     0,  1353,  1260,  1346,
    1345,  1358,   446,  1361,     0,  1359,     0,   251,   253,     0,
     254,   255,   250,    28,    30,     0,     0,   272,   320,     0,
       0,   321,   128,   129,     0,     0,     0,     0,     0,     0,
       0,   212,     0,   285,     0,     0,     0,     0,   199,   240,
     241,     0,     0,     0,   264,     0,   265,     0,     0,   297,
     295,   293,   290,   291,   292,   294,   296,   298,   299,   286,
     287,   288,   289,   315,   309,   310,   311,     0,   314,   308,
     312,   313,   317,   318,   319,   473,   474,   475,   477,   478,
     476,     0,   471,   628,   620,   616,   624,   626,   484,   485,
       0,   482,   630,     0,   517,   525,   527,   171,     0,   536,
       0,   557,     0,   538,   537,   542,   543,     0,   556,   558,
     529,   535,     0,   580,   583,   584,   585,   586,   582,   587,
       0,    67,    67,    67,    67,    67,    67,     0,   521,    67,
     521,    67,  1013,    67,    67,  1259,   605,     0,   612,   609,
     618,   871,   171,     0,     0,   876,  1333,     0,  1342,  1323,
       0,   167,   171,     0,   142,   173,   146,     0,     0,   446,
       0,     0,   365,     0,  1319,  1315,     0,   439,   442,     0,
    1299,     0,  1298,  1301,     0,     0,     0,    12,    13,    14,
     385,   386,  1053,   393,   398,   449,   452,   467,     0,     0,
     416,   394,   394,     0,     0,     0,   752,     0,     0,    22,
      22,   786,   788,     0,     0,     0,     0,     0,    22,     0,
      22,   802,   801,   762,    52,    51,   726,     0,   726,     0,
       0,   729,   730,   749,   723,     0,     0,   747,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   785,
       0,     0,     0,     0,     0,     0,     0,     0,   787,     0,
       0,   756,     0,     0,     0,   844,   394,   893,     0,   896,
     895,   894,     0,   902,   900,   888,     0,  1043,  1044,  1047,
    1046,   174,   175,   418,   176,   428,   422,   407,    22,   408,
     406,     0,   394,   394,   394,     0,     0,  1236,    26,  1245,
       0,    22,     0,    22,  1242,     0,  1234,  1354,  1347,  1261,
    1352,   454,  1367,  1362,   256,   249,     0,    30,   274,     0,
       0,     0,   123,   125,   328,     0,   301,     0,     0,     0,
       0,   330,     0,     0,     0,     0,     0,     0,   193,     0,
     187,   188,     0,   229,   236,   244,     0,     0,     0,     0,
     470,     0,   481,   519,   534,   541,     0,   531,   532,   554,
     555,     0,   551,   552,   553,   547,   545,   546,   530,   544,
     539,   680,     0,     0,     0,     0,     0,     0,  1027,  1036,
       0,     0,  1031,  1034,     0,  1029,     0,    67,     0,    67,
       0,     0,     0,  1304,   875,   874,   873,   877,  1325,     8,
     169,     0,   180,   181,     0,     0,     0,   456,   366,   368,
      10,   438,   440,   441,   443,   444,  1294,  1297,     0,  1293,
     372,   450,    67,   446,   465,   414,     0,   649,   649,     0,
     648,   642,     0,   690,     0,   689,   683,   684,     0,     0,
       0,   773,   772,   771,     0,     0,   731,     0,    22,     0,
       0,   794,   793,     0,   783,     0,     0,    27,     0,   727,
     728,     0,   724,   725,   800,   758,     0,     0,   777,     0,
     766,     0,   754,     0,   755,   769,   789,   768,   767,   799,
     770,   790,     0,   792,   765,   757,     0,   763,     0,     0,
       0,     0,     0,     0,     0,     0,    22,     0,    22,   842,
     819,     0,   171,     0,     0,     0,     0,   869,   863,   859,
       0,   897,   899,   998,     0,    22,   919,    22,   917,     0,
       0,   909,    22,   905,     0,   923,   999,     0,   427,   410,
    1057,     0,  1073,  1064,  1066,     0,     0,  1072,  1060,  1061,
       0,  1156,    22,     0,  1155,  1147,  1148,     0,     0,  1212,
    1212,     0,     0,  1212,  1200,  1203,  1204,     0,  1207,  1232,
    1233,  1235,     0,    60,    61,  1237,  1240,  1239,  1238,     0,
     336,   336,     0,     0,   333,   334,   335,   332,     0,     0,
       0,     0,     0,  1257,     0,     0,   336,  1253,     0,  1255,
       0,  1355,  1365,  1369,   252,     0,   273,     0,   322,     0,
       0,     0,     0,     0,     0,     0,     0,   267,     0,     0,
       0,   199,     0,     0,     0,     0,     0,     0,    34,    35,
       0,   472,   483,     0,     0,   548,   549,     0,   720,   714,
     716,   718,  1017,  1015,  1032,  1035,  1030,  1033,     0,  1019,
       0,  1023,  1195,  1197,     0,     0,   182,   183,     0,   148,
       0,  1302,   447,     0,   451,   453,   412,   446,   643,   667,
     644,   671,   645,   647,   446,   685,     0,   688,     0,   778,
     780,     0,     0,   735,     0,     0,     0,     0,     0,   733,
     781,     0,     0,     0,   795,   782,   784,   751,   750,   748,
     776,   775,   759,   774,   753,   791,   764,     0,    22,    22,
       0,    22,     0,     0,   827,   828,   829,     0,   823,   840,
     862,   861,   860,   864,   865,     0,   868,   446,   922,     0,
       0,    22,   910,     0,     0,   908,     0,     0,   926,   921,
     925,     0,   915,   907,     0,   933,   423,   424,   425,   426,
      50,    49,  1105,  1114,  1063,   446,  1062,     0,     0,  1068,
      22,  1071,   446,  1152,  1149,  1151,  1154,  1214,  1213,     0,
       0,    25,  1216,  1215,  1205,  1219,  1220,  1208,     0,  1202,
    1246,     0,     0,   337,     0,     0,     0,     0,     0,     0,
       0,   359,   359,   350,     0,     0,     0,     0,  1348,     0,
       0,     0,    80,    91,    92,    78,     0,    81,    82,     0,
       0,    85,    86,    89,   130,    87,     0,   104,   104,     0,
       0,    90,   131,     0,   104,   104,   104,     0,     0,     0,
     325,   326,   324,   327,     0,     0,   208,     0,     0,   206,
       0,   202,     0,     0,   200,     0,     0,     0,   316,     0,
     550,   576,   574,   575,   559,   562,   566,   569,   572,   573,
     560,   561,   563,   564,   565,   567,   568,   570,   571,   577,
     578,   540,  1021,  1025,     0,   177,   184,   172,     0,    57,
      58,    59,    55,    56,   448,   667,   665,   650,     0,     0,
     674,   709,    22,     0,     0,     0,   739,   737,   738,   741,
     740,   742,     0,   732,   797,   796,   798,    22,    22,     0,
     834,   835,   836,   837,     0,     0,   830,   824,   825,   826,
     838,    22,    22,  1001,  1005,   912,   913,   911,   986,   914,
     986,   947,   927,   916,  1000,   934,  1112,  1111,  1102,  1118,
    1117,  1125,  1065,  1127,  1128,  1135,  1067,  1069,  1189,     0,
    1210,  1209,  1206,  1217,     0,  1211,    62,     0,   336,   348,
     349,     0,   342,     0,   245,     0,     0,     0,     0,   347,
       0,     0,     0,     0,     0,     0,     0,  1368,     0,    31,
     323,    79,    83,    84,    88,    74,    72,    70,    69,    71,
      73,    68,    75,    97,     0,   114,    99,    95,   105,   115,
       0,     0,   116,   113,   124,   119,   120,   121,   122,   117,
     126,     0,   268,   269,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   242,   533,   168,   170,   150,
     650,     0,   670,   672,   673,     0,   676,   707,   691,   686,
     779,   736,   743,   734,   817,   818,   816,   822,   821,   820,
      22,     0,   833,   866,   999,  1003,  1007,     0,     0,     0,
     936,     0,  1116,  1100,  1099,  1123,  1133,  1187,  1157,  1150,
    1221,   341,   338,     0,   181,   339,   185,     0,   345,   359,
     360,   361,   362,   359,   363,   344,   343,     0,     0,     0,
     352,     0,  1364,  1366,     0,    93,    77,    76,     0,     0,
      76,   104,   104,     0,   106,   107,   108,   109,   110,   104,
     104,     0,   329,   223,   207,   205,     0,     0,   203,   221,
     201,     0,     0,   219,     0,   217,   216,     0,   214,   669,
       0,    22,     0,     0,     0,     0,     0,     0,   668,   658,
     487,   491,     0,   675,    22,   678,   692,   711,   831,   832,
    1002,     0,   920,   989,   987,   990,   918,    22,     0,    22,
     924,     0,     0,     0,     0,     0,     0,     0,   932,   946,
       0,     0,     0,    22,    22,    22,  1115,     0,     0,  1104,
    1119,  1129,     0,  1191,     0,   346,     0,     0,   181,   195,
     198,     0,   351,   197,   233,   230,   231,   232,   237,     0,
       0,     0,     0,     0,     0,     0,    98,    96,     0,   100,
       0,     0,     0,     0,     0,   118,     0,     0,     0,     0,
       0,     0,     0,   492,   656,   488,     0,     0,     0,   651,
     655,   659,     0,   660,     0,   657,   493,   666,   677,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   710,
       0,     0,     0,     0,    22,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    22,     0,     0,     0,     0,     0,
       0,     0,     0,  1006,   985,     0,   991,     0,     0,   930,
     931,   929,   928,   940,   943,   944,   945,   937,   938,     0,
       0,   941,   935,     0,     0,  1106,  1107,  1108,  1113,     0,
       0,     0,     0,     0,     0,    22,     0,     0,     0,     0,
    1090,  1092,  1103,     0,     0,     0,  1122,     0,     0,     0,
    1132,     0,     0,    22,    22,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1190,  1182,     0,     0,     0,     0,  1226,     0,   186,   340,
     247,   199,     0,     0,   181,     0,     0,     0,     0,     0,
       0,    94,     0,     0,   101,   112,   111,   222,   204,   220,
       0,   218,     0,   215,     0,     0,     0,     0,     0,   661,
     662,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   696,   697,   695,     0,     0,     0,     0,     0,   702,
     694,     0,     0,    22,   708,   955,   956,   957,   958,   959,
     960,   961,   962,   952,   993,   984,     0,     0,     0,   979,
     973,   974,   975,   949,   966,    22,     0,    22,    22,   968,
     948,   951,     0,     0,   953,    22,   950,     0,    22,  1004,
     992,   988,   939,   942,  1139,  1139,     0,  1089,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1077,    22,     0,
       0,     0,    22,     0,    22,     0,  1101,     0,  1137,  1121,
    1120,  1126,  1124,  1131,  1130,  1136,  1134,  1163,  1161,  1180,
       0,     0,     0,  1175,  1183,  1186,  1185,  1184,  1181,  1158,
       0,    22,    22,  1162,    22,     0,  1159,  1160,     0,     0,
      22,  1164,    22,    22,  1188,     0,     0,  1225,  1218,  1222,
     196,     0,   234,   238,   246,   357,     0,   354,   355,   353,
     356,     0,     0,     0,     0,   486,   488,   652,   653,   654,
     663,   664,    63,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   490,     0,     0,   700,   701,   458,   457,
     703,   698,   699,   704,     0,   977,   976,   978,   981,   980,
     969,    22,     0,   982,   967,   965,   954,   964,   970,   963,
      22,  1109,  1110,     0,  1096,  1097,  1098,  1085,  1139,  1086,
       0,  1139,     0,  1076,     0,  1079,  1078,  1080,  1081,     0,
    1094,  1091,  1095,  1093,  1138,  1173,  1174,  1176,  1169,  1179,
    1168,     0,  1177,  1172,  1170,  1171,  1165,  1166,  1167,     0,
       0,     0,     0,   103,   102,   209,     0,   489,   493,     0,
       0,   493,   493,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   493,     0,     0,   705,   706,   972,   995,
     994,   971,   983,  1140,  1087,  1083,  1088,  1084,  1075,  1074,
    1082,  1178,  1224,  1223,   358,     0,   498,   493,   493,   500,
     499,   501,   493,   493,   996,     0,     0,   496,   497,   494,
     495,   997,     0,   224
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -2108, -2108, -2108, -2108, -2108,  -328,  -350,   -68,   699,  -398,
    -712, -2108,  -160,  -158,  1682,  1685,  1704, -2108, -2108, -2108,
    -234, -2108, -2108,  -383, -1312,  -745,  2074, -2108, -2108,  1270,
   -1479,  -352,  -251,   741,  -531, -2108,  1247,  1257,  1258, -2108,
    1259,  1018,   749,   752,  -227,  -775,  -360,  1026, -2108, -2108,
   -2108, -2108,  2176, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,  -798, -2108,
   -2108, -2108,  2043,  -843,  -569,  1699, -2108, -2108, -1708, -2108,
     672,  -236,  1815,   523, -1141, -1869,  2474, -1759, -1699,  1830,
     534, -2108, -2108,  1831, -2108, -2108, -2108, -2108,  -454, -2108,
   -2108, -2108, -1122,  -149, -1150,    -7, -2108, -1042, -1123, -1325,
   -2108, -2108,  -435, -2108,   176, -2108, -2108, -2108,   -18,   -96,
   -2108,  -810, -2108,  2272,  1942,  -111,  -524,  2258, -2108,    69,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108,  1467,  -685,  -293,
   -2108, -2108, -1465, -2108, -2108, -2108, -2108, -2108,   480, -2108,
    1531,    40, -2108,  1533, -1658,   365, -2000, -2108, -1017, -2108,
   -2108, -2108, -2108, -2108,  -229, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108,  1060, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108,  1145,  2134, -1134,
   -2108, -2108, -2108, -2108,  1490,   869, -2108, -2108, -2108,  1032,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108,  1676,   414, -2108, -2108,  1016, -2108, -2108, -2108,
    1011, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108,   991, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108,   872, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108,   479, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108,   631,   617, -2108, -2108, -2108, -2108,   468,
     619, -2108, -2108, -2108, -2108,   470,   621, -2107, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108,  -268,  1166, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108,  1941, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108,  1750,  1786, -2108, -2108, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108,  1399,  2135, -2108, -2108, -2108,
   -2108, -2108, -2108, -2108, -2108, -2108, -2108, -2108
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     2,     3,   107,   108,   678,   691,   375,  1886,  1780,
    1078,   521,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,  1592,  1993,   835,  1724,  1414,  1415,
    2373,   346,   589,  1834,  1942,  1655,  1656,  1657,  1658,  1666,
    1659,  1835,  1836,  1837,  1839,  1840,  1948,  1842,  1660,  1668,
    1449,  1450,   882,  1172,  1173,   256,   257,   258,    22,    23,
      24,    25,   109,   657,   110,   111,   112,   113,   335,  1251,
    1012,  1013,  1132,  1133,   817,  1015,   114,   656,  1495,  1496,
    1915,   259,   558,  2034,   896,   559,   897,   560,   561,   562,
    2038,   563,  2039,   564,   565,  1917,   517,   260,   518,   261,
     262,   876,   263,   264,   265,  1461,  1436,  1624,  1497,  1806,
    1923,   115,   667,   116,   386,  1041,   118,   119,   376,   387,
     388,   480,  1049,   712,  1050,   389,   822,   818,  1378,  1137,
     120,   351,   352,   121,  1045,  1504,  1272,  1046,  1161,  1162,
    1019,  1020,  2239,   122,   123,   124,   704,   390,   587,   941,
     942,   597,   950,   951,  1979,  2214,  1980,  1981,  2228,  2380,
      26,    27,    28,    29,   620,    30,    31,    32,   606,  1218,
    1219,   972,  1711,    33,   608,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,   303,   645,    45,    46,
      47,    48,    49,    50,    51,    52,    53,   271,   602,   267,
     125,  1282,  1051,   126,  1507,  1872,  1982,  2075,  1871,  1727,
    1508,  1510,  1730,  1876,  1985,  1512,    54,   127,  1288,  1052,
     128,  1514,  1987,  2090,  1986,  1878,  1515,    55,    56,    57,
      58,   129,   752,   750,  1297,  1528,  1529,   130,   438,   439,
    1887,  1351,  1114,   780,  1115,   440,   131,  1360,  1116,   132,
      59,   647,   372,   133,   134,   795,   456,   457,   458,   459,
     460,  1126,  1374,  1576,  1573,  1579,  1580,  1899,  2001,  1375,
    1900,  2010,  1376,  2115,  1897,  1994,  1995,  2118,  2394,  2505,
    2480,  1567,  1585,  1764,  1894,  1991,  1896,  1568,    60,    61,
      62,    63,    64,    65,    66,    67,   987,   135,   136,   470,
     137,   696,   138,   139,  1390,  1597,  1598,  1142,   140,  1595,
    2153,  2303,  2305,  2417,  2019,  2018,  1904,  1596,  1593,  2017,
    1902,  1901,  1777,  1594,  1781,  1905,  2157,  2311,  2020,  1782,
    1785,  1906,  2161,  2315,  2021,  1786,  2309,  2411,   373,   141,
    1397,  1143,   142,  1602,  2023,  2182,  2328,  2022,  1908,  1603,
      68,    69,   143,   144,  1144,  1407,  1609,  1408,  1614,  1617,
    1793,  1794,  2024,  2187,  2348,   145,   146,   847,   848,   491,
     492,  1439,  1155,   850,    70,   147,   503,   353,   148,  1030,
    1032,   688,  1035,   642,   643,   149,   150,    71,    72,    73,
      74,    75,    76,    77,    78,   312,   654,   151,  1441,   504,
     152,   153,   511,   862,  1818,  1639,  1443,   863
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     266,   687,   525,  1076,   526,  1435,   692,   557,   519,   556,
     786,   884,   672,   316,  1185,   749,   751,   317,   318,  1047,
    1683,  1438,   590,  1678,  1957,   469,  1964,   690,   690,   706,
     707,  1967,  1437,  1434,   437,   490,   502,   971,   455,  1084,
     468,  1615,   479,  1460,  1462,  1464,  1465,  1622,  2035,  2324,
     489,   501,  1150,   646,   734,  1936,  1940,   510,   867,  1033,
     868,   623,   870,   871,   866,  2215,  2288,  1936,  1940,   154,
     512,  2331,   512,  1599,   662,   513,   663,   513,  1005,   664,
     319,  2028,  2325,   554,   744,   555,   514,  1728,   514,   669,
    2029,  2030,  1190,  1191,   670,   523,   524,    80,  1074,  1783,
    2294,   339,   834,  1435,  1736,   669,   776,   391,  1554,   392,
     670,   393,   801,   441,  1204,   442,   340,   461,   300,  1438,
     789,   481,  1059,   482,     1,   483,  1085,   484,  1135,   718,
      81,  1434,   669,   505,   506,   523,   524,   670,  1074,  1085,
      82,   669,    83,    84,   810,  1816,   670,   745,   746,   524,
     747,  1590,   725,   569,   570,   571,   572,   573,  2036,  1244,
     531,   343,   584,   344,   745,   746,   852,   747,    85,   574,
     575,   576,   577,   578,   579,   580,   581,   582,  2412,   117,
     583,   569,   570,   571,   572,   573,   548,   549,   160,   550,
     551,   552,  2029,  2030,  1190,  1191,   719,   574,   575,   576,
     577,   578,   579,   580,   581,   582,  2026,   594,   583,   669,
    1825,  1826,  1827,   727,   670,  1254,   355,   669,  2037,   343,
     669,   344,   670,   834,   729,   670,  1828,  1829,  1830,    86,
     301,    87,    88,   682,    89,   547,    90,  2295,    91,  1276,
      92,    93,  2009,    94,   529,   802,  1817,   669,   603,   662,
      79,   663,   670,   879,   664,  1151,    95,    96,    97,    98,
      99,   100,  2332,   669,   899,   900,  1044,   659,   670,   673,
     674,   675,   676,   356,   585,   569,   570,   571,   572,   573,
    1555,   665,   614,   621,  2326,   673,   674,   675,   676,   693,
     731,   574,   575,   576,   577,   578,   579,   580,   581,   582,
    1141,   614,   583,   101,  1350,  1831,  1832,  1807,  1086,   102,
     454,  2485,  1729,  1146,  2487,   103,   104,   155,   669,   595,
    2190,  1086,  1055,   670,  2035,  1008,   669,  1024,   343,  1737,
     344,   670,  1207,  2114,  1257,   279,  2029,  2030,  1190,  1191,
     673,   674,   675,   676,   622,   669,  1435,   669,   530,   690,
     670,   669,   670,   669,  1026,  1849,   670,   880,   670,  1031,
    2327,  1036,  1438,   519,  2181,   519,  2215,   519,   519,   673,
     674,   675,   676,  1716,  1434,   673,   674,   675,   676,  1625,
     980,   981,   982,   983,   984,   680,   985,   986,  2289,   989,
     991,  1060,   993,   994,  1635,  1057,  1058,   569,   570,   571,
     572,   573,   548,   549,  1190,  1191,   551,   552,  2374,  1152,
     948,   775,   988,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   156,   708,   583,  1113,  1089,   683,   268,  1092,
     269,   990,   755,   669,  2036,   669,  1411,   472,   670,   756,
     670,   341,   278,  1148,   726,  1149,  1034,  1153,   569,   570,
     571,   572,   573,  1494,  1129,  1130,  1616,   673,   674,   675,
     676,   949,  1208,  1123,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   473,   474,   583,   690,   690,   475,  1246,
     569,   570,   571,   572,   573,   604,  2354,  1136,   669,   476,
    1112,  1136,  1801,   670,  2037,  1136,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   728,  2130,   583,   869,  1560,
     673,   674,   675,   676,  1075,  1063,   730,   314,   315,   771,
     877,   903,  2290,  2395,  2396,  2273,  1159,   904,  1160,   885,
     886,   887,   888,   889,   890,   313,  1163,  1855,   306,  1857,
     979,  2375,  1859,  1186,  1862,  1864,   898,  1358,  1684,  1685,
    2381,  1679,  1958,   772,  1965,  1750,  1751,   527,   270,  1968,
     741,  2286,   909,   910,   911,   912,   913,   914,   915,   916,
     917,   918,   919,   920,   921,   922,   305,  2235,  2236,  1531,
    1941,   522,   732,   569,   570,   571,   572,   573,   554,   515,
     555,   515,  1949,   666,  2040,   516,  1474,   516,  2041,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   671,  2031,
     583,   338,  1065,  2032,  1784,  1087,  1992,   302,   105,   569,
     570,   571,   572,   573,   671,  1578,  1754,   106,  1539,   347,
     336,  2259,   343,  1064,   344,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   745,   746,   583,   747,  1010,  2154,
     743,   671,  1247,  1435,  2124,  2155,  1996,  1922,   342,  1021,
     671,   586,  1323,  1066,  1023,  1255,   557,   557,  2478,  1438,
     669,   556,   525,  1924,   526,   670,   614,  1266,  1042,  1267,
    1916,  1434,  1804,  2382,  1779,   548,   549,  1190,  1191,   551,
     552,  1079,   673,   674,   675,   676,   569,   570,   571,   572,
     573,  2323,   348,   349,   350,   553,   596,   354,   893,   894,
    1444,  2351,   574,   575,   576,   577,   578,   579,   580,   581,
     582,  1757,  2260,   583,   337,  1289,  1290,  1331,   671,  2237,
    1222,  1223,  1224,  1225,  1226,  1227,   671,  1300,  1238,   671,
    1240,  1079,  1241,  1242,  1755,   554,  2377,   555,  2156,  1758,
    1759,  1309,  1310,  1118,  2336,   307,  1912,  1312,  1313,  1237,
    2125,  1239,  1316,  1317,  1435,  1319,   671,  1321,   666,  1295,
     745,   746,   901,   747,  2307,  2257,  2236,   599,  1332,   600,
    1438,   599,   671,   600,  1336,   905,  1079,  2238,   669,   308,
    1361,   906,  1434,   670,  1362,   345,  1485,  1574,  2337,  1486,
     840,  1487,  1457,  1458,  1119,  1134,   357,  1213,   615,  1214,
     673,   674,   675,   676,  2340,  2193,  2057,   669,  2194,   668,
     685,  2059,   670,  2060,  1417,   677,  2062,   686,  2261,  1562,
     569,   570,   571,   572,   573,  2291,  1997,   671,   669,   673,
     674,   675,   676,   670,  2292,   671,   574,   575,   576,   577,
     578,   579,   580,   581,   582,  2031,  1636,   583,  1275,   703,
     673,   674,   675,   676,   671,  2116,   671,  1637,   314,   315,
     671,  2117,   671,  1080,   343,   669,   344,  1435,  1435,   471,
     670,  1511,  1763,  1841,  1001,  1182,   669,  1183,  1139,  2126,
    1841,   670,  1140,  1438,  1438,  2459,  2460,   673,   674,   675,
     676,   616,  2474,  2475,  1916,  1434,  1434,   601,   673,   674,
     675,   676,  2321,  2236,  1843,   569,   570,   571,   572,   573,
     268,  1192,   269,  1080,  1970,  1177,   520,  2237,   935,   936,
     937,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     658,  1287,   583,   569,   570,   571,   572,   573,   522,  1972,
     938,   939,   671,   940,   671,  1281,  1286,  2262,   804,   574,
     575,   576,   577,   578,   579,   580,   581,   582,  1080,  2002,
     583,  1533,   527,  1998,   748,   738,  1178,   569,   570,   571,
     572,   573,   532,  1747,   805,  2258,  1488,   997,  1490,   998,
    1999,  1081,  1082,   574,   575,   576,   577,   578,   579,   580,
     581,   582,  1563,  1612,   583,   841,  2003,   671,  1179,  1307,
    1199,   705,  1200,  2004,   528,   519,  1002,   812,  2158,  1521,
    1359,  1503,  1201,  2071,  1202,  2159,   821,  1564,  1245,  1760,
     533,  1389,  1396,  1406,   842,   534,   309,   310,   311,  1003,
     679,  1081,  1082,   843,  1435,   535,  1388,  1395,  1405,  1613,
     270,   525,   536,   526,  2072,   581,   582,   617,   537,   583,
    1438,  1004,   538,   739,  2237,  1605,   566,  1970,  1971,  2363,
    1607,  2364,  1434,   618,   619,   539,  2402,   702,   569,   570,
     571,   572,   573,   567,  2183,  2184,  1081,  1082,   740,   523,
     524,  2185,  1972,  1748,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   694,   695,   583,   735,   274,   275,  1749,
     742,  1180,  1638,  2441,  1884,  1885,   377,  2160,   811,   812,
     378,   379,  2322,   764,  1277,  2005,  2006,  2007,   381,  2073,
    2074,   773,  1610,   813,  2000,  1618,  1075,   540,   814,  1973,
    1974,  1522,  1771,  1975,  1976,   787,   588,  1456,   790,  1977,
     541,   793,  2186,   815,   272,   273,   276,   277,   593,   816,
    1228,   800,  1446,   304,   811,   812,  2050,  2051,  1451,   610,
    1452,  1453,  1454,  1455,  2053,  2054,   382,  1229,   598,   813,
    1083,   383,   314,   315,   814,  1467,  1498,  1549,   605,   671,
    1733,  1470,   607,   611,   523,   524,   855,  1074,   857,   815,
     844,   845,   846,   614,   553,   816,   723,   724,  1581,   374,
     554,   997,   555,  1501,  1725,  1230,   569,   570,   571,   572,
     573,  1731,   609,  1591,  1669,   761,   762,  1591,  1278,  1279,
    1537,   624,   574,   575,   576,   577,   578,   579,   580,   581,
     582,  1765,  1766,   583,   806,   807,  1769,   569,   570,   571,
     572,   573,   625,  1773,   612,   633,  1774,   745,   746,   524,
     747,  1590,  1147,   574,   575,   576,   577,   578,   579,   580,
     581,   582,  1027,  1028,   583,  1538,   569,   570,   571,   572,
     573,  1790,  1791,  1523,  2008,  1524,   613,  1525,  1526,   626,
    1795,  1527,   574,   575,   576,   577,   578,   579,   580,   581,
     582,  1231,  1778,   583,  1938,   745,   746,   671,  1611,  1788,
     344,  1950,   627,  1642,  1938,  2495,  1950,  1569,  1570,  1643,
    1644,  1645,  1646,   634,  1647,  1648,  1649,   628,  1833,  1650,
     629,  1651,  1652,  1168,  1169,  1833,   671,  1653,  1661,  1209,
    1210,  1211,  1212,  1722,  1571,  1723,  2463,  2464,  2465,  2466,
    2467,  1889,   569,   570,   571,   572,   573,   671,  1798,  2468,
    2469,  2470,  2471,  2472,  1742,  2512,  1743,   630,   574,   575,
     576,   577,   578,   579,   580,   581,   582,  1874,   631,   583,
     569,   570,   571,   572,   573,  1262,  1263,  2011,  2012,  1264,
    1265,  2013,  2014,  2015,   671,   632,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   671,   644,   583,  1048,  1586,
    1587,  1588,  1589,  1623,  1623,   821,  1627,  1561,  1932,   591,
     592,  1628,  1629,  1174,  1175,  1075,  1714,  1978,  1867,  1623,
    1868,  1232,  1944,  1945,  1946,  1947,  1067,  1846,  1069,  1848,
     306,  2496,  1165,  1233,  2499,  2500,   648,   -66,   -66,  1674,
     -66,  1675,  1088,   651,  1719,  1720,  2501,  1721,  1094,   652,
    1096,  1909,  1098,   653,  1100,  1101,  1102,  1103,  1104,  1105,
    1176,  1107,   660,  1109,  1110,   655,   973,  1983,  1475,  1476,
    2507,  2508,   661,  1117,  1120,  2509,  2510,  1121,  2079,  2016,
    1306,  1124,  1308,   314,   315,  2222,   681,  2080,   684,   554,
     689,   555,  2081,   697,  1181,   698,  1935,  1811,  1812,  1591,
    1280,  1813,  1943,   699,   811,   812,  1814,  1815,  1037,  1038,
    1039,   569,   570,   571,   572,   573,   700,  2223,   701,   813,
    1234,  2414,  2415,  2416,   814,  1145,   709,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   710,   974,   583,   819,
    1157,   711,  1158,   569,   570,   571,   572,   573,  1676,  1677,
    1681,  1682,   720,  1989,  1235,  1236,  1740,  1741,   713,   574,
     575,   576,   577,   578,   579,   580,   581,   582,  1642,   714,
     583,  1822,  1823,   721,  1643,  1644,  1645,  1646,   715,  1647,
    1648,  1649,   722,  2224,  1650,   716,  1651,  1652,  1936,  1937,
    1955,  1956,  1653,  1960,  1961,  1188,  2046,   733,   975,  1833,
     717,  1833,  2066,  2067,  2082,  1797,  2219,  2220,  2063,   976,
     977,  2231,  2232,  1805,   736,  2069,   754,  1808,  2225,  1810,
     753,   978,   737,  2226,   569,   570,   571,   572,   573,   757,
     523,   831,   832,   833,   635,  2370,  2371,   690,  2070,  2227,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   758,
    1873,   583,  1851,  1075,  1075,  2378,  2379,  2384,  2385,   168,
    2120,   170,   171,   759,  2123,   760,  2127,  2128,   763,  2131,
     765,  2033,   569,   570,   571,   572,   573,   636,   637,   638,
     639,   640,   641,  2205,  2206,   766,  2083,  2084,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   649,   650,   583,
    2085,  2086,  2087,   769,   767,   777,   774,  2088,   768,   778,
    2201,   770,  2202,  2203,  2204,   779,   781,   782,  1825,  1826,
    1827,   783,   785,   784,   788,   291,   791,   554,   554,   555,
     555,   792,   794,  1259,  1828,  1829,  1830,   797,   798,   799,
     803,  2229,   808,   809,  2233,   823,   821,  2240,  1294,  1296,
     292,   824,   825,   826,  2253,   827,   836,  1303,   828,  1305,
    2263,  2264,   829,  2333,  1260,   830,   837,  2270,  2271,   838,
    2274,   293,  2276,   294,   295,   839,   851,   849,   854,  2280,
     853,  1623,   569,   570,   571,   572,   573,   856,   858,  1919,
     859,  2282,  2283,  1670,   864,  2284,  2285,  1662,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   860,   861,   583,
     865,   872,   875,  1831,  1832,   873,  2308,   874,   881,   878,
    2308,   583,   891,  2347,  2317,   892,   902,  1379,   907,   908,
    2329,   943,   944,   296,   297,   298,   299,   945,  1011,  2341,
    1416,   946,  1418,   569,   570,   571,   572,   573,  2245,  2246,
    2247,  2248,  2249,  2250,  2251,  2252,  2367,  2368,  2369,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   947,  1671,
     583,   952,   954,   955,   992,   995,   996,   999,   690,   690,
     690,  2391,  2392,  1000,  1006,  1009,  2376,  1017,  1016,  1018,
    1029,  1040,  1053,  1022,  1025,  1249,  2386,  2387,  2388,  2389,
    2390,  1054,  1068,   690,   690,   569,   570,   571,   572,   573,
    2042,  2043,  2044,  1043,  2045,  1070,  1056,  1061,  2397,  2398,
    2399,   574,   575,   576,   577,   578,   579,   580,   581,   582,
    1062,  1077,   583,   377,  2405,  2406,  1071,   378,   379,  2408,
    1072,   507,  1073,  1090,  1097,   381,  2033,  2033,  1091,  1093,
    1095,  2418,  1099,  1106,  2421,  1108,  2423,  1111,  2425,  1127,
    1128,  2427,  2428,  1122,  1138,   841,  1131,  1164,  1156,  2434,
    1167,  1591,  2089,  1166,  1170,  1189,  2476,  2477,  1171,  1196,
    1184,  1187,  2435,  2436,  2437,  1197,  2479,  1532,  1198,  1203,
    1205,  1206,  2438,   382,  1220,  1221,  1248,  2443,   383,  1250,
    2444,  2445,  1256,  1258,  1269,  1261,  1270,  1271,  1273,  2139,
    1274,  1291,  1292,   157,  2191,   158,   159,   160,   161,   162,
     163,  1293,   164,  2453,  2454,  1298,  1299,  1301,  1377,   165,
     166,   895,  1302,  1304,   167,  1556,  1412,  1558,  1672,  1314,
    1413,  1315,  1318,  1320,  1322,  1324,   168,   169,   170,   171,
    1325,  1326,   172,  1327,  1572,  1328,  1575,  1440,  1329,  1330,
    1333,  1582,  1654,  1334,  1335,  1337,  1380,  1409,  1445,  1410,
    1673,  1447,  1448,  1468,  1442,  2484,  1352,   812,  1469,  1466,
    2140,  1604,  2486,  1477,  2488,   377,  2489,  2492,  2493,   378,
     379,  2490,  1473,  1478,  1479,  1480,  1481,   381,  1482,  1353,
    1483,  1484,  1489,   173,   174,   542,   543,   544,   545,   175,
     176,  1491,   177,   178,   179,   180,   181,   182,   183,  1492,
    1493,  1500,  1499,  1502,   184,   185,   186,  1506,  1513,   187,
    1517,  1516,  1518,  1519,  1520,   188,   569,   570,   571,   572,
     573,  1547,  2141,   189,  1530,   382,  1548,  2142,  1534,  1550,
     383,  1688,   574,   575,   576,   577,   578,   579,   580,   581,
     582,  1535,  1536,   583,   569,   570,   571,   572,   573,  1540,
    1541,  1542,  1543,  2143,  1544,  1545,  1546,  1551,  1553,  2356,
     574,   575,   576,   577,   578,   579,   580,   581,   582,  1552,
    1557,   583,  1559,  1565,  1566,  1577,  1600,  2144,  1583,  1852,
     569,   570,   571,   572,   573,  1584,  1601,  1606,  1608,  1619,
    1621,  1626,  1630,   190,  1634,  1631,   574,   575,   576,   577,
     578,   579,   580,   581,   582,  1632,  1633,   583,   569,   570,
     571,   572,   573,  1640,  1641,  1680,  1686,  1752,  1753,  1687,
    1756,  1689,  1712,  1690,   574,   575,   576,   577,   578,   579,
     580,   581,   582,  1713,  1715,   583,  1717,  1718,  1726,  1732,
    1767,   569,   570,   571,   572,   573,  1734,  1735,  1738,  1739,
    1744,  1745,  1746,  1761,  1789,  1762,   191,   574,   575,   576,
     577,   578,   579,   580,   581,   582,  1768,  1770,   583,  1787,
    1398,  1772,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,  1775,  1776,  1354,  1355,  1356,  1796,  1799,  1853,
    1800,  1809,  1819,  1820,  1821,  1824,  1838,   508,  1844,   202,
     203,  1854,  1858,  1860,  1850,  1875,   157,   509,   158,   159,
     160,   161,   162,   163,  2451,   164,  1865,  1882,  1869,  1880,
    1881,  1877,   165,   166,  1459,  1890,  1895,   167,  1903,  1891,
    2145,  2146,  1907,  1913,  1910,  2147,  2148,  1927,  2149,   168,
     169,   170,   171,  1934,  1928,   172,  2150,  2151,  1802,   204,
     205,   206,   207,   569,   570,   571,   572,   573,  1363,  1929,
    1930,  1951,  1931,  1364,  1953,   -67,   -67,   -67,  1933,   574,
     575,   576,   577,   578,   579,   580,   581,   582,  1939,  1954,
     583,   -67,   -67,   -67,   -67,   -67,   579,   580,   581,   582,
    1959,  1962,   583,  1963,  1966,  1984,   173,   174,  2025,  2027,
    2052,  1879,   175,   176,  2055,   177,   178,   179,   180,   181,
     182,   183,  1952,  2056,  2058,  2061,  2065,   184,   185,   186,
    2068,  2076,   187,  2077,  2129,  2122,  2133,  2132,   188,  2134,
    1892,  1893,  2138,   208,   209,  2188,   189,  2192,  2196,  2195,
    2207,  2152,  2208,  2209,  2212,  2210,  1365,   210,   211,  2211,
    2213,  1970,  2216,  2217,  2221,  2218,  2234,  2230,  2256,  1357,
    2244,  2241,  2242,  2243,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,  2254,  2266,  2265,  2267,  2268,  2275,  2272,  2296,
    2278,  2277,  2301,  2299,  2279,  2302,   190,  2281,  2293,  2304,
    2306,   240,   241,  1783,   242,   569,   570,   571,   572,   573,
    2298,   243,  2312,  2300,  2316,  2320,  2335,  2330,  2334,  2338,
    2344,   574,   575,   576,   577,   578,   579,   580,   581,   582,
    2339,  2346,   583,  2349,   569,   570,   571,   572,   573,  2342,
    2355,  1366,  2357,  2358,  2343,  2361,   569,   570,   571,  1988,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   191,
    2359,   583,   574,   575,   576,   577,   578,   579,   580,   581,
     582,  1367,  2345,   583,  2360,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,  2362,  2365,  2366,  2372,  1368,
    2383,  1369,  2401,  2410,  2413,  1370,  2420,  2422,  2424,  2429,
    1371,  1372,   202,   203,  2449,  2450,  2504,  2482,  2455,  1215,
    2491,   157,  1216,   158,   159,   160,   161,   162,   163,  2456,
     164,  2506,  2458,  2461,  2462,  2473,  2494,   165,   166,  2497,
    2064,  1217,   167,  2197,  2498,  2513,  2502,  2503,  2511,  2048,
     970,  1845,  1620,  2078,   168,   169,   170,   171,  2049,  2047,
     172,  1847,   204,   205,   206,   207,  2119,  1663,  2121,  2189,
    1014,  2198,   569,   570,   571,   572,   573,  1664,  1665,  1667,
     883,  1252,  2135,  2136,  2137,  2352,   546,  1193,   574,   575,
     576,   577,   578,   579,   580,   581,   582,  2353,   796,   583,
    1471,  2457,   820,  1194,  1472,   953,  1195,  2199,  1125,  1969,
    1505,   173,   174,   542,   543,   544,   545,   175,   176,  1866,
     177,   178,   179,   180,   181,   182,   183,  1870,  1883,  1888,
    1311,  1898,   184,   185,   186,  2200,  1990,   187,  1509,  2419,
    2287,  2431,  2310,   188,  1373,  2433,   208,   209,  2314,  2313,
    1792,   189,     0,  1243,  1268,  1007,     0,     0,     0,  1154,
     210,   211,     0,  2255,     0,     0,     0,     0,  2350,     0,
       0,     0,    82,  2269,    83,    84,     0,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   320,   321,   322,   323,   324,
     325,   326,   327,   328,  2297,   329,   330,   331,   332,   333,
     334,   190,     0,     0,   240,   241,     0,   242,     0,     0,
       0,     0,  2318,  2319,   243,   569,   570,   571,   572,   573,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       0,     0,   583,     0,     0,     0,    82,     0,    83,    84,
     377,     0,     0,     0,   378,   379,     0,     0,     0,     0,
    2452,     0,   381,     0,   191,     0,     0,     0,    95,    96,
      97,    98,    99,   100,     0,     0,     0,     0,     0,     0,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
       0,     0,  2393,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   202,   203,     0,
     382,     0,     0,     0,  2400,   383,  2403,  2404,   569,   570,
     571,   572,   573,     0,  2407,   485,     0,  2409,     0,     0,
       0,     0,     0,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     0,   377,   583,     0,  2426,   378,   379,
       0,  2430,     0,  2432,     0,     0,   381,   204,   205,   206,
     207,     0,    95,    96,    97,    98,    99,   100,     0,     0,
       0,     0,     0,     0,     0,     0,   462,     0,     0,   486,
    2439,  2440,     0,  2442,     0,     0,     0,     0,     0,  2446,
       0,  2447,  2448,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   382,     0,     0,     0,     0,   383,
    1803,     0,   157,     0,   158,   159,   160,   161,   162,   163,
    1911,   164,     0,     0,     0,     0,     0,   487,   165,   166,
    1463,     0,     0,   167,     0,     0,     0,     0,     0,     0,
       0,   208,   209,     0,     0,   168,   169,   170,   171,  1918,
    2481,   172,     0,     0,     0,   210,   211,     0,     0,  2483,
       0,     0,     0,     0,     0,     4,     5,     6,     0,     0,
       0,     0,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
       0,     0,   173,   174,     0,     0,     0,     0,   175,   176,
       0,   177,   178,   179,   180,   181,   182,   183,     0,   240,
     241,     0,   242,   184,   185,   186,     0,     0,   187,   243,
       0,     7,     0,     0,   188,     0,     0,     0,     0,     0,
       0,     0,   189,     8,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   157,     0,   158,   159,   160,
     161,   162,   163,     0,   164,     0,     0,     0,     9,    10,
       0,   165,   166,  1856,     0,     0,   167,  1925,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   168,   169,
     170,   171,     0,     0,   172,     0,     0,     0,  2162,     0,
      11,   923,     0,    12,     0,    13,     0,     0,   924,     0,
       0,     0,   190,     0,     0,     0,    14,     0,     0,     0,
     463,   464,   465,   466,   443,    82,     0,    83,    84,     0,
       0,     0,    15,     0,     0,   925,    16,   926,     0,  1253,
       0,    17,    18,     0,   488,   173,   174,     0,     0,     0,
       0,   175,   176,     0,   177,   178,   179,   180,   181,   182,
     183,   927,     0,     0,     0,     0,   184,   185,   186,   928,
     929,   187,   930,   931,     0,   191,     0,   188,     0,     0,
     932,   933,   934,     0,     0,   189,   569,   570,   571,   572,
     573,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,     0,   583,     0,     0,     0,     0,   202,   203,
       0,     0,     0,   377,     0,     0,     0,   378,   379,     0,
       0,     0,  1970,  2163,     0,   381,     0,     0,   467,     0,
    1926,    95,    96,    97,    98,    99,   100,     0,     0,     0,
       0,     0,     0,   568,     0,   190,    19,  1972,   569,   570,
     571,   572,   573,     0,     0,     0,     0,     0,   204,   205,
     206,   207,     0,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   382,     0,   583,     0,     0,   383,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   444,     0,  2164,     0,     0,  2165,  2166,     0,     0,
       0,     0,     0,     0,  2167,     0,     0,     0,   191,  2168,
       0,     0,  2169,     0,     0,     0,     0,  2170,     0,     0,
       0,     0,     0,     0,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,     0,     0,  2171,     0,     0,     0,
       0,   202,   203,     0,     0,     0,   210,   211,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2172,
       0,     0,     0,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   204,   205,   206,   207,     0,     0,     0,     0,    20,
      21,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,     0,     0,     0,     0,     0,     0,
     243,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   445,   446,   447,   448,  2173,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   157,     0,   158,   159,
     160,   161,   162,   163,     0,   164,     0,  2174,     0,     0,
       0,   449,   165,   166,  1861,     0,     0,   167,   450,     0,
       0,   451,     0,     0,   452,   208,   209,     0,     0,   168,
     169,   170,   171,     0,     0,   172,     0,     0,     0,   210,
     211,     0,  2175,  2176,  2177,  2178,     0,  2179,     0,     0,
       0,     0,     0,     0,     0,     0,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,     0,     0,   173,   174,     0,     0,
       0,     0,   175,   176,     0,   177,   178,   179,   180,   181,
     182,   183,     0,   240,   241,     0,   242,   184,   185,   186,
       0,     0,   187,   243,     0,     0,     0,     0,   188,     0,
       0,     0,  2180,     0,     0,     0,   189,   472,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   157,
       0,   158,   159,   160,   161,   162,   163,   453,   164,     0,
       0,     0,     0,     0,   377,   165,   166,  1863,   378,   379,
     167,     0,     0,   473,   474,     0,   381,     0,   475,     0,
       0,     0,   168,   169,   170,   171,     0,     0,   172,   476,
     320,   321,   322,   323,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,   333,   334,   190,     0,     0,     0,
       0,     0,     0,    82,     0,    83,    84,     0,     0,     0,
       0,     0,     0,     0,   382,     0,     0,     0,     0,   383,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   173,
     174,     0,     0,     0,     0,   175,   176,     0,   177,   178,
     179,   180,   181,   182,   183,     0,     0,     0,     0,     0,
     184,   185,   186,     0,     0,   187,     0,     0,     0,   191,
       0,   188,     0,     0,     0,     0,     0,     0,  1398,   189,
      82,     0,    83,    84,     0,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    82,     0,    83,    84,     0,
       0,   377,   202,   203,     0,   378,   379,     0,     0,   380,
       0,     0,     0,   381,     0,     0,     0,     0,     0,    95,
      96,    97,    98,    99,   100,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1381,     0,     0,     0,   190,
       0,     0,     0,     0,  1691,     0,  1692,  1693,     0,     0,
       0,     0,   204,   205,   206,   207,     0,     0,     0,     0,
       0,   382,     0,     0,   477,     0,   383,     0,   377,     0,
       0,     0,   378,   379,     0,     0,     0,     0,     0,     0,
     381,     0,     0,     0,     0,     0,    95,    96,    97,    98,
      99,   100,     0,   377,     0,     0,     0,   378,   379,     0,
       0,  1382,   191,     0,     0,   381,     0,     0,     0,     0,
       0,    95,    96,    97,    98,    99,   100,     0,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   382,     0,
     384,     0,     0,   383,     0,     0,   208,   209,     0,     0,
       0,     0,     0,     0,     0,   202,   203,     0,     0,     0,
     210,   211,     0,   382,     0,     0,     0,     0,   383,     0,
    1694,  1695,  1696,  1697,  1698,  1699,     0,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   204,   205,   206,   207,     0,
       0,     0,     0,     0,     0,     0,  1399,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,     0,     0,
       0,     0,     0,     0,   243,  1700,  1701,  1702,  1703,  1704,
    1705,  1706,  1707,  1708,  1709,  1710,     0,     0,     0,     0,
    1400,     0,     0,     0,     0,     0,     0,     0,   478,     0,
     157,     0,   158,   159,   160,   161,   162,   163,     0,   164,
       0,     0,     0,     0,     0,     0,   165,   166,     0,     0,
       0,   167,     0,     0,     0,     0,     0,     0,     0,   208,
     209,     0,     0,   168,   169,   170,   171,     0,     0,   172,
       0,     0,     0,   210,   211,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,     0,     0,
     173,   174,     0,     0,     0,     0,   175,   176,     0,   177,
     178,   179,   180,   181,   182,   183,     0,   240,   241,  1419,
     242,   184,   185,   186,     0,     0,   187,   243,     0,     0,
       0,     0,   188,     0,     0,     0,     0,   280,   281,     0,
     189,     0,     0,     0,     0,     0,   169,     0,     0,     0,
       0,   172,  1383,  1384,  1401,   385,  1385,     0,     0,     0,
    1402,  1386,  1403,     0,     0,    82,   282,    83,    84,     0,
       0,     0,     0,   283,  1420,  1421,  1422,  1423,  1424,  1425,
    1426,  1427,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   284,     0,   285,     0,     0,  1428,     0,
       0,  1429,     0,   286,     0,     0,     0,     0,   175,   176,
     190,   177,   178,   179,   180,   181,  1430,     0,   287,     0,
       0,     0,  1404,    82,     0,    83,    84,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1431,     0,
    1432,     0,     0,     0,     0,     0,     0,  1387,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   377,     0,     0,     0,   378,   379,     0,
       0,  1391,     0,   191,     0,   381,     0,     0,     0,     0,
       0,    95,    96,    97,    98,    99,   100,     0,     0,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   190,     0,     0,     0,   202,   203,     0,     0,
     288,   377,     0,   382,     0,   378,   379,     0,   383,  1283,
       0,     0,     0,   381,     0,     0,     0,     0,     0,    95,
      96,    97,    98,    99,   100,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    82,     0,    83,    84,
       0,     0,     0,     0,     0,     0,   204,   205,   206,   207,
       0,     0,     0,     0,     0,   191,     0,     0,     0,     0,
       0,   382,     0,     0,     0,     0,   383,     0,     0,     0,
       0,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,     0,     0,     0,     0,     0,     0,     0,     0,   289,
       0,     0,     0,     0,     0,     0,     0,     0,   202,   203,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   290,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,     0,     0,   377,  1284,     0,     0,   378,   379,
       0,     0,     0,     0,   210,   211,   381,     0,   204,   205,
     206,   207,    95,    96,    97,    98,    99,   100,     0,     0,
       0,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,     0,
       0,     0,     0,     0,   382,     0,     0,     0,     0,   383,
       0,  1392,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   493,     0,     0,     0,     0,     0,   243,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   494,  1393,     0,     0,     0,
       0,     0,     0,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,  1419,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   358,     0,     0,     0,     0,
     240,   241,     0,     0,     0,     0,     0,  1433,   169,     0,
       0,     0,     0,   172,     0,     0,     0,     0,     0,  1338,
       0,     0,     0,     0,     0,     0,     0,  1394,     0,     0,
       0,     0,     0,     0,     0,     0,  1420,  1421,  1422,  1423,
    1424,  1425,  1426,  1427,     0,     0,   359,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1428,     0,     0,  1429,     0,     0,     0,     0,     0,     0,
     175,   176,  1419,   177,   178,   179,   180,   181,  1430,     0,
       0,     0,     0,   472,     0,  1285,     0,     0,     0,     0,
       0,  1339,   495,   360,     0,     0,     0,     0,     0,   169,
    1431,     0,  1432,     0,   172,     0,     0,     0,   361,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1340,
     474,     0,     0,     0,   475,     0,     0,  1420,  1421,  1422,
    1423,  1424,  1425,  1426,  1427,   476,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1428,     0,     0,  1429,     0,     0,     0,     0,     0,
       0,   175,   176,   496,   177,   178,   179,   180,   181,  1430,
       0,     0,     0,     0,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1341,     0,     0,     0,  1342,     0,
       0,  1431,     0,  1432,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   362,   497,   498,   499,
     363,     0,     0,     0,     0,     0,     0,     0,   500,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   364,     0,   190,     0,     0,   365,   366,
       0,     0,     0,     0,     0,     0,     0,     0,  1343,     0,
     202,   203,     0,     0,     0,     0,     0,  1344,  1345,     0,
       0,     0,     0,     0,  1346,     0,     0,     0,  1347,   367,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1348,
       0,     0,     0,   368,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   369,     0,     0,     0,   370,   191,     0,
     204,   205,   206,   207,     0,     0,     0,     0,     0,     0,
       0,  1920,     0,     0,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   169,     0,
       0,   202,   203,   172,   371,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,     0,     0,     0,     0,
       0,   204,   205,   206,   207,     0,     0,     0,   210,   211,
     175,   176,     0,   177,   178,   179,   180,   181,  1921,     0,
       0,     0,     0,     0,     0,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,     0,     0,     0,  1914,     0,
       0,     0,     0,     0,  1349,   208,   209,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   210,
     211,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   190,     0,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   956,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   523,   831,
     832,   833,     0,   240,   241,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   168,     0,   170,
     171,     0,     0,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     202,   203,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     204,   205,   206,   207,     0,     0,   957,   812,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   958,     0,     0,
       0,   959,     0,     0,   960,   961,     0,     0,  2091,   962,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   963,     0,
     394,   395,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   964,   965,   966,     0,   967,     0,
     968,   969,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   396,   208,   209,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   210,   211,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   397,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,     0,     0,     0,   377,     0,  1970,     0,
     378,   379,     0,   398,   399,     0,     0,     0,   381,   400,
       0,     0,   240,   241,   401,   402,   403,   404,     0,     0,
       0,     0,     0,  1972,     0,     0,     0,   405,     0,     0,
     406,   407,     0,     0,     0,   190,     0,     0,     0,     0,
       0,     0,     0,  2092,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   382,     0,     0,     0,
       0,   383,     0,     0,     0,  2093,     0,     0,     0,  2094,
     408,     0,  2095,  2096,   409,     0,     0,     0,     0,     0,
    2097,     0,     0,     0,     0,     0,     0,  2098,     0,     0,
       0,     0,  2099,  2100,  2101,     0,     0,     0,   191,     0,
     410,   411,     0,     0,     0,     0,     0,     0,   412,   413,
       0,   414,     0,     0,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,     0,   415,     0,     0,     0,     0,
       0,   416,     0,   417,     0,   418,   419,     0,     0,   420,
     421,   202,   203,     0,     0,  2102,     0,     0,     0,     0,
       0,     0,     0,     0,  2103,   422,   423,     0,     0,     0,
       0,   424,   425,     0,     0,     0,     0,     0,     0,   426,
       0,     0,     0,   427,     0,     0,   428,   429,     0,   430,
       0,   431,     0,     0,     0,   432,   433,     0,   434,     0,
       0,   204,   205,   206,   207,  2104,     0,  2105,   435,  2106,
    2107,  2108,     0,     0,     0,     0,     0,  2109,     0,     0,
       0,     0,  2110,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2111,     0,     0,     0,     0,     0,     0,     0,
    2112,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   208,   209,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   210,
     211,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,     0,     0,  2113,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     436
};

static const yytype_int16 yycheck[] =
{
       7,   353,   162,   748,   162,  1155,   356,   243,   157,   243,
     445,   535,   340,    81,     7,   413,   414,    85,    86,   704,
       7,  1155,   273,     7,     7,   136,     7,   355,   356,   381,
     382,     7,  1155,  1155,   130,   146,   147,   606,   134,   751,
     136,    60,   138,  1184,  1185,  1186,  1187,    24,  1917,   155,
     146,   147,    46,   304,   406,    11,    12,   153,   512,   150,
     514,   290,   516,   517,     7,  2065,   117,    11,    12,     3,
      15,   274,    15,  1385,    15,    20,    17,    20,   647,    20,
      87,     6,   188,   243,   412,   243,    31,    33,    31,    15,
      15,    16,    17,    18,    20,    17,    18,     3,    20,    22,
     289,   183,   485,  1253,   128,    15,   434,   125,   151,   127,
      20,   129,    47,   131,   957,   133,   198,   135,    38,  1253,
     448,   139,    81,   141,     4,   143,    44,   145,    38,   223,
      36,  1253,    15,   151,   152,    17,    18,    20,    20,    44,
      46,    15,    48,    49,   472,   437,    20,    17,    18,    18,
      20,    20,    46,     8,     9,    10,    11,    12,  1917,  1002,
     167,    20,    38,    22,    17,    18,   494,    20,    74,    24,
      25,    26,    27,    28,    29,    30,    31,    32,  2285,     3,
      35,     8,     9,    10,    11,    12,    15,    16,    17,    18,
      19,    20,    15,    16,    17,    18,   290,    24,    25,    26,
      27,    28,    29,    30,    31,    32,  1914,    38,    35,    15,
       8,     9,    10,    46,    20,  1013,   458,    15,  1917,    20,
      15,    22,    20,   606,    46,    20,    24,    25,    26,   135,
     150,   137,   138,    22,   140,   242,   142,   426,   144,  1049,
     146,   147,  1900,   149,    30,   180,   538,    15,     3,    15,
       0,    17,    20,    30,    20,   249,   162,   163,   164,   165,
     166,   167,   465,    15,    29,    30,   701,   335,    20,    37,
      38,    39,    40,   515,   150,     8,     9,    10,    11,    12,
     323,    47,    20,   184,   390,    37,    38,    39,    40,   357,
      46,    24,    25,    26,    27,    28,    29,    30,    31,    32,
     824,    20,    35,   209,  1114,   103,   104,  1632,   226,   215,
     134,  2418,   258,   837,  2421,   221,   222,     3,    15,   150,
    2028,   226,   720,    20,  2193,   653,    15,   677,    20,   353,
      22,    20,    20,  1991,  1019,   174,    15,    16,    17,    18,
      37,    38,    39,    40,   245,    15,  1496,    15,   134,   677,
      20,    15,    20,    15,   682,  1667,    20,   134,    20,   687,
     466,   689,  1496,   512,  2022,   514,  2366,   516,   517,    37,
      38,    39,    40,  1496,  1496,    37,    38,    39,    40,  1421,
     609,   610,   611,   612,   613,   345,   615,   616,   439,   618,
     619,   350,   621,   622,  1436,   723,   724,     8,     9,    10,
      11,    12,    15,    16,    17,    18,    19,    20,    47,   403,
     159,   337,   150,    24,    25,    26,    27,    28,    29,    30,
      31,    32,     3,   383,    35,   777,   754,   216,    20,   757,
      22,   150,   282,    15,  2193,    15,  1148,   117,    20,   289,
      20,   523,     3,   841,   338,   843,   537,   441,     8,     9,
      10,    11,    12,  1251,   804,   805,   475,    37,    38,    39,
      40,   210,   150,   791,    24,    25,    26,    27,    28,    29,
      30,    31,    32,   153,   154,    35,   804,   805,   158,  1003,
       8,     9,    10,    11,    12,   240,  2194,   815,    15,   169,
     349,   819,  1626,    20,  2193,   823,    24,    25,    26,    27,
      28,    29,    30,    31,    32,   338,   195,    35,   515,  1352,
      37,    38,    39,    40,   748,   222,   338,    20,    21,   259,
     527,   536,   117,   397,   398,   195,   854,   542,   856,   536,
     537,   538,   539,   540,   541,     3,   864,  1678,    22,  1680,
     608,   180,  1683,   536,  1685,  1686,   553,  1116,   535,   536,
      47,   535,   535,   293,   535,   252,   253,   534,   150,   535,
     222,   430,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   242,    62,    63,   331,
     536,    32,   338,     8,     9,    10,    11,    12,   748,   534,
     748,   534,   536,   534,  1919,   540,    47,   540,  1923,    24,
      25,    26,    27,    28,    29,    30,    31,    32,   534,   534,
      35,   145,   280,   538,   537,   533,   538,   537,   524,     8,
       9,    10,    11,    12,   534,  1370,   222,   533,   533,   146,
     534,  2096,    20,   340,    22,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    17,    18,    35,    20,   655,   439,
     533,   534,  1004,  1803,   155,   445,   538,  1807,   168,   666,
     534,   537,  1097,   331,   671,  1017,   902,   903,   538,  1803,
      15,   905,   832,  1807,   832,    20,    20,  1029,   696,  1031,
    1803,  1803,   537,   180,   537,    15,    16,    17,    18,    19,
      20,    44,    37,    38,    39,    40,     8,     9,    10,    11,
      12,  2166,   219,   220,   221,   534,   537,   174,   535,   536,
    1164,   534,    24,    25,    26,    27,    28,    29,    30,    31,
      32,   286,   155,    35,   534,  1053,  1054,   533,   534,   214,
     981,   982,   983,   984,   985,   986,   534,  1065,   989,   534,
     991,    44,   993,   994,   340,   905,  2225,   905,   538,   314,
     315,  1079,  1080,   280,   338,   239,  1798,  1085,  1086,   988,
     261,   990,  1090,  1091,  1914,  1093,   534,  1095,   534,   537,
      17,    18,   537,    20,   438,    62,    63,    20,  1106,    22,
    1914,    20,   534,    22,  1112,   536,    44,   272,    15,   273,
    1118,   542,  1914,    20,  1122,   183,  1231,   377,   382,  1234,
      80,  1236,   535,   536,   331,   812,   158,   967,   152,   967,
      37,    38,    39,    40,   396,   536,  1957,    15,   539,   339,
     512,  1962,    20,  1964,  1152,   170,  1967,   519,   261,  1353,
       8,     9,    10,    11,    12,   430,   240,   534,    15,    37,
      38,    39,    40,    20,   439,   534,    24,    25,    26,    27,
      28,    29,    30,    31,    32,   534,    24,    35,   538,   379,
      37,    38,    39,    40,   534,   394,   534,    35,    20,    21,
     534,   400,   534,   226,    20,    15,    22,  2027,  2028,   537,
      20,  1279,  1567,  1658,     3,   892,    15,   894,   819,   390,
    1665,    20,   823,  2027,  2028,  2374,  2375,    37,    38,    39,
      40,   245,  2381,  2382,  2027,  2027,  2028,   150,    37,    38,
      39,    40,    62,    63,  1659,     8,     9,    10,    11,    12,
      20,   534,    22,   226,   178,   536,    32,   214,   159,   160,
     161,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      92,  1052,    35,     8,     9,    10,    11,    12,    32,   203,
     181,   182,   534,   184,   534,  1051,  1052,   390,   224,    24,
      25,    26,    27,    28,    29,    30,    31,    32,   226,   223,
      35,  1299,   534,   377,   347,   219,   536,     8,     9,    10,
      11,    12,    15,   176,   250,   272,  1237,   536,  1239,   538,
     394,   344,   345,    24,    25,    26,    27,    28,    29,    30,
      31,    32,  1354,  1401,    35,   285,   260,   534,   536,  1077,
     536,   157,   538,   267,   134,  1164,   135,   136,   439,    86,
    1116,  1272,   536,   155,   538,   446,    20,  1355,    22,  1553,
     537,  1142,  1143,  1144,   314,   537,   520,   521,   522,   158,
     341,   344,   345,   323,  2194,   534,  1142,  1143,  1144,  1401,
     150,  1211,   534,  1211,   186,    31,    32,   401,   534,    35,
    2194,   180,   534,   307,   214,  1393,   224,   178,   179,  2210,
    1398,  2212,  2194,   417,   418,   534,   253,   378,     8,     9,
      10,    11,    12,   224,   470,   471,   344,   345,   332,    17,
      18,   477,   203,   286,    24,    25,    26,    27,    28,    29,
      30,    31,    32,   367,   368,    35,   407,   207,   208,   302,
     411,   536,  1440,   253,   341,   342,   144,   538,   135,   136,
     148,   149,   272,   424,   152,   379,   380,   381,   156,   261,
     262,   432,  1400,   150,   538,  1403,  1370,   534,   155,   250,
     251,   208,  1577,   254,   255,   446,    22,   536,   449,   260,
     534,   452,   538,   170,     9,    10,    11,    12,     3,   176,
       3,   462,  1169,    18,   135,   136,  1941,  1942,  1175,   160,
    1177,  1178,  1179,  1180,  1949,  1950,   204,    20,     3,   150,
     533,   209,    20,    21,   155,  1192,  1254,   158,     3,   534,
    1518,  1198,     3,   184,    17,    18,   497,    20,   499,   170,
     480,   481,   482,    20,   534,   176,   293,   294,   406,    47,
    1370,   536,  1370,   538,  1507,    58,     8,     9,    10,    11,
      12,  1514,   263,  1381,   536,   305,   306,  1385,   256,   257,
     533,   150,    24,    25,    26,    27,    28,    29,    30,    31,
      32,  1569,  1570,    35,   153,   154,  1574,     8,     9,    10,
      11,    12,     3,  1581,   245,    81,  1584,    17,    18,    18,
      20,    20,    22,    24,    25,    26,    27,    28,    29,    30,
      31,    32,   217,   218,    35,   533,     8,     9,    10,    11,
      12,  1609,  1610,   350,   538,   352,   277,   354,   355,     3,
    1618,   358,    24,    25,    26,    27,    28,    29,    30,    31,
      32,   144,  1595,    35,  1835,    17,    18,   534,    20,  1602,
      22,  1842,     3,    44,  1845,  2456,  1847,   377,   378,    50,
      51,    52,    53,   149,    55,    56,    57,     3,  1656,    60,
       3,    62,    63,   535,   536,  1663,   534,    68,    69,    17,
      18,    19,    20,  1503,   404,  1503,   188,   189,   190,   191,
     192,  1749,     8,     9,    10,    11,    12,   534,   536,   188,
     189,   190,   191,   192,   536,  2506,   538,     3,    24,    25,
      26,    27,    28,    29,    30,    31,    32,  1729,     3,    35,
       8,     9,    10,    11,    12,    42,    43,   436,   437,    42,
      43,   440,   441,   442,   534,     3,    24,    25,    26,    27,
      28,    29,    30,    31,    32,   534,    15,    35,   709,   172,
     173,   174,   175,  1420,  1421,    20,  1423,    22,  1816,   274,
     275,  1428,  1429,   535,   536,  1659,  1494,   538,   533,  1436,
     535,   274,    64,    65,    66,    67,   737,  1664,   739,  1666,
      22,  2458,   535,   286,  2461,  2462,     3,    17,    18,  1456,
      20,  1458,   753,     3,    17,    18,  2473,    20,   759,     3,
     761,  1789,   763,   458,   765,   766,   767,   768,   769,   770,
     535,   772,    20,   774,   775,    24,     3,  1875,    17,    18,
    2497,  2498,    20,   784,   785,  2502,  2503,   788,    44,   538,
    1076,   792,  1078,    20,    21,    47,   533,    53,   533,  1659,
     223,  1659,    58,   456,   535,    20,  1834,   125,   126,  1667,
     538,   129,  1840,    47,   135,   136,   134,   135,    41,    42,
      43,     8,     9,    10,    11,    12,   537,    79,   145,   150,
     373,   449,   450,   451,   155,   836,   274,    24,    25,    26,
      27,    28,    29,    30,    31,    32,   533,    74,    35,   170,
     851,   537,   853,     8,     9,    10,    11,    12,   535,   536,
     535,   536,   302,  1891,   407,   408,   359,   360,   533,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    44,   533,
      35,    58,    59,   533,    50,    51,    52,    53,   537,    55,
      56,    57,    22,   145,    60,   537,    62,    63,    11,    12,
     535,   536,    68,   535,   536,   535,  1934,   291,   135,  1937,
     537,  1939,   252,   253,   170,  1622,   188,   189,  1970,   146,
     147,   269,   270,  1630,   339,  1975,   280,  1634,   180,  1636,
     274,   158,   174,   185,     8,     9,    10,    11,    12,   280,
      17,    18,    19,    20,   470,   188,   189,  1975,  1976,   201,
      24,    25,    26,    27,    28,    29,    30,    31,    32,   279,
    1728,    35,  1669,  1897,  1898,   186,   187,   162,   163,    46,
    1998,    48,    49,   265,  2002,   289,  2004,  2005,   305,  2007,
     311,  1917,     8,     9,    10,    11,    12,   513,   514,   515,
     516,   517,   518,  2053,  2054,   318,   252,   253,    24,    25,
      26,    27,    28,    29,    30,    31,    32,   308,   309,    35,
     266,   267,   268,   326,   265,   348,   335,   273,   265,   533,
    2048,   324,  2050,  2051,  2052,   537,   533,   537,     8,     9,
      10,   537,   174,   416,   144,   135,   145,  1897,  1898,  1897,
    1898,   345,   338,   535,    24,    25,    26,   533,   537,   537,
      15,  2079,   533,   533,  2082,   170,    20,  2085,  1059,  1060,
     160,   158,   533,   533,  2092,   537,   274,  1068,   537,  1070,
    2098,  2099,   537,  2171,   535,   537,   158,  2105,  2106,   533,
    2108,   181,  2110,   183,   184,   533,   174,   537,   158,  2117,
     330,  1798,     8,     9,    10,    11,    12,   280,   533,  1806,
     533,  2129,  2130,   535,   280,  2133,  2134,   538,    24,    25,
      26,    27,    28,    29,    30,    31,    32,   537,   537,    35,
     533,    14,    32,   103,   104,    15,  2154,    15,    30,    29,
    2158,    35,    15,  2185,  2162,   536,     7,  1138,    15,    15,
    2168,     3,     3,   243,   244,   245,   246,     3,   534,  2177,
    1151,     3,  1153,     8,     9,    10,    11,    12,   382,   383,
     384,   385,   386,   387,   388,   389,  2216,  2217,  2218,    24,
      25,    26,    27,    28,    29,    30,    31,    32,     3,   535,
      35,     3,     3,     3,     3,     3,     3,     3,  2216,  2217,
    2218,  2241,  2242,     3,     3,     3,  2224,   536,   533,   536,
     348,   205,   280,   533,   533,   533,  2234,  2235,  2236,  2237,
    2238,   280,   316,  2241,  2242,     8,     9,    10,    11,    12,
    1927,  1928,  1929,    20,  1931,   210,   533,   533,  2256,  2257,
    2258,    24,    25,    26,    27,    28,    29,    30,    31,    32,
     533,    33,    35,   144,  2272,  2273,   533,   148,   149,  2277,
     533,   152,   533,   280,   145,   156,  2192,  2193,   280,   280,
     280,  2289,   533,   226,  2292,   533,  2294,   533,  2296,    15,
      15,  2299,  2300,   170,   177,   285,    20,    15,   533,  2307,
      15,  2139,   538,    47,   134,    15,  2384,  2385,    30,   226,
     536,   536,  2320,  2321,  2322,   226,  2394,  1298,   534,     3,
      20,   158,  2330,   204,    20,     3,     3,  2335,   209,   535,
    2338,  2339,    20,   533,   533,    22,   533,    30,   536,    86,
     533,   533,   533,    13,  2031,    15,    16,    17,    18,    19,
      20,   533,    22,  2361,  2362,   174,   280,   533,   171,    29,
      30,    31,   533,   533,    34,  1346,    46,  1348,   535,   533,
      15,   533,   533,   533,   533,   533,    46,    47,    48,    49,
     533,   533,    52,   533,  1365,   533,  1367,   170,   533,   533,
     533,  1372,   538,   533,   533,   533,   533,   533,    18,   533,
     535,    30,    30,    15,   537,  2413,   135,   136,    15,   536,
     157,  1392,  2420,    35,  2422,   144,  2424,  2449,  2450,   148,
     149,  2429,    20,     3,     3,     3,     3,   156,     3,   158,
       3,    15,     3,   103,   104,   105,   106,   107,   108,   109,
     110,     3,   112,   113,   114,   115,   116,   117,   118,     3,
       3,   536,   535,    22,   124,   125,   126,   533,   533,   129,
     533,   144,   536,   533,   533,   135,     8,     9,    10,    11,
      12,   275,   219,   143,   533,   204,   330,   224,   533,   339,
     209,   535,    24,    25,    26,    27,    28,    29,    30,    31,
      32,   533,   533,    35,     8,     9,    10,    11,    12,   533,
     533,   533,   533,   250,   533,   533,   533,   174,   158,  2196,
      24,    25,    26,    27,    28,    29,    30,    31,    32,   313,
      53,    35,   533,   125,   533,   274,   160,   274,   533,   535,
       8,     9,    10,    11,    12,   409,   533,   533,   176,   533,
      32,   534,    24,   213,    24,   534,    24,    25,    26,    27,
      28,    29,    30,    31,    32,   534,   533,    35,     8,     9,
      10,    11,    12,    32,    30,   536,   536,  1548,  1549,    15,
    1551,    35,     3,    18,    24,    25,    26,    27,    28,    29,
      30,    31,    32,     3,   538,    35,   533,    15,   537,   145,
    1571,     8,     9,    10,    11,    12,   170,   361,   357,   356,
     533,   533,   533,   275,   170,   287,   276,    24,    25,    26,
      27,    28,    29,    30,    31,    32,   537,   537,    35,  1600,
      44,   537,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   537,   537,   363,   364,   365,    15,   533,   535,
     533,   533,    15,    30,    54,    61,    34,   528,   533,   319,
     320,    31,    31,     7,   533,   259,    13,   538,    15,    16,
      17,    18,    19,    20,  2351,    22,   538,   243,   535,   533,
     351,   537,    29,    30,    31,   174,   537,    34,   537,   280,
     427,   428,   537,   535,   537,   432,   433,   534,   435,    46,
      47,    48,    49,     7,   534,    52,   443,   444,   533,   369,
     370,   371,   372,     8,     9,    10,    11,    12,   152,   534,
     533,    70,   534,   157,   535,     8,     9,    10,   533,    24,
      25,    26,    27,    28,    29,    30,    31,    32,   536,   535,
      35,    24,    25,    26,    27,    28,    29,    30,    31,    32,
     535,   534,    35,   535,   535,   256,   103,   104,   533,   101,
      32,  1732,   109,   110,    15,   112,   113,   114,   115,   116,
     117,   118,   535,    31,    31,     7,   537,   124,   125,   126,
     253,   537,   129,   533,   289,   533,   439,   533,   135,   439,
    1761,  1762,   533,   453,   454,   538,   143,     7,   536,   535,
     535,   538,   535,   535,   534,   536,   240,   467,   468,   535,
     535,   178,   254,   254,   186,   254,   271,   275,   271,   538,
     533,   254,   254,   274,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   537,   413,   274,   326,   384,   411,   289,   431,
     382,   403,   275,   280,   533,   259,   213,   533,   426,   259,
     533,   531,   532,    22,   534,     8,     9,    10,    11,    12,
     429,   541,   533,   434,   533,   271,   403,   280,   326,   280,
     533,    24,    25,    26,    27,    28,    29,    30,    31,    32,
     280,   472,    35,   533,     8,     9,    10,    11,    12,   462,
     533,   345,   533,   533,   464,    32,     8,     9,    10,  1890,
      24,    25,    26,    27,    28,    29,    30,    31,    32,   276,
     533,    35,    24,    25,    26,    27,    28,    29,    30,    31,
      32,   375,   473,    35,   533,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    32,   538,   533,    22,   393,
     538,   395,   414,   448,   280,   399,   280,   254,   254,   170,
     404,   405,   319,   320,   474,   474,   391,   396,   535,   967,
     396,    13,   967,    15,    16,    17,    18,    19,    20,   536,
      22,   536,   533,   533,   533,   533,   533,    29,    30,   533,
    1971,   967,    34,   535,   533,   535,   533,   533,   533,  1938,
     606,  1663,  1412,  1984,    46,    47,    48,    49,  1939,  1937,
      52,  1665,   369,   370,   371,   372,  1997,  1450,  1999,  2027,
     657,   535,     8,     9,    10,    11,    12,  1450,  1450,  1450,
     534,  1012,  2013,  2014,  2015,  2192,   242,   902,    24,    25,
      26,    27,    28,    29,    30,    31,    32,  2193,   456,    35,
    1199,  2366,   474,   903,  1201,   601,   905,   535,   796,  1870,
    1273,   103,   104,   105,   106,   107,   108,   109,   110,  1689,
     112,   113,   114,   115,   116,   117,   118,  1725,  1742,  1748,
    1084,  1770,   124,   125,   126,   535,  1894,   129,  1278,  2290,
    2139,  2303,  2155,   135,   538,  2305,   453,   454,  2159,  2158,
    1614,   143,    -1,   997,  1034,   650,    -1,    -1,    -1,   848,
     467,   468,    -1,  2094,    -1,    -1,    -1,    -1,   535,    -1,
      -1,    -1,    46,  2104,    48,    49,    -1,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,    83,    84,    85,    86,    87,
      88,    89,    90,    91,  2145,    93,    94,    95,    96,    97,
      98,   213,    -1,    -1,   531,   532,    -1,   534,    -1,    -1,
      -1,    -1,  2163,  2164,   541,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    35,    -1,    -1,    -1,    46,    -1,    48,    49,
     144,    -1,    -1,    -1,   148,   149,    -1,    -1,    -1,    -1,
     535,    -1,   156,    -1,   276,    -1,    -1,    -1,   162,   163,
     164,   165,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,    -1,  2243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   319,   320,    -1,
     204,    -1,    -1,    -1,  2265,   209,  2267,  2268,     8,     9,
      10,    11,    12,    -1,  2275,   219,    -1,  2278,    -1,    -1,
      -1,    -1,    -1,    -1,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    -1,   144,    35,    -1,  2298,   148,   149,
      -1,  2302,    -1,  2304,    -1,    -1,   156,   369,   370,   371,
     372,    -1,   162,   163,   164,   165,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,    -1,    -1,   273,
    2331,  2332,    -1,  2334,    -1,    -1,    -1,    -1,    -1,  2340,
      -1,  2342,  2343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,   209,
     100,    -1,    13,    -1,    15,    16,    17,    18,    19,    20,
     533,    22,    -1,    -1,    -1,    -1,    -1,   321,    29,    30,
      31,    -1,    -1,    34,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   453,   454,    -1,    -1,    46,    47,    48,    49,   533,
    2401,    52,    -1,    -1,    -1,   467,   468,    -1,    -1,  2410,
      -1,    -1,    -1,    -1,    -1,    71,    72,    73,    -1,    -1,
      -1,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,    -1,   103,   104,    -1,    -1,    -1,    -1,   109,   110,
      -1,   112,   113,   114,   115,   116,   117,   118,    -1,   531,
     532,    -1,   534,   124,   125,   126,    -1,    -1,   129,   541,
      -1,   137,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   143,   149,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    13,    -1,    15,    16,    17,
      18,    19,    20,    -1,    22,    -1,    -1,    -1,   174,   175,
      -1,    29,    30,    31,    -1,    -1,    34,   533,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    46,    47,
      48,    49,    -1,    -1,    52,    -1,    -1,    -1,    44,    -1,
     206,    51,    -1,   209,    -1,   211,    -1,    -1,    58,    -1,
      -1,    -1,   213,    -1,    -1,    -1,   222,    -1,    -1,    -1,
     420,   421,   422,   423,    45,    46,    -1,    48,    49,    -1,
      -1,    -1,   238,    -1,    -1,    85,   242,    87,    -1,   537,
      -1,   247,   248,    -1,   538,   103,   104,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,   115,   116,   117,
     118,   111,    -1,    -1,    -1,    -1,   124,   125,   126,   119,
     120,   129,   122,   123,    -1,   276,    -1,   135,    -1,    -1,
     130,   131,   132,    -1,    -1,   143,     8,     9,    10,    11,
      12,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    35,    -1,    -1,    -1,    -1,   319,   320,
      -1,    -1,    -1,   144,    -1,    -1,    -1,   148,   149,    -1,
      -1,    -1,   178,   179,    -1,   156,    -1,    -1,   538,    -1,
     533,   162,   163,   164,   165,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,   213,   362,   203,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,   369,   370,
     371,   372,    -1,    -1,    24,    25,    26,    27,    28,    29,
      30,    31,    32,   204,    -1,    35,    -1,    -1,   209,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   222,    -1,   249,    -1,    -1,   252,   253,    -1,    -1,
      -1,    -1,    -1,    -1,   260,    -1,    -1,    -1,   276,   265,
      -1,    -1,   268,    -1,    -1,    -1,    -1,   273,    -1,    -1,
      -1,    -1,    -1,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   453,   454,    -1,    -1,   302,    -1,    -1,    -1,
      -1,   319,   320,    -1,    -1,    -1,   467,   468,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,
      -1,    -1,    -1,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   369,   370,   371,   372,    -1,    -1,    -1,    -1,   525,
     526,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     531,   532,    -1,   534,    -1,    -1,    -1,    -1,    -1,    -1,
     541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   373,   374,   375,   376,   402,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    13,    -1,    15,    16,
      17,    18,    19,    20,    -1,    22,    -1,   423,    -1,    -1,
      -1,   402,    29,    30,    31,    -1,    -1,    34,   409,    -1,
      -1,   412,    -1,    -1,   415,   453,   454,    -1,    -1,    46,
      47,    48,    49,    -1,    -1,    52,    -1,    -1,    -1,   467,
     468,    -1,   458,   459,   460,   461,    -1,   463,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,    -1,   103,   104,    -1,    -1,
      -1,    -1,   109,   110,    -1,   112,   113,   114,   115,   116,
     117,   118,    -1,   531,   532,    -1,   534,   124,   125,   126,
      -1,    -1,   129,   541,    -1,    -1,    -1,    -1,   135,    -1,
      -1,    -1,   538,    -1,    -1,    -1,   143,   117,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    13,
      -1,    15,    16,    17,    18,    19,    20,   538,    22,    -1,
      -1,    -1,    -1,    -1,   144,    29,    30,    31,   148,   149,
      34,    -1,    -1,   153,   154,    -1,   156,    -1,   158,    -1,
      -1,    -1,    46,    47,    48,    49,    -1,    -1,    52,   169,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,   213,    -1,    -1,    -1,
      -1,    -1,    -1,    46,    -1,    48,    49,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,   209,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,
     104,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,   115,   116,   117,   118,    -1,    -1,    -1,    -1,    -1,
     124,   125,   126,    -1,    -1,   129,    -1,    -1,    -1,   276,
      -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,    44,   143,
      46,    -1,    48,    49,    -1,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    46,    -1,    48,    49,    -1,
      -1,   144,   319,   320,    -1,   148,   149,    -1,    -1,   152,
      -1,    -1,    -1,   156,    -1,    -1,    -1,    -1,    -1,   162,
     163,   164,   165,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,   213,
      -1,    -1,    -1,    -1,    46,    -1,    48,    49,    -1,    -1,
      -1,    -1,   369,   370,   371,   372,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,   354,    -1,   209,    -1,   144,    -1,
      -1,    -1,   148,   149,    -1,    -1,    -1,    -1,    -1,    -1,
     156,    -1,    -1,    -1,    -1,    -1,   162,   163,   164,   165,
     166,   167,    -1,   144,    -1,    -1,    -1,   148,   149,    -1,
      -1,   152,   276,    -1,    -1,   156,    -1,    -1,    -1,    -1,
      -1,   162,   163,   164,   165,   166,   167,    -1,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   204,    -1,
     273,    -1,    -1,   209,    -1,    -1,   453,   454,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   319,   320,    -1,    -1,    -1,
     467,   468,    -1,   204,    -1,    -1,    -1,    -1,   209,    -1,
     162,   163,   164,   165,   166,   167,    -1,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   369,   370,   371,   372,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   282,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   531,   532,    -1,   534,    -1,    -1,
      -1,    -1,    -1,    -1,   541,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,    -1,    -1,
     316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   538,    -1,
      13,    -1,    15,    16,    17,    18,    19,    20,    -1,    22,
      -1,    -1,    -1,    -1,    -1,    -1,    29,    30,    -1,    -1,
      -1,    34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,
     454,    -1,    -1,    46,    47,    48,    49,    -1,    -1,    52,
      -1,    -1,    -1,   467,   468,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,    -1,
     103,   104,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,
     113,   114,   115,   116,   117,   118,    -1,   531,   532,    20,
     534,   124,   125,   126,    -1,    -1,   129,   541,    -1,    -1,
      -1,    -1,   135,    -1,    -1,    -1,    -1,   183,   184,    -1,
     143,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,
      -1,    52,   443,   444,   470,   538,   447,    -1,    -1,    -1,
     476,   452,   478,    -1,    -1,    46,   212,    48,    49,    -1,
      -1,    -1,    -1,   219,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   239,    -1,   241,    -1,    -1,    99,    -1,
      -1,   102,    -1,   249,    -1,    -1,    -1,    -1,   109,   110,
     213,   112,   113,   114,   115,   116,   117,    -1,   264,    -1,
      -1,    -1,   538,    46,    -1,    48,    49,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,
     141,    -1,    -1,    -1,    -1,    -1,    -1,   538,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   144,    -1,    -1,    -1,   148,   149,    -1,
      -1,   152,    -1,   276,    -1,   156,    -1,    -1,    -1,    -1,
      -1,   162,   163,   164,   165,   166,   167,    -1,    -1,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   213,    -1,    -1,    -1,   319,   320,    -1,    -1,
     366,   144,    -1,   204,    -1,   148,   149,    -1,   209,   152,
      -1,    -1,    -1,   156,    -1,    -1,    -1,    -1,    -1,   162,
     163,   164,   165,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    46,    -1,    48,    49,
      -1,    -1,    -1,    -1,    -1,    -1,   369,   370,   371,   372,
      -1,    -1,    -1,    -1,    -1,   276,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,
      -1,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   319,   320,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   479,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     453,   454,    -1,    -1,   144,   278,    -1,    -1,   148,   149,
      -1,    -1,    -1,    -1,   467,   468,   156,    -1,   369,   370,
     371,   372,   162,   163,   164,   165,   166,   167,    -1,    -1,
      -1,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
      -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,   209,
      -1,   402,    -1,    -1,    -1,    -1,    -1,    -1,   531,   532,
      -1,   534,   222,    -1,    -1,    -1,    -1,    -1,   541,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   453,   454,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   467,   468,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   265,   457,    -1,    -1,    -1,
      -1,    -1,    -1,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,    20,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   151,    -1,    -1,    -1,    -1,
     531,   532,    -1,    -1,    -1,    -1,    -1,   538,    47,    -1,
      -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    53,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   538,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    -1,   202,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      99,    -1,    -1,   102,    -1,    -1,    -1,    -1,    -1,    -1,
     109,   110,    20,   112,   113,   114,   115,   116,   117,    -1,
      -1,    -1,    -1,   117,    -1,   538,    -1,    -1,    -1,    -1,
      -1,   125,   412,   249,    -1,    -1,    -1,    -1,    -1,    47,
     139,    -1,   141,    -1,    52,    -1,    -1,    -1,   264,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   153,
     154,    -1,    -1,    -1,   158,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    99,    -1,    -1,   102,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   483,   112,   113,   114,   115,   116,   117,
      -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   218,    -1,    -1,    -1,   222,    -1,
      -1,   139,    -1,   141,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   362,   527,   528,   529,
     366,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   538,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   276,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   419,    -1,   213,    -1,    -1,   424,   425,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,
     319,   320,    -1,    -1,    -1,    -1,    -1,   321,   322,    -1,
      -1,    -1,    -1,    -1,   328,    -1,    -1,    -1,   332,   455,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   343,
      -1,    -1,    -1,   469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   479,    -1,    -1,    -1,   483,   276,    -1,
     369,   370,   371,   372,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    -1,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,
      -1,   319,   320,    52,   530,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   453,   454,    -1,    -1,    -1,    -1,
      -1,   369,   370,   371,   372,    -1,    -1,    -1,   467,   468,
     109,   110,    -1,   112,   113,   114,   115,   116,   117,    -1,
      -1,    -1,    -1,    -1,    -1,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   531,   532,    -1,    -1,    -1,    -1,   537,    -1,
      -1,    -1,    -1,    -1,   538,   453,   454,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,
     468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   213,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,
      19,    20,    -1,   531,   532,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   276,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    46,    -1,    48,
      49,    -1,    -1,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     319,   320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     369,   370,   371,   372,    -1,    -1,   135,   136,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,    -1,
      -1,   150,    -1,    -1,   153,   154,    -1,    -1,    58,   158,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,    -1,
      48,    49,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   193,   194,   195,    -1,   197,    -1,
     199,   200,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    81,   453,   454,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,   468,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,    -1,    -1,   144,    -1,   178,    -1,
     148,   149,    -1,   151,   152,    -1,    -1,    -1,   156,   157,
      -1,    -1,   531,   532,   162,   163,   164,   165,    -1,    -1,
      -1,    -1,    -1,   203,    -1,    -1,    -1,   175,    -1,    -1,
     178,   179,    -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   223,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,
      -1,   209,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,
     218,    -1,   252,   253,   222,    -1,    -1,    -1,    -1,    -1,
     260,    -1,    -1,    -1,    -1,    -1,    -1,   267,    -1,    -1,
      -1,    -1,   272,   273,   274,    -1,    -1,    -1,   276,    -1,
     248,   249,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,
      -1,   259,    -1,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   273,    -1,    -1,    -1,    -1,
      -1,   279,    -1,   281,    -1,   283,   284,    -1,    -1,   287,
     288,   319,   320,    -1,    -1,   325,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   334,   303,   304,    -1,    -1,    -1,
      -1,   309,   310,    -1,    -1,    -1,    -1,    -1,    -1,   317,
      -1,    -1,    -1,   321,    -1,    -1,   324,   325,    -1,   327,
      -1,   329,    -1,    -1,    -1,   333,   334,    -1,   336,    -1,
      -1,   369,   370,   371,   372,   375,    -1,   377,   346,   379,
     380,   381,    -1,    -1,    -1,    -1,    -1,   387,    -1,    -1,
      -1,    -1,   392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   402,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   453,   454,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,
     468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   531,   532,    -1,    -1,    -1,   538,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     538
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,     4,   544,   545,    71,    72,    73,   137,   149,   174,
     175,   206,   209,   211,   222,   238,   242,   247,   248,   362,
     525,   526,   601,   602,   603,   604,   703,   704,   705,   706,
     708,   709,   710,   716,   718,   719,   720,   721,   722,   723,
     724,   725,   726,   727,   728,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   759,   770,   771,   772,   773,   793,
     831,   832,   833,   834,   835,   836,   837,   838,   893,   894,
     917,   930,   931,   932,   933,   934,   935,   936,   937,     0,
       3,    36,    46,    48,    49,    74,   135,   137,   138,   140,
     142,   144,   146,   147,   149,   162,   163,   164,   165,   166,
     167,   209,   215,   221,   222,   524,   533,   546,   547,   605,
     607,   608,   609,   610,   619,   654,   656,   657,   659,   660,
     673,   676,   686,   687,   688,   743,   746,   760,   763,   774,
     780,   789,   792,   796,   797,   840,   841,   843,   845,   846,
     851,   882,   885,   895,   896,   908,   909,   918,   921,   928,
     929,   940,   943,   944,     3,     3,     3,    13,    15,    16,
      17,    18,    19,    20,    22,    29,    30,    34,    46,    47,
      48,    49,    52,   103,   104,   109,   110,   112,   113,   114,
     115,   116,   117,   118,   124,   125,   126,   129,   135,   143,
     213,   276,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   319,   320,   369,   370,   371,   372,   453,   454,
     467,   468,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     531,   532,   534,   541,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   598,   599,   600,   624,
     640,   642,   643,   645,   646,   647,   648,   742,    20,    22,
     150,   740,   740,   740,   207,   208,   740,   740,     3,   174,
     183,   184,   212,   219,   239,   241,   249,   264,   366,   455,
     479,   135,   160,   181,   183,   184,   243,   244,   245,   246,
      38,   150,   537,   729,   740,   242,    22,   239,   273,   520,
     521,   522,   938,     3,    20,    21,   550,   550,   550,   648,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    93,
      94,    95,    96,    97,    98,   611,   534,   534,   145,   183,
     198,   523,   168,    20,    22,   183,   574,   146,   219,   220,
     221,   674,   675,   920,   174,   458,   515,   158,   151,   202,
     249,   264,   362,   366,   419,   424,   425,   455,   469,   479,
     483,   530,   795,   881,    47,   550,   661,   144,   148,   149,
     152,   156,   204,   209,   273,   538,   657,   662,   663,   668,
     690,   661,   661,   661,    48,    49,    81,   112,   151,   152,
     157,   162,   163,   164,   165,   175,   178,   179,   218,   222,
     248,   249,   256,   257,   259,   273,   279,   281,   283,   284,
     287,   288,   303,   304,   309,   310,   317,   321,   324,   325,
     327,   329,   333,   334,   336,   346,   538,   662,   781,   782,
     788,   661,   661,    45,   222,   373,   374,   375,   376,   402,
     409,   412,   415,   538,   657,   662,   799,   800,   801,   802,
     803,   661,   176,   420,   421,   422,   423,   538,   662,   668,
     842,   537,   117,   153,   154,   158,   169,   354,   538,   662,
     664,   661,   661,   661,   661,   219,   273,   321,   538,   662,
     668,   912,   913,   222,   265,   412,   483,   527,   528,   529,
     538,   662,   668,   919,   942,   661,   661,   152,   528,   538,
     662,   945,    15,    20,    31,   534,   540,   639,   641,   646,
      32,   554,    32,    17,    18,   555,   556,   534,   134,    30,
     134,   648,    15,   537,   537,   534,   534,   534,   534,   534,
     534,   534,   105,   106,   107,   108,   629,   648,    15,    16,
      18,    19,    20,   534,   555,   556,   563,   624,   625,   628,
     630,   631,   632,   634,   636,   637,   224,   224,     3,     8,
       9,    10,    11,    12,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    35,    38,   150,   537,   691,    22,   575,
     575,   740,   740,     3,    38,   150,   537,   694,     3,    20,
      22,   150,   741,     3,   240,     3,   711,     3,   717,   263,
     160,   184,   245,   277,    20,   152,   245,   401,   417,   418,
     707,   184,   245,   707,   150,     3,     3,     3,     3,     3,
       3,     3,     3,    81,   149,   470,   513,   514,   515,   516,
     517,   518,   926,   927,    15,   730,   575,   794,     3,   938,
     938,     3,     3,   458,   939,    24,   620,   606,    92,   550,
      20,    20,    15,    17,    20,    47,   534,   655,   691,    15,
      20,   534,   548,    37,    38,    39,    40,   170,   548,   551,
     694,   533,    22,   216,   533,   512,   519,   574,   924,   223,
     548,   549,   549,   550,   367,   368,   844,   456,    20,    47,
     537,   145,   551,   691,   689,   157,   574,   574,   694,   274,
     533,   537,   666,   533,   533,   537,   537,   537,   223,   290,
     302,   533,    22,   293,   294,    46,   338,    46,   338,    46,
     338,    46,   338,   291,   574,   551,   339,   174,   219,   307,
     332,   222,   551,   533,   548,    17,    18,    20,   347,   552,
     776,   552,   775,   274,   280,   282,   289,   280,   279,   265,
     289,   305,   306,   305,   551,   311,   318,   265,   265,   326,
     324,   259,   293,   551,   335,   337,   548,   348,   533,   537,
     786,   533,   537,   537,   416,   174,   655,   551,   144,   548,
     551,   145,   345,   551,   338,   798,   666,   533,   537,   537,
     551,    47,   180,    15,   224,   250,   153,   154,   533,   533,
     548,   135,   136,   150,   155,   170,   176,   617,   670,   170,
     670,    20,   669,   170,   158,   533,   533,   537,   537,   537,
     537,    18,    19,    20,   566,   569,   274,   158,   533,   533,
      80,   285,   314,   323,   480,   481,   482,   910,   911,   537,
     916,   174,   548,   330,   158,   551,   280,   551,   533,   533,
     537,   537,   946,   950,   280,   533,     7,   641,   641,   648,
     641,   641,    14,    15,    15,    32,   644,   648,    29,    30,
     134,    30,   595,   595,   669,   648,   648,   648,   648,   648,
     648,    15,   536,   535,   536,    31,   627,   629,   648,    29,
      30,   537,     7,   536,   542,   536,   542,    15,    15,   648,
     648,   648,   648,   648,   648,   648,   648,   648,   648,   648,
     648,   648,   648,    51,    58,    85,    87,   111,   119,   120,
     122,   123,   130,   131,   132,   159,   160,   161,   181,   182,
     184,   692,   693,     3,     3,     3,     3,     3,   159,   210,
     695,   696,     3,   741,     3,     3,     3,   135,   146,   150,
     153,   154,   158,   177,   193,   194,   195,   197,   199,   200,
     569,   617,   714,     3,    74,   135,   146,   147,   158,   550,
     707,   707,   707,   707,   707,   707,   707,   839,   150,   707,
     150,   707,     3,   707,   707,     3,     3,   536,   538,     3,
       3,     3,   135,   158,   180,   617,     3,   939,   548,     3,
     648,   534,   613,   614,   615,   618,   533,   536,   536,   683,
     684,   648,   533,   648,   549,   533,   548,   217,   218,   348,
     922,   548,   923,   150,   537,   925,   548,    41,    42,    43,
     205,   658,   661,    20,   655,   677,   680,   681,   551,   665,
     667,   745,   762,   280,   280,   552,   533,   548,   548,    81,
     350,   533,   533,   222,   340,   280,   331,   551,   316,   551,
     210,   533,   533,   533,    20,   563,   568,    33,   553,    44,
     226,   344,   345,   533,   553,    44,   226,   533,   551,   548,
     280,   280,   548,   280,   551,   280,   551,   145,   551,   533,
     551,   551,   551,   551,   551,   551,   226,   551,   533,   551,
     551,   533,   349,   574,   785,   787,   791,   551,   280,   331,
     551,   551,   170,   548,   551,   667,   804,    15,    15,   549,
     549,    20,   615,   616,   648,    38,   548,   672,   177,   672,
     672,   669,   850,   884,   897,   551,   669,    22,   552,   552,
      46,   249,   403,   441,   910,   915,   533,   551,   551,   548,
     548,   681,   682,   548,    15,   535,    47,    15,   535,   536,
     134,    30,   596,   597,   535,   536,   535,   536,   536,   536,
     536,   535,   648,   648,   536,     7,   536,   536,   535,    15,
      17,    18,   534,   625,   632,   636,   226,   226,   534,   536,
     538,   536,   538,     3,   616,    20,   158,    20,   150,    17,
      18,    19,    20,   555,   556,   557,   558,   559,   712,   713,
      20,     3,   575,   575,   575,   575,   575,   575,     3,    20,
      58,   144,   274,   286,   373,   407,   408,   707,   575,   707,
     575,   575,   575,   927,   616,    22,   669,   574,     3,   533,
     535,   612,   618,   537,   611,   574,    20,   681,   533,   535,
     535,    22,    42,    43,    42,    43,   574,   574,   926,   533,
     533,    30,   679,   536,   533,   538,   664,   152,   256,   257,
     538,   662,   744,   152,   278,   538,   662,   668,   761,   548,
     548,   533,   533,   533,   551,   537,   551,   777,   174,   280,
     548,   533,   533,   551,   533,   551,   776,   550,   776,   548,
     548,   775,   548,   548,   533,   533,   548,   548,   533,   548,
     533,   548,   533,   655,   533,   533,   533,   533,   533,   533,
     533,   533,   548,   533,   533,   533,   548,   533,    53,   125,
     153,   218,   222,   312,   321,   322,   328,   332,   343,   538,
     664,   784,   135,   158,   363,   364,   365,   538,   617,   662,
     790,   548,   548,   152,   157,   240,   345,   375,   393,   395,
     399,   404,   405,   538,   805,   812,   815,   171,   671,   551,
     533,    86,   152,   443,   444,   447,   452,   538,   662,   668,
     847,   152,   402,   457,   538,   662,   668,   883,    44,   282,
     316,   470,   476,   478,   538,   662,   668,   898,   900,   533,
     533,   553,    46,    15,   571,   572,   551,   548,   551,    20,
      75,    76,    77,    78,    79,    80,    81,    82,    99,   102,
     117,   139,   141,   538,   645,   647,   649,   651,   742,   914,
     170,   941,   537,   949,   641,    18,   648,    30,    30,   593,
     594,   648,   648,   648,   648,   648,   536,   535,   536,    31,
     627,   648,   627,    31,   627,   627,   536,   648,    15,    15,
     648,   693,   696,    20,    47,    17,    18,    35,     3,     3,
       3,     3,     3,     3,    15,   655,   655,   655,   575,     3,
     575,     3,     3,     3,   611,   621,   622,   651,   550,   535,
     536,   538,    22,   575,   678,   680,   533,   747,   753,   747,
     754,   552,   758,   533,   764,   769,   144,   533,   536,   533,
     533,    86,   208,   350,   352,   354,   355,   358,   778,   779,
     533,   331,   551,   548,   533,   533,   533,   533,   533,   533,
     533,   533,   533,   533,   533,   533,   533,   275,   330,   158,
     339,   174,   313,   158,   151,   323,   551,    53,   551,   533,
     616,    22,   669,   574,   548,   125,   533,   824,   830,   377,
     378,   404,   551,   807,   377,   551,   806,   274,   568,   808,
     809,   406,   551,   533,   409,   825,   172,   173,   174,   175,
      20,   556,   567,   861,   866,   852,   860,   848,   849,   567,
     160,   533,   886,   892,   551,   548,   533,   548,   176,   899,
     899,    20,   552,   574,   901,    60,   475,   902,   899,   533,
     572,    32,    24,   648,   650,   650,   534,   648,   648,   648,
      24,   534,   534,   533,    24,   650,    24,    35,   548,   948,
      32,    30,    44,    50,    51,    52,    53,    55,    56,    57,
      60,    62,    63,    68,   538,   578,   579,   580,   581,   583,
     591,    69,   538,   579,   580,   581,   582,   583,   592,   536,
     535,   535,   535,   535,   648,   648,   535,   536,     7,   535,
     536,   535,   536,     7,   535,   536,   536,    15,   535,    35,
      18,    46,    48,    49,   162,   163,   164,   165,   166,   167,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   715,     3,     3,   550,   538,   651,   533,    15,    17,
      18,    20,   555,   556,   570,   682,   537,   752,    33,   258,
     755,   682,   145,   548,   170,   361,   128,   353,   357,   356,
     359,   360,   536,   538,   533,   533,   533,   176,   286,   302,
     252,   253,   551,   551,   222,   340,   551,   286,   314,   315,
     669,   275,   287,   681,   826,   548,   548,   551,   537,   548,
     537,   655,   537,   548,   548,   537,   537,   865,   682,   537,
     552,   867,   872,    22,   537,   873,   878,   551,   682,   170,
     548,   548,   900,   903,   904,   548,    15,   648,   536,   533,
     533,   742,   533,   100,   537,   648,   652,   652,   648,   533,
     648,   125,   126,   129,   134,   135,   437,   538,   947,    15,
      30,    54,    58,    59,    61,     8,     9,    10,    24,    25,
      26,   103,   104,   548,   576,   584,   585,   586,    34,   587,
     588,   588,   590,   568,   533,   584,   587,   590,   587,   567,
     533,   648,   535,   535,    31,   627,    31,   627,    31,   627,
       7,    31,   627,    31,   627,   538,   715,   533,   535,   535,
     752,   751,   748,   550,   574,   259,   756,   537,   768,   551,
     533,   351,   243,   779,   341,   342,   551,   783,   783,   552,
     174,   280,   551,   551,   827,   537,   829,   817,   817,   810,
     813,   864,   863,   537,   859,   868,   874,   537,   891,   548,
     537,   533,   650,   535,   537,   623,   651,   638,   533,   648,
      20,   117,   647,   653,   742,   533,   533,   534,   534,   534,
     533,   534,   552,   533,     7,   548,    11,    12,   577,   536,
      12,   536,   577,   548,    64,    65,    66,    67,   589,   536,
     577,    70,   535,   535,   535,   535,   536,     7,   535,   535,
     535,   536,   534,   535,     7,   535,   535,     7,   535,   748,
     178,   179,   203,   250,   251,   254,   255,   260,   538,   697,
     699,   700,   749,   552,   256,   757,   767,   765,   551,   548,
     825,   828,   538,   568,   818,   819,   538,   240,   377,   394,
     538,   811,   223,   260,   267,   379,   380,   381,   538,   697,
     814,   436,   437,   440,   441,   442,   538,   862,   858,   857,
     871,   877,   890,   887,   905,   533,   621,   101,     6,    15,
      16,   534,   538,   624,   626,   628,   630,   631,   633,   635,
     652,   652,   648,   648,   648,   648,   548,   586,   576,   585,
     588,   588,    32,   588,   588,    15,    31,   627,    31,   627,
     627,     7,   627,   574,   551,   537,   252,   253,   253,   549,
     548,   155,   186,   261,   262,   750,   537,   533,   551,    44,
      53,    58,   170,   252,   253,   266,   267,   268,   273,   538,
     766,    58,   223,   245,   249,   252,   253,   260,   267,   272,
     273,   274,   325,   334,   375,   377,   379,   380,   381,   387,
     392,   402,   410,   538,   697,   816,   394,   400,   820,   551,
     548,   551,   533,   548,   155,   261,   390,   548,   548,   289,
     195,   548,   533,   439,   439,   551,   551,   551,   533,    86,
     157,   219,   224,   250,   274,   427,   428,   432,   433,   435,
     443,   444,   538,   853,   439,   445,   538,   869,   439,   446,
     538,   875,    44,   179,   249,   252,   253,   260,   265,   268,
     273,   302,   325,   402,   423,   458,   459,   460,   461,   463,
     538,   697,   888,   470,   471,   477,   538,   906,   538,   623,
     621,   648,     7,   536,   539,   535,   536,   535,   535,   535,
     535,   548,   548,   548,   548,   589,   589,   535,   535,   535,
     536,   535,   534,   535,   698,   699,   254,   254,   254,   188,
     189,   186,    47,    79,   145,   180,   185,   201,   701,   548,
     275,   269,   270,   548,   271,    62,    63,   214,   272,   685,
     548,   254,   254,   274,   533,   382,   383,   384,   385,   386,
     387,   388,   389,   548,   537,   551,   271,    62,   272,   685,
     155,   261,   390,   548,   548,   274,   413,   326,   384,   551,
     548,   548,   289,   195,   548,   411,   548,   403,   382,   533,
     548,   533,   548,   548,   548,   548,   430,   866,   117,   439,
     117,   430,   439,   426,   289,   426,   431,   551,   429,   280,
     434,   275,   259,   854,   259,   855,   533,   438,   548,   879,
     867,   870,   533,   879,   873,   876,   533,   548,   551,   551,
     271,    62,   272,   685,   155,   188,   390,   466,   889,   548,
     280,   274,   465,   552,   326,   403,   338,   382,   280,   280,
     396,   548,   462,   464,   533,   473,   472,   574,   907,   533,
     535,   534,   626,   633,   621,   533,   648,   533,   533,   533,
     533,    32,    32,   627,   627,   538,   533,   549,   549,   549,
     188,   189,    22,   573,    47,   180,   548,   573,   186,   187,
     702,    47,   180,   538,   162,   163,   548,   548,   548,   548,
     548,   549,   549,   551,   821,   397,   398,   548,   548,   548,
     551,   414,   253,   551,   551,   548,   548,   551,   548,   551,
     448,   880,   880,   280,   449,   450,   451,   856,   548,   856,
     280,   548,   254,   548,   254,   548,   551,   548,   548,   170,
     551,   872,   551,   878,   548,   548,   548,   548,   548,   551,
     551,   253,   551,   548,   548,   548,   551,   551,   551,   474,
     474,   648,   535,   548,   548,   535,   536,   698,   533,   573,
     573,   533,   533,   188,   189,   190,   191,   192,   188,   189,
     190,   191,   192,   533,   573,   573,   552,   552,   538,   552,
     823,   551,   396,   551,   548,   880,   548,   880,   548,   548,
     548,   396,   574,   574,   533,   627,   701,   533,   533,   701,
     701,   701,   533,   533,   391,   822,   536,   701,   701,   701,
     701,   533,   627,   535
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   543,   544,   544,   545,   545,   546,   546,   547,   548,
     548,   548,   549,   549,   549,   550,   550,   551,   551,   551,
     551,   551,   551,   552,   552,   552,   553,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   563,   564,
     564,   565,   565,   566,   566,   566,   566,   566,   566,   567,
     567,   568,   568,   569,   569,   570,   570,   570,   570,   570,
     571,   572,   572,   573,   574,   574,   575,   575,   576,   576,
     576,   576,   576,   576,   576,   576,   577,   577,   578,   578,
     578,   578,   578,   578,   578,   578,   578,   579,   580,   581,
     582,   583,   583,   584,   584,   584,   584,   585,   585,   586,
     586,   587,   587,   587,   588,   588,   589,   589,   589,   589,
     590,   590,   590,   591,   591,   591,   591,   592,   592,   592,
     592,   592,   592,   593,   593,   594,   594,   595,   596,   597,
     598,   599,   600,   600,   601,   602,   601,   603,   601,   604,
     546,   606,   605,   546,   607,   546,   608,   546,   609,   546,
     610,   611,   611,   611,   611,   611,   611,   611,   611,   611,
     611,   611,   611,   611,   611,   611,   611,   612,   612,   613,
     613,   614,   614,   615,   616,   616,   617,   618,   546,   620,
     619,   621,   621,   622,   622,   623,   623,   624,   624,   625,
     625,   625,   625,   625,   625,   626,   626,   626,   626,   627,
     628,   628,   628,   628,   628,   628,   628,   628,   628,   628,
     629,   629,   629,   629,   630,   630,   630,   631,   631,   631,
     631,   631,   631,   631,   631,   632,   632,   632,   632,   632,
     633,   633,   633,   633,   633,   634,   634,   635,   635,   636,
     636,   636,   636,   637,   637,   638,   638,   638,   639,   639,
     640,   641,   641,   641,   641,   641,   641,   642,   642,   642,
     642,   642,   642,   642,   642,   642,   642,   643,   643,   643,
     643,   644,   644,   644,   645,   646,   647,   647,   647,   647,
     647,   647,   647,   647,   647,   648,   648,   648,   648,   648,
     648,   648,   648,   648,   648,   648,   648,   648,   648,   648,
     648,   648,   648,   648,   648,   648,   648,   648,   648,   648,
     648,   648,   648,   648,   648,   648,   648,   648,   648,   648,
     648,   648,   648,   648,   648,   648,   648,   648,   648,   648,
     648,   648,   649,   649,   649,   649,   650,   650,   650,   651,
     651,   651,   651,   651,   651,   651,   651,   651,   651,   651,
     651,   651,   651,   651,   651,   651,   651,   651,   651,   652,
     653,   653,   653,   653,   546,   654,   654,   655,   655,   655,
     655,   546,   656,   657,   657,   657,   657,   657,   657,   657,
     657,   657,   657,   546,   658,   658,   659,   546,   660,   660,
     661,   661,   661,   661,   662,   662,   662,   662,   662,   662,
     662,   662,   663,   664,   664,   664,   664,   664,   664,   664,
     664,   665,   665,   666,   666,   667,   668,   669,   670,   670,
     670,   670,   671,   671,   671,   671,   671,   672,   672,   546,
     673,   673,   546,   674,   674,   674,   674,   675,   675,   675,
     675,   675,   675,   675,   675,   676,   677,   678,   678,   679,
     679,   680,   681,   681,   682,   683,   684,   685,   685,   686,
     687,   688,   688,   688,   688,   688,   689,   690,   691,   691,
     691,   692,   692,   693,   693,   693,   693,   693,   693,   694,
     694,   694,   695,   695,   696,   696,   697,   697,   698,   698,
     699,   699,   700,   701,   701,   701,   701,   701,   701,   701,
     701,   701,   702,   702,   702,   702,   702,   702,   702,   702,
     702,   702,   601,   703,   601,   704,   601,   705,   601,   706,
     707,   707,   601,   708,   601,   709,   601,   710,   711,   711,
     711,   711,   711,   711,   711,   711,   711,   711,   711,   711,
     711,   711,   711,   711,   712,   712,   712,   712,   712,   712,
     712,   712,   713,   713,   713,   713,   714,   714,   714,   715,
     715,   715,   715,   715,   715,   715,   715,   715,   715,   715,
     715,   715,   715,   715,   715,   715,   715,   715,   715,   601,
     716,   717,   717,   717,   717,   717,   717,   717,   601,   718,
     601,   719,   601,   720,   601,   721,   601,   722,   601,   723,
     601,   724,   601,   725,   601,   726,   601,   727,   601,   728,
     729,   729,   729,   730,   730,   601,   731,   601,   732,   601,
     733,   601,   734,   601,   735,   601,   736,   601,   737,   601,
     738,   601,   739,   740,   740,   740,   741,   741,   741,   742,
     686,   743,   744,   744,   744,   744,   745,   745,   746,   747,
     748,   749,   749,   749,   749,   749,   749,   749,   749,   750,
     750,   750,   750,   750,   750,   751,   751,   752,   752,   753,
     754,   755,   755,   755,   756,   756,   757,   757,   758,   601,
     759,   686,   760,   761,   761,   761,   761,   762,   762,   763,
     764,   765,   766,   766,   766,   766,   766,   766,   766,   766,
     766,   766,   766,   766,   766,   766,   766,   767,   767,   768,
     768,   769,   742,   601,   770,   601,   771,   601,   772,   601,
     773,   686,   774,   775,   775,   775,   776,   776,   776,   776,
     776,   777,   777,   778,   778,   779,   779,   779,   779,   779,
     779,   779,   779,   779,   780,   780,   780,   780,   780,   780,
     780,   780,   780,   780,   780,   780,   780,   780,   780,   780,
     780,   780,   780,   780,   780,   780,   780,   780,   780,   780,
     780,   780,   780,   780,   780,   780,   780,   780,   780,   780,
     780,   780,   780,   780,   780,   780,   780,   780,   780,   780,
     780,   780,   780,   780,   780,   780,   780,   780,   780,   780,
     780,   780,   780,   781,   781,   781,   781,   781,   781,   781,
     781,   781,   781,   781,   781,   782,   783,   783,   783,   784,
     784,   784,   784,   784,   784,   784,   784,   784,   784,   784,
     784,   784,   784,   784,   784,   784,   784,   784,   784,   785,
     785,   786,   786,   787,   788,   742,   742,   742,   742,   742,
     742,   742,   742,   742,   742,   742,   742,   686,   789,   790,
     790,   790,   790,   790,   790,   790,   790,   791,   791,   792,
     601,   793,   794,   794,   794,   794,   794,   794,   686,   795,
     795,   795,   796,   797,   797,   798,   798,   799,   800,   801,
     801,   801,   801,   801,   801,   801,   801,   801,   801,   801,
     801,   801,   801,   801,   802,   803,   804,   804,   805,   805,
     805,   805,   805,   805,   805,   805,   805,   806,   805,   807,
     805,   805,   805,   805,   808,   808,   809,   810,   810,   811,
     811,   811,   812,   812,   813,   813,   814,   814,   814,   814,
     814,   814,   814,   814,   814,   814,   814,   815,   816,   816,
     816,   816,   816,   816,   816,   816,   816,   816,   816,   816,
     816,   816,   816,   816,   816,   816,   816,   816,   816,   816,
     816,   816,   816,   816,   816,   816,   816,   816,   816,   816,
     816,   816,   816,   816,   816,   816,   817,   817,   818,   819,
     820,   820,   820,   821,   821,   822,   822,   823,   824,   825,
     825,   827,   826,   828,   828,   829,   829,   830,   742,   742,
     742,   742,   601,   831,   601,   832,   601,   833,   601,   834,
     601,   835,   601,   836,   601,   837,   601,   838,   839,   839,
     839,   839,   839,   839,   839,   839,   839,   686,   840,   841,
     841,   841,   842,   842,   842,   842,   842,   842,   842,   842,
     842,   686,   844,   843,   845,   845,   845,   845,   686,   846,
     847,   847,   847,   847,   848,   847,   849,   847,   847,   847,
     850,   850,   851,   852,   853,   853,   853,   853,   853,   853,
     853,   853,   853,   853,   853,   853,   853,   853,   853,   853,
     854,   853,   855,   853,   853,   853,   856,   856,   856,   857,
     858,   858,   859,   859,   860,   861,   862,   862,   862,   862,
     862,   863,   864,   864,   865,   865,   866,   867,   868,   869,
     869,   869,   870,   871,   871,   872,   872,   873,   874,   875,
     875,   875,   876,   877,   877,   878,   878,   879,   879,   880,
     880,   742,   742,   686,   881,   881,   882,   883,   883,   883,
     883,   883,   883,   884,   884,   885,   886,   887,   888,   888,
     888,   888,   888,   888,   888,   888,   888,   888,   888,   888,
     888,   888,   888,   888,   888,   888,   888,   888,   888,   888,
     888,   888,   888,   889,   889,   889,   889,   890,   890,   891,
     891,   892,   742,   742,   601,   893,   601,   894,   686,   895,
     896,   897,   897,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   899,   899,   900,   901,   901,   902,   902,   903,
     904,   905,   905,   906,   906,   906,   907,   686,   908,   909,
     909,   909,   909,   909,   909,   910,   910,   910,   910,   910,
     910,   911,   911,   912,   913,   913,   913,   913,   913,   913,
     913,   913,   913,   914,   915,   915,   916,   916,   601,   917,
     918,   919,   919,   742,   742,   742,   742,   742,   742,   742,
     742,   742,   742,   742,   742,   742,   742,   742,   742,   742,
     742,   742,   742,   742,   742,   742,   742,   742,   742,   742,
     742,   546,   920,   921,   922,   922,   923,   923,   924,   924,
     924,   925,   925,   926,   926,   927,   927,   927,   927,   927,
     927,   927,   927,   927,   546,   928,   928,   546,   929,   929,
     929,   929,   601,   930,   601,   931,   601,   932,   601,   933,
     601,   934,   601,   935,   601,   936,   601,   937,   938,   938,
     939,   939,   939,   686,   940,   918,   918,   941,   941,   942,
     942,   942,   942,   942,   942,   942,   686,   943,   944,   944,
     945,   945,   945,   946,   947,   948,   948,   949,   949,   950,
     742,   742
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     2,     2,     0,     2,     1,     1,     5,     1,
       3,     1,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     0,     1,     1,     1,     0,     2,     2,     2,
       3,     7,     2,     2,     5,     5,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     1,     1,     1,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     2,     2,     1,     1,     1,     2,     1,
       1,     1,     1,     2,     4,     1,     3,     1,     3,     1,
       3,     4,     6,     6,     0,     1,     1,     1,     1,     1,
       2,     4,     4,     2,     2,     2,     2,     2,     4,     2,
       2,     2,     2,     0,     3,     0,     3,     0,     0,     0,
       6,     6,     1,     1,     1,     2,     1,     2,     1,     2,
       1,     0,     4,     1,     2,     1,     4,     1,     6,     1,
       8,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     0,     4,     2,
       5,     0,     4,     1,     1,     1,     2,     4,     1,     0,
       5,     0,     1,     1,     2,     1,     3,     1,     1,     1,
       1,     1,     1,     3,     1,     1,     3,     1,     1,     1,
       5,     7,     5,     7,     9,     7,     5,     7,     5,    11,
       1,     1,     2,     1,     7,     9,     7,     7,     9,     7,
       9,     7,     9,     7,    15,     1,     1,     1,     1,     3,
       1,     1,     1,     1,     3,     1,     3,     1,     3,     1,
       2,     2,     6,     1,     3,     0,     4,     3,     1,     3,
       3,     2,     4,     2,     2,     2,     0,     1,     1,     1,
       1,     1,     1,     1,     3,     3,     1,     5,     7,     7,
       1,     0,     1,     3,     4,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     4,     1,     1,     1,     1,     1,     1,     3,     3,
       3,     3,     3,     3,     3,     3,     6,     3,     3,     3,
       3,     3,     5,     7,     6,     6,     6,     6,     4,     8,
       4,     1,     1,     1,     1,     1,     0,     1,     3,     4,
       6,     4,     3,     4,     4,     4,     5,     3,     3,     3,
       2,     5,     4,     7,     7,     7,     7,     7,     9,     0,
       1,     1,     1,     1,     1,     4,     5,     1,     3,     1,
       1,     1,     5,     1,     1,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     1,     4,     1,     1,     1,
       0,     1,     2,     3,     0,     2,     2,     2,     3,     2,
       2,     2,     1,     2,     2,     2,     3,     3,     3,     2,
       4,     0,     3,     0,     3,     0,     3,     1,     2,     1,
       1,     1,     0,     2,     2,     2,     2,     2,     1,     1,
       3,     3,     1,     1,     1,     1,     1,     2,     4,     3,
       4,     4,     3,     4,     4,     3,     0,     1,     2,     0,
       1,     3,     1,     3,     1,     0,     2,     2,     2,     2,
       2,     3,     3,     3,     3,     5,     0,     3,     1,     1,
       3,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     3,     1,     1,     4,     1,     0,     3,
       4,     1,     2,     0,     5,     5,     5,     5,     4,     4,
       4,     4,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     1,     3,     1,     3,     1,     4,     1,     5,
       1,     0,     1,     3,     1,     4,     1,     4,     0,     2,
       3,     3,     3,     6,     3,     2,     2,     2,     2,     3,
       5,     3,     2,     2,     1,     1,     1,     1,     2,     2,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     0,     2,     2,     2,     2,     2,     2,     1,     3,
       1,     3,     1,     3,     1,     3,     1,     3,     1,     3,
       1,     3,     1,     3,     1,     4,     1,     3,     1,     4,
       1,     1,     3,     0,     1,     1,     4,     1,     4,     1,
       4,     1,     3,     1,     4,     1,     4,     1,     4,     1,
       4,     1,     2,     1,     1,     1,     1,     0,     1,     1,
       1,     2,     1,     2,     2,     2,     0,     3,     5,     0,
       0,     2,     4,     4,     4,     2,     2,     2,     1,     1,
       1,     2,     2,     3,     3,     0,     3,     0,     3,     4,
       3,     0,     2,     2,     0,     2,     0,     2,     4,     1,
       5,     1,     2,     1,     1,     2,     4,     0,     3,     5,
       0,     0,     0,     2,     2,     2,     2,     2,     3,     3,
       3,     3,     2,     3,     3,     4,     4,     0,     3,     0,
       3,     4,     1,     1,     6,     1,     6,     1,     6,     1,
       6,     2,     2,     0,     3,     3,     0,     3,     3,     2,
       2,     1,     3,     1,     3,     1,     3,     2,     2,     2,
       2,     2,     2,     3,     3,     3,     3,     4,     6,     4,
       6,     6,     4,     6,     5,     5,     4,     5,     5,     6,
       3,     3,     4,     5,     6,     5,     5,     5,     5,     5,
       5,     5,     5,     5,     6,     6,     6,     5,     6,     8,
       6,     6,     6,     5,     6,     4,     4,     4,     4,     5,
       5,     6,     5,     5,     5,     6,     7,     7,     7,     5,
       5,     4,     4,     1,     1,     2,     2,     2,     2,     2,
       2,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       4,     4,     4,     2,     3,     3,     3,     2,     2,     2,
       3,     5,     5,     4,     3,     3,     3,     3,     3,     0,
       3,     0,     3,     0,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       2,     2,     2,     1,     2,     2,     4,     0,     3,     5,
       1,     4,     0,     3,     3,     3,     2,     3,     2,     1,
       2,     2,     2,     3,     3,     0,     1,     2,     3,     1,
       1,     2,     2,     3,     3,     3,     3,     4,     2,     4,
       3,     2,     3,     1,     2,     4,     0,     3,     2,     1,
       2,     3,     3,     3,     3,     2,     3,     0,     5,     0,
       5,     2,     2,     1,     4,     1,     1,     0,     3,     2,
       2,     2,     5,     2,     0,     3,     0,     2,     2,     3,
       2,     2,     3,     2,     2,     2,     1,     3,     2,     2,
       2,     2,     2,     2,     3,     2,     2,     2,     2,     2,
       2,     2,     2,     3,     3,     3,     2,     3,     2,     3,
       3,     4,     4,     2,     2,     2,     3,     3,     3,     2,
       3,     3,     3,     4,     2,     1,     0,     2,     3,     1,
       0,     1,     2,     0,     2,     0,     1,     3,     0,     0,
       2,     0,     3,     0,     3,     0,     3,     3,     1,     1,
       1,     1,     1,     4,     1,     6,     1,     6,     1,     6,
       1,     7,     1,     6,     1,     7,     1,     5,     0,     2,
       3,     2,     3,     3,     2,     3,     2,     2,     2,     3,
       3,     3,     1,     3,     3,     2,     3,     3,     2,     2,
       2,     2,     0,     4,     2,     3,     3,     5,     1,     2,
       1,     1,     2,     2,     0,     3,     0,     3,     2,     3,
       0,     3,     5,     0,     4,     4,     3,     2,     3,     3,
       3,     3,     4,     4,     4,     3,     3,     4,     4,     2,
       0,     3,     0,     3,     3,     3,     1,     1,     1,     0,
       0,     3,     0,     3,     4,     1,     2,     2,     2,     4,
       4,     0,     0,     3,     0,     3,     3,     1,     0,     0,
       2,     2,     0,     0,     3,     1,     5,     1,     0,     0,
       2,     2,     0,     0,     3,     1,     5,     1,     2,     0,
       2,     1,     1,     1,     1,     2,     2,     1,     1,     2,
       4,     2,     2,     0,     3,     5,     0,     0,     2,     2,
       2,     2,     2,     2,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     3,     3,     4,     3,
       2,     2,     1,     1,     1,     1,     1,     0,     3,     0,
       3,     4,     1,     1,     1,     6,     1,     6,     1,     2,
       5,     0,     3,     1,     1,     2,     3,     1,     2,     3,
       3,     3,     0,     1,     2,     1,     1,     2,     6,     0,
       0,     0,     3,     4,     4,     2,     0,     2,     2,     3,
       3,     3,     5,     5,     4,     3,     2,     3,     3,     3,
       3,     1,     2,     2,     2,     3,     5,     1,     2,     2,
       2,     2,     2,     1,     0,     2,     0,     3,     1,     4,
       3,     3,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     5,     2,     0,     0,     2,     2,     2,
       1,     1,     3,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     3,     1,     3,     4,
       3,     3,     1,     4,     1,     5,     1,     3,     1,     3,
       1,     3,     1,     4,     1,     2,     1,     3,     0,     1,
       0,     1,     2,     2,     2,     3,     3,     0,     2,     1,
       1,     2,     3,     2,     3,     4,     2,     2,     3,     3,
       1,     2,     3,     0,     2,     0,     3,     0,     3,     3,
       1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      YY_LAC_DISCARD ("YYBACKUP");                              \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

/* Given a state stack such that *YYBOTTOM is its bottom, such that
   *YYTOP is either its top or is YYTOP_EMPTY to indicate an empty
   stack, and such that *YYCAPACITY is the maximum number of elements it
   can hold without a reallocation, make sure there is enough room to
   store YYADD more elements.  If not, allocate a new stack using
   YYSTACK_ALLOC, copy the existing elements, and adjust *YYBOTTOM,
   *YYTOP, and *YYCAPACITY to reflect the new capacity and memory
   location.  If *YYBOTTOM != YYBOTTOM_NO_FREE, then free the old stack
   using YYSTACK_FREE.  Return 0 if successful or if no reallocation is
   required.  Return 1 if memory is exhausted.  */
static int
yy_lac_stack_realloc (YYSIZE_T *yycapacity, YYSIZE_T yyadd,
#if YYDEBUG
                      char const *yydebug_prefix,
                      char const *yydebug_suffix,
#endif
                      yytype_int16 **yybottom,
                      yytype_int16 *yybottom_no_free,
                      yytype_int16 **yytop, yytype_int16 *yytop_empty)
{
  YYSIZE_T yysize_old =
    *yytop == yytop_empty ? 0 : *yytop - *yybottom + 1;
  YYSIZE_T yysize_new = yysize_old + yyadd;
  if (*yycapacity < yysize_new)
    {
      YYSIZE_T yyalloc = 2 * yysize_new;
      yytype_int16 *yybottom_new;
      /* Use YYMAXDEPTH for maximum stack size given that the stack
         should never need to grow larger than the main state stack
         needs to grow without LAC.  */
      if (YYMAXDEPTH < yysize_new)
        {
          YYDPRINTF ((stderr, "%smax size exceeded%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (YYMAXDEPTH < yyalloc)
        yyalloc = YYMAXDEPTH;
      yybottom_new =
        (yytype_int16*) YYSTACK_ALLOC (yyalloc * sizeof *yybottom_new);
      if (!yybottom_new)
        {
          YYDPRINTF ((stderr, "%srealloc failed%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (*yytop != yytop_empty)
        {
          YYCOPY (yybottom_new, *yybottom, yysize_old);
          *yytop = yybottom_new + (yysize_old - 1);
        }
      if (*yybottom != yybottom_no_free)
        YYSTACK_FREE (*yybottom);
      *yybottom = yybottom_new;
      *yycapacity = yyalloc;
    }
  return 0;
}

/* Establish the initial context for the current lookahead if no initial
   context is currently established.

   We define a context as a snapshot of the parser stacks.  We define
   the initial context for a lookahead as the context in which the
   parser initially examines that lookahead in order to select a
   syntactic action.  Thus, if the lookahead eventually proves
   syntactically unacceptable (possibly in a later context reached via a
   series of reductions), the initial context can be used to determine
   the exact set of tokens that would be syntactically acceptable in the
   lookahead's place.  Moreover, it is the context after which any
   further semantic actions would be erroneous because they would be
   determined by a syntactically unacceptable token.

   YY_LAC_ESTABLISH should be invoked when a reduction is about to be
   performed in an inconsistent state (which, for the purposes of LAC,
   includes consistent states that don't know they're consistent because
   their default reductions have been disabled).  Iff there is a
   lookahead token, it should also be invoked before reporting a syntax
   error.  This latter case is for the sake of the debugging output.

   For parse.lac=full, the implementation of YY_LAC_ESTABLISH is as
   follows.  If no initial context is currently established for the
   current lookahead, then check if that lookahead can eventually be
   shifted if syntactic actions continue from the current context.
   Report a syntax error if it cannot.  */
#define YY_LAC_ESTABLISH                                         \
do {                                                             \
  if (!yy_lac_established)                                       \
    {                                                            \
      YYDPRINTF ((stderr,                                        \
                  "LAC: initial context established for %s\n",   \
                  yytname[yytoken]));                            \
      yy_lac_established = 1;                                    \
      {                                                          \
        int yy_lac_status =                                      \
          yy_lac (yyesa, &yyes, &yyes_capacity, yyssp, yytoken); \
        if (yy_lac_status == 2)                                  \
          goto yyexhaustedlab;                                   \
        if (yy_lac_status == 1)                                  \
          goto yyerrlab;                                         \
      }                                                          \
    }                                                            \
} while (0)

/* Discard any previous initial lookahead context because of Event,
   which may be a lookahead change or an invalidation of the currently
   established initial context for the current lookahead.

   The most common example of a lookahead change is a shift.  An example
   of both cases is syntax error recovery.  That is, a syntax error
   occurs when the lookahead is syntactically erroneous for the
   currently established initial context, so error recovery manipulates
   the parser stacks to try to find a new initial context in which the
   current lookahead is syntactically acceptable.  If it fails to find
   such a context, it discards the lookahead.  */
#if YYDEBUG
# define YY_LAC_DISCARD(Event)                                           \
do {                                                                     \
  if (yy_lac_established)                                                \
    {                                                                    \
      if (yydebug)                                                       \
        YYFPRINTF (stderr, "LAC: initial context discarded due to "      \
                   Event "\n");                                          \
      yy_lac_established = 0;                                            \
    }                                                                    \
} while (0)
#else
# define YY_LAC_DISCARD(Event) yy_lac_established = 0
#endif

/* Given the stack whose top is *YYSSP, return 0 iff YYTOKEN can
   eventually (after perhaps some reductions) be shifted, return 1 if
   not, or return 2 if memory is exhausted.  As preconditions and
   postconditions: *YYES_CAPACITY is the allocated size of the array to
   which *YYES points, and either *YYES = YYESA or *YYES points to an
   array allocated with YYSTACK_ALLOC.  yy_lac may overwrite the
   contents of either array, alter *YYES and *YYES_CAPACITY, and free
   any old *YYES other than YYESA.  */
static int
yy_lac (yytype_int16 *yyesa, yytype_int16 **yyes,
        YYSIZE_T *yyes_capacity, yytype_int16 *yyssp, int yytoken)
{
  yytype_int16 *yyes_prev = yyssp;
  yytype_int16 *yyesp = yyes_prev;
  YYDPRINTF ((stderr, "LAC: checking lookahead %s:", yytname[yytoken]));
  if (yytoken == YYUNDEFTOK)
    {
      YYDPRINTF ((stderr, " Always Err\n"));
      return 1;
    }
  while (1)
    {
      int yyrule = yypact[*yyesp];
      if (yypact_value_is_default (yyrule)
          || (yyrule += yytoken) < 0 || YYLAST < yyrule
          || yycheck[yyrule] != yytoken)
        {
          yyrule = yydefact[*yyesp];
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
        }
      else
        {
          yyrule = yytable[yyrule];
          if (yytable_value_is_error (yyrule))
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
          if (0 < yyrule)
            {
              YYDPRINTF ((stderr, " S%d\n", yyrule));
              return 0;
            }
          yyrule = -yyrule;
        }
      {
        YYSIZE_T yylen = yyr2[yyrule];
        YYDPRINTF ((stderr, " R%d", yyrule - 1));
        if (yyesp != yyes_prev)
          {
            YYSIZE_T yysize = yyesp - *yyes + 1;
            if (yylen < yysize)
              {
                yyesp -= yylen;
                yylen = 0;
              }
            else
              {
                yylen -= yysize;
                yyesp = yyes_prev;
              }
          }
        if (yylen)
          yyesp = yyes_prev -= yylen;
      }
      {
        int yystate;
        {
          int yylhs = yyr1[yyrule] - YYNTOKENS;
          yystate = yypgoto[yylhs] + *yyesp;
          if (yystate < 0 || YYLAST < yystate
              || yycheck[yystate] != *yyesp)
            yystate = yydefgoto[yylhs];
          else
            yystate = yytable[yystate];
        }
        if (yyesp == yyes_prev)
          {
            yyesp = *yyes;
            *yyesp = yystate;
          }
        else
          {
            if (yy_lac_stack_realloc (yyes_capacity, 1,
#if YYDEBUG
                                      " (", ")",
#endif
                                      yyes, yyesa, &yyesp, yyes_prev))
              {
                YYDPRINTF ((stderr, "\n"));
                return 2;
              }
            *++yyesp = yystate;
          }
        YYDPRINTF ((stderr, " G%d", yystate));
      }
    }
}


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.  In order to see if a particular token T is a
   valid looakhead, invoke yy_lac (YYESA, YYES, YYES_CAPACITY, YYSSP, T).

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store or if
   yy_lac returned 2.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyesa, yytype_int16 **yyes,
                YYSIZE_T *yyes_capacity, yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
       In the first two cases, it might appear that the current syntax
       error should have been detected in the previous state when yy_lac
       was invoked.  However, at that time, there might have been a
       different syntax error that discarded a different initial context
       during error recovery, leaving behind the current lookahead.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      YYDPRINTF ((stderr, "Constructing syntax error message\n"));
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          int yyx;

          for (yyx = 0; yyx < YYNTOKENS; ++yyx)
            if (yyx != YYTERROR && yyx != YYUNDEFTOK)
              {
                {
                  int yy_lac_status = yy_lac (yyesa, yyes, yyes_capacity,
                                              yyssp, yyx);
                  if (yy_lac_status == 2)
                    return 2;
                  if (yy_lac_status == 1)
                    continue;
                }
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
# if YYDEBUG
      else if (yydebug)
        YYFPRINTF (stderr, "No expected tokens.\n");
# endif
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

    yytype_int16 yyesa[20];
    yytype_int16 *yyes;
    YYSIZE_T yyes_capacity;

  int yy_lac_established = 0;
  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  yyes = yyesa;
  yyes_capacity = sizeof yyesa / sizeof *yyes;
  if (YYMAXDEPTH < yyes_capacity)
    yyes_capacity = YYMAXDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yystacksize);

        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    {
      YY_LAC_ESTABLISH;
      goto yydefault;
    }
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      YY_LAC_ESTABLISH;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  YY_LAC_DISCARD ("shift");

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  {
    int yychar_backup = yychar;
    switch (yyn)
      {
          case 2:
#line 132 "conf/confbase.Y" /* yacc.c:1646  */
    { return 0; }
#line 5649 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 3:
#line 133 "conf/confbase.Y" /* yacc.c:1646  */
    { return 0; }
#line 5655 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 8:
#line 149 "conf/confbase.Y" /* yacc.c:1646  */
    {
     struct f_val *val = cfg_alloc(sizeof(struct f_val));
     if (f_eval(f_linearize((yyvsp[-1].x)), cfg_mem, val) > F_RETURN) cf_error("Runtime error");
     cf_define_symbol((yyvsp[-3].s), SYM_CONSTANT | val->type, val, val);
   }
#line 5665 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 10:
#line 158 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = f_eval_int(f_linearize((yyvsp[-1].x))); }
#line 5671 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 11:
#line 159 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_INT)) cf_error("Number constant expected");
     (yyval.i) = SYM_VAL((yyvsp[0].s)).i; }
#line 5679 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 12:
#line 165 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) S_; }
#line 5685 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 13:
#line 166 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) MS_; }
#line 5691 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 14:
#line 167 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) US_; }
#line 5697 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 17:
#line 175 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = !!(yyvsp[0].i); }
#line 5703 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 18:
#line 176 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 5709 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 19:
#line 177 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 5715 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 20:
#line 178 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 5721 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 21:
#line 179 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 5727 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 22:
#line 180 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 5733 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 23:
#line 187 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.a) = ipa_from_ip4((yyvsp[0].ip4)); }
#line 5739 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 24:
#line 188 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.a) = ipa_from_ip6((yyvsp[0].ip6)); }
#line 5745 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 25:
#line 189 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_IP)) cf_error("IP address constant expected");
     (yyval.a) = SYM_VAL((yyvsp[0].s)).ip;
   }
#line 5754 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 26:
#line 196 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.iface) = NULL; }
#line 5760 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 27:
#line 197 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 5766 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 28:
#line 204 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > IP4_MAX_PREFIX_LENGTH) cf_error("Invalid prefix length %u", (yyvsp[0].i));
     (yyval.i) = (yyvsp[0].i);
   }
#line 5775 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 29:
#line 211 "conf/confbase.Y" /* yacc.c:1646  */
    {
  net_fill_ip4(&((yyval.net)), (yyvsp[-1].ip4), (yyvsp[0].i));

  net_addr_ip4 *n = (void *) &((yyval.net));
  if (!net_validate_ip4(n))
    cf_error("Invalid IPv4 prefix %I4/%d, maybe you wanted %I4/%d",
	     n->prefix, n->pxlen, ip4_and(n->prefix, ip4_mkmask(n->pxlen)), n->pxlen);
}
#line 5788 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 30:
#line 221 "conf/confbase.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  net_fill_ip6(&((yyval.net)), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6 *n = (void *) &((yyval.net));
  if (!net_validate_ip6(n))
    cf_error("Invalid IPv6 prefix %I6/%d, maybe you wanted %I6/%d",
	     n->prefix, n->pxlen, ip6_and(n->prefix, ip6_mkmask(n->pxlen)), n->pxlen);
}
#line 5804 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 31:
#line 234 "conf/confbase.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[-4].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[-4].i));

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
  net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-6].ip6), (yyvsp[-4].i), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6_sadr *n = (void *) (yyval.net_ptr);
  if (!net_validate_ip6_sadr(n))
    cf_error("Invalid SADR IPv6 prefix %I6/%d from %I6/%d, maybe you wanted %I6/%d from %I6/%d",
	     n->dst_prefix, n->dst_pxlen, n->src_prefix, n->src_pxlen,
	     ip6_and(n->dst_prefix, ip6_mkmask(n->dst_pxlen)), n->dst_pxlen,
	     ip6_and(n->src_prefix, ip6_mkmask(n->src_pxlen)), n->src_pxlen);
}
#line 5826 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 32:
#line 253 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
  net_fill_vpn4((yyval.net_ptr), net4_prefix(&(yyvsp[0].net)), net4_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 5835 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 33:
#line 259 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
  net_fill_vpn6((yyval.net_ptr), net6_prefix(&(yyvsp[0].net)), net6_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 5844 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 34:
#line 265 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa4));
  net_fill_roa4((yyval.net_ptr), net4_prefix(&(yyvsp[-4].net)), net4_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net4_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP4_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 5855 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 35:
#line 273 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_roa6((yyval.net_ptr), net6_prefix(&(yyvsp[-4].net)), net6_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net6_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 5866 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 36:
#line 281 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_mpls((yyval.net_ptr), (yyvsp[0].i));
}
#line 5875 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 43:
#line 291 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length); net_copy((yyval.net_ptr), &((yyvsp[0].net))); }
#line 5881 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 50:
#line 304 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP6))
       cf_error("IPv6 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 5891 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 52:
#line 313 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || !net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       cf_error("IP network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 5901 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 54:
#line 322 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET))
       cf_error("Network constant expected");
     (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
   }
#line 5911 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 57:
#line 332 "conf/confbase.Y" /* yacc.c:1646  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 5917 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 58:
#line 333 "conf/confbase.Y" /* yacc.c:1646  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 5923 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 59:
#line 334 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
       net_fill_ip_host(&((yyval.net)), SYM_VAL((yyvsp[0].s)).ip);
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
     else
       cf_error("IP address or network constant expected");
   }
#line 5936 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 60:
#line 345 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.mls) = cfg_allocz(sizeof(mpls_label_stack));
  (yyval.mls)->len = 1;
  (yyval.mls)->stack[0] = (yyvsp[0].i);
}
#line 5946 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 62:
#line 353 "conf/confbase.Y" /* yacc.c:1646  */
    {
    if ((yyvsp[-2].mls)->len >= MPLS_MAX_LABEL_STACK)
      cf_error("Too many labels in stack");
    (yyvsp[-2].mls)->stack[(yyvsp[-2].mls)->len++] = (yyvsp[0].i);
    (yyval.mls) = (yyvsp[-2].mls);
  }
#line 5957 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 63:
#line 362 "conf/confbase.Y" /* yacc.c:1646  */
    {
     (yyval.time) = tm_parse_time((yyvsp[0].t));
     if (!(yyval.time))
       cf_error("Invalid date/time");
   }
#line 5967 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 65:
#line 371 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_STRING)) cf_error("String constant expected");
     (yyval.t) = SYM_VAL((yyvsp[0].s)).s;
   }
#line 5976 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 67:
#line 379 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.t) = NULL; }
#line 5982 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 68:
#line 37 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_TRUE; }
#line 5988 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 69:
#line 38 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_EQ;  }
#line 5994 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 70:
#line 39 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_NEQ; }
#line 6000 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 71:
#line 40 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_LT;  }
#line 6006 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 72:
#line 41 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_LEQ; }
#line 6012 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 73:
#line 42 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_GT;  }
#line 6018 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 74:
#line 43 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_GEQ; }
#line 6024 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 75:
#line 44 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_FALSE; }
#line 6030 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 76:
#line 48 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_OR; }
#line 6036 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 77:
#line 49 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_AND; }
#line 6042 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 78:
#line 53 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_IP_PROTOCOL; }
#line 6048 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 79:
#line 54 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_NEXT_HEADER; }
#line 6054 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 80:
#line 55 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_PORT; }
#line 6060 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 81:
#line 56 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DST_PORT; }
#line 6066 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 82:
#line 57 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_SRC_PORT; }
#line 6072 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 83:
#line 58 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_ICMP_TYPE; }
#line 6078 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 84:
#line 59 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_ICMP_CODE; }
#line 6084 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 85:
#line 60 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_PACKET_LENGTH; }
#line 6090 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 86:
#line 61 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DSCP; }
#line 6096 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 87:
#line 64 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, (yyvsp[0].i32)); }
#line 6102 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 88:
#line 65 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_TCP_FLAGS); }
#line 6108 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 89:
#line 66 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_FRAGMENT); }
#line 6114 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 90:
#line 67 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_LABEL); }
#line 6120 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 91:
#line 70 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DST_PREFIX; }
#line 6126 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 92:
#line 71 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_SRC_PREFIX; }
#line 6132 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 93:
#line 75 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 6141 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 94:
#line 79 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-2].i32) | (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 6150 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 97:
#line 88 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_EQ, (yyvsp[0].i));
   }
#line 6159 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 98:
#line 92 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[-2].i));
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_GEQ, (yyvsp[-2].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_AND | FLOW_OP_LEQ, (yyvsp[0].i));
   }
#line 6170 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 101:
#line 106 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 6179 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 102:
#line 110 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-4].i32) | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 6188 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 103:
#line 114 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, 0x40 | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i)); /* AND */
   }
#line 6197 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 104:
#line 121 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 0x00; }
#line 6203 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 105:
#line 122 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 0x02; }
#line 6209 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 106:
#line 126 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 1; }
#line 6215 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 107:
#line 127 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 2; }
#line 6221 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 108:
#line 128 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 4; }
#line 6227 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 109:
#line 129 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 8; }
#line 6233 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 110:
#line 133 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, 0, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 6241 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 111:
#line 136 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, (yyvsp[-2].i32), ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 6249 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 112:
#line 139 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, 0x40, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32)); /* AND */
   }
#line 6257 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 113:
#line 145 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder4_add_pfx(this_flow, (net_addr_ip4 *) &((yyvsp[0].net)));
   }
#line 6266 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 117:
#line 155 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[0].net)), 0);
   }
#line 6275 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 118:
#line 159 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > (yyvsp[-2].net).pxlen)
       cf_error("Prefix offset is higher than prefix length");
     flow_builder_set_type(this_flow, (yyvsp[-3].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[-2].net)), (yyvsp[0].i));
   }
#line 6286 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 127:
#line 182 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  if (this_flow == NULL)
    this_flow = flow_builder_init(&root_pool);
  else
    flow_builder_clear(this_flow);
}
#line 6297 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 128:
#line 189 "conf/flowspec.Y" /* yacc.c:1646  */
    { this_flow->ipv6 = 0; }
#line 6303 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 129:
#line 190 "conf/flowspec.Y" /* yacc.c:1646  */
    { this_flow->ipv6 = 1; }
#line 6309 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 130:
#line 193 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder4_finalize(this_flow, cfg_mem);
  flow4_validate_cf((net_addr_flow4 *) (yyval.net_ptr));
}
#line 6318 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 131:
#line 199 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder6_finalize(this_flow, cfg_mem);
  flow6_validate_cf((net_addr_flow6 *) (yyval.net_ptr));
}
#line 6327 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 141:
#line 470 "filter/config.Y" /* yacc.c:1646  */
    { (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FILTER, filter, NULL); cf_push_scope( (yyvsp[0].s) ); }
#line 6333 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 142:
#line 471 "filter/config.Y" /* yacc.c:1646  */
    {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .sym = (yyvsp[-2].s), .root = (yyvsp[0].fl) };
     (yyvsp[-2].s)->filter = f;

     cf_pop_scope();
   }
#line 6345 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 144:
#line 482 "filter/config.Y" /* yacc.c:1646  */
    { f_eval_int(f_linearize((yyvsp[0].x))); }
#line 6351 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 146:
#line 486 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_define_symbol((yyvsp[-1].s), SYM_ATTRIBUTE, attribute, ca_lookup(new_config->pool, (yyvsp[-1].s)->name, (yyvsp[-2].i))->fda);
}
#line 6359 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 148:
#line 492 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-3].s)->function;
  t->fn_name = (yyvsp[-3].s)->name;
  t->dsc = (yyvsp[-1].t);

  add_tail(&new_config->tests, &t->n);
 }
#line 6373 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 150:
#line 505 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_assert_symbol((yyvsp[-5].s), SYM_FUNCTION);
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-5].s)->function;
  t->cmp = (yyvsp[-3].s)->function;
  t->result = (yyvsp[-1].i);
  t->fn_name = (yyvsp[-5].s)->name;
  t->dsc = (yyvsp[-3].s)->name;
  add_tail(&new_config->tests, &t->n);
 }
#line 6389 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 151:
#line 519 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_INT; }
#line 6395 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 152:
#line 520 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_BOOL; }
#line 6401 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 153:
#line 521 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_IP; }
#line 6407 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 154:
#line 522 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_RD; }
#line 6413 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 155:
#line 523 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_NET; }
#line 6419 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 156:
#line 524 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PAIR; }
#line 6425 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 157:
#line 525 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_QUAD; }
#line 6431 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 158:
#line 526 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_EC; }
#line 6437 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 159:
#line 527 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_LC; }
#line 6443 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 160:
#line 528 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_STRING; }
#line 6449 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 161:
#line 529 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PATH_MASK; }
#line 6455 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 162:
#line 530 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PATH; }
#line 6461 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 163:
#line 531 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_CLIST; }
#line 6467 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 164:
#line 532 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_ECLIST; }
#line 6473 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 165:
#line 533 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_LCLIST; }
#line 6479 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 166:
#line 534 "filter/config.Y" /* yacc.c:1646  */
    {
	switch ((yyvsp[-1].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_EC:
	  case T_LC:
	  case T_RD:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_NET:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
#line 6504 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 168:
#line 558 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-1].s)->scope->slots >= 0xfe) cf_error("Too many declarations, at most 255 allowed");
     cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, (yyvsp[-1].s)->scope->slots++);
   }
#line 6513 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 169:
#line 565 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 6519 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 170:
#line 566 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, (yyvsp[-1].s)->scope->slots++);
     (yyval.i) = (yyvsp[-1].s)->scope->slots;
   }
#line 6528 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 171:
#line 573 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 6534 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 172:
#line 574 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, (yyvsp[-1].s)->scope->slots++);
     (yyval.i) = (yyvsp[-3].i) + 1;
   }
#line 6543 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 174:
#line 583 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_FILTER);
     (yyval.f) = (yyvsp[0].s)->filter;
   }
#line 6552 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 175:
#line 587 "filter/config.Y" /* yacc.c:1646  */
    {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .root = (yyvsp[0].fl) };
     (yyval.f) = f;
   }
#line 6562 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 176:
#line 595 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Construct 'IF term THEN { ACCEPT; } ELSE { REJECT; }' */
     (yyval.f) = f_new_where((yyvsp[0].x));
   }
#line 6571 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 177:
#line 602 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.fl) = f_linearize((yyvsp[-1].x));
     (yyval.fl)->vars = (yyvsp[-3].i);
   }
#line 6580 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 179:
#line 610 "filter/config.Y" /* yacc.c:1646  */
    { DBG( "Beginning of function %s\n", (yyvsp[0].s)->name );
     (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FUNCTION, function, NULL);
     cf_push_scope((yyvsp[0].s));
   }
#line 6589 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 180:
#line 613 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG("Definition of function %s with %u args and %u local vars.\n", (yyvsp[-3].s)->name, (yyvsp[-1].i), (yyvsp[0].fl)->vars);
     (yyvsp[0].fl)->args = (yyvsp[-1].i);
     (yyvsp[-3].s)->function = (yyvsp[0].fl);
     cf_pop_scope();
   }
#line 6600 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 181:
#line 623 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 6606 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 182:
#line 624 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].xp).begin; }
#line 6612 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 183:
#line 627 "filter/config.Y" /* yacc.c:1646  */
    {
  (yyval.xp).begin = (yyval.xp).end = (yyvsp[0].x);
  while ((yyval.xp).end->next)
    (yyval.xp).end = (yyval.xp).end->next;
  }
#line 6622 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 184:
#line 632 "filter/config.Y" /* yacc.c:1646  */
    {
  (yyval.xp).begin = (yyvsp[-1].xp).begin;
  (yyvsp[-1].xp).end->next = (yyvsp[0].x);
  (yyval.xp).end = (yyvsp[0].x);
  while ((yyval.xp).end->next)
    (yyval.xp).end = (yyval.xp).end->next;
 }
#line 6634 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 185:
#line 642 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x)=(yyvsp[0].x);
   }
#line 6642 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 186:
#line 645 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x)=(yyvsp[-1].x);
   }
#line 6650 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 187:
#line 654 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 6656 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 188:
#line 655 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 6662 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 189:
#line 668 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 6668 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 190:
#line 669 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v) = (yyvsp[0].v); }
#line 6674 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 191:
#line 670 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_RD; (yyval.v).val.ec = (yyvsp[0].i64); }
#line 6680 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 192:
#line 671 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 6686 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 193:
#line 672 "filter/config.Y" /* yacc.c:1646  */
    {
     if (f_eval(f_linearize((yyvsp[-1].x)), cfg_mem, &((yyval.v))) > F_RETURN) cf_error("Runtime error");
     if (!f_valid_set_type((yyval.v).type)) cf_error("Set-incompatible type");
   }
#line 6695 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 194:
#line 676 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_CONSTANT);
     if (!f_valid_set_type(SYM_TYPE((yyvsp[0].s)))) cf_error("%s: set-incompatible type", (yyvsp[0].s)->name);
     (yyval.v) = *(yyvsp[0].s)->val;
   }
#line 6705 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 195:
#line 684 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 6711 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 196:
#line 685 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = f_eval_int(f_linearize((yyvsp[-1].x))); }
#line 6717 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 197:
#line 686 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v) = (yyvsp[0].v); }
#line 6723 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 198:
#line 687 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 6729 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 199:
#line 691 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = f_eval_int(f_linearize((yyvsp[0].x))); }
#line 6735 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 200:
#line 694 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6741 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 201:
#line 695 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6747 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 202:
#line 696 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 6753 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 203:
#line 697 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set((yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6759 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 204:
#line 698 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set((yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6765 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 205:
#line 699 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 6771 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 206:
#line 700 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6777 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 207:
#line 701 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6783 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 208:
#line 702 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item(0, CC_ALL, 0, CC_ALL); }
#line 6789 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 209:
#line 704 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-9].i32), (yyvsp[-3].i32), (yyvsp[-7].i32), (yyvsp[-1].i32)); }
#line 6795 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 210:
#line 708 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_RT; }
#line 6801 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 211:
#line 709 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_RO; }
#line 6807 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 212:
#line 710 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = (yyvsp[0].i); }
#line 6813 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 213:
#line 711 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_GENERIC; }
#line 6819 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 214:
#line 715 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6825 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 215:
#line 716 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-7].ecs), 0, (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6831 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 216:
#line 717 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), 0, EC_ALL); }
#line 6837 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 217:
#line 721 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6843 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 218:
#line 722 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6849 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 219:
#line 723 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 6855 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 220:
#line 724 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 6861 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 221:
#line 725 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 6867 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 222:
#line 726 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 6873 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 223:
#line 727 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item(0, LC_ALL, 0, LC_ALL, 0, LC_ALL); }
#line 6879 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 224:
#line 729 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-13].i32), (yyvsp[-5].i32), (yyvsp[-11].i32), (yyvsp[-3].i32), (yyvsp[-9].i32), (yyvsp[-1].i32)); }
#line 6885 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 228:
#line 736 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 6891 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 229:
#line 737 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 6897 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 233:
#line 744 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 6903 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 234:
#line 745 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 6909 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 236:
#line 750 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 6915 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 238:
#line 755 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 6921 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 239:
#line 759 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[0].net); (yyval.px).lo = (yyvsp[0].net).pxlen; (yyval.px).hi = (yyvsp[0].net).pxlen; }
#line 6927 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 240:
#line 760 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = (yyvsp[-1].net).pxlen; (yyval.px).hi = net_max_prefix_length[(yyvsp[-1].net).type]; }
#line 6933 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 241:
#line 761 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = 0; (yyval.px).hi = (yyvsp[-1].net).pxlen; }
#line 6939 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 242:
#line 762 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.px).net = (yyvsp[-5].net); (yyval.px).lo = (yyvsp[-3].i); (yyval.px).hi = (yyvsp[-1].i);
     if (((yyvsp[-3].i) > (yyvsp[-1].i)) || ((yyvsp[-1].i) > net_max_prefix_length[(yyvsp[-5].net).type]))
       cf_error("Invalid prefix pattern range: {%u, %u}", (yyvsp[-3].i), (yyvsp[-1].i));
   }
#line 6949 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 243:
#line 770 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.trie) = f_new_trie(cfg_mem, sizeof(struct f_trie_node)); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 6955 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 244:
#line 771 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.trie) = (yyvsp[-2].trie); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 6961 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 245:
#line 774 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = NULL; }
#line 6967 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 246:
#line 775 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Fill data fields */
     struct f_tree *t;
     struct f_line *line = f_linearize((yyvsp[0].x));
     for (t = (yyvsp[-2].e); t; t = t->left)
       t->data = line;
     (yyval.e) = f_merge_items((yyvsp[-3].e), (yyvsp[-2].e));
   }
#line 6980 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 247:
#line 783 "filter/config.Y" /* yacc.c:1646  */
    {
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = f_linearize((yyvsp[0].x));
     (yyval.e) = f_merge_items((yyvsp[-2].e), t);
 }
#line 6992 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 248:
#line 793 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 6998 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 249:
#line 794 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 7004 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 250:
#line 798 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 7010 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 251:
#line 802 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .asn = (yyvsp[-1].i), .kind = PM_ASN, }, }); (yyval.x)->next = (yyvsp[0].x);  }
#line 7016 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 252:
#line 803 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .from = (yyvsp[-3].i), .to = (yyvsp[-1].i), .kind = PM_ASN_RANGE }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7022 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 253:
#line 804 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_ASTERISK }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7028 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 254:
#line 805 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_QUESTION }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7034 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 255:
#line 806 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); (yyval.x)->next = (yyvsp[0].x); }
#line 7040 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 256:
#line 807 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 7046 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 257:
#line 811 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (yyvsp[0].i), }); }
#line 7052 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 258:
#line 812 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }); }
#line 7058 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 259:
#line 813 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }); }
#line 7064 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 260:
#line 814 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_STRING, .val.s = (yyvsp[0].t), }); }
#line 7070 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 261:
#line 815 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (yyvsp[0].v)); }
#line 7076 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 262:
#line 816 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_RD, .val.ec = (yyvsp[0].i64), }); }
#line 7082 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 263:
#line 817 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_NET, .val.net = (yyvsp[0].net_ptr), }); }
#line 7088 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 264:
#line 818 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "We've got a set here..." );
     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = build_tree((yyvsp[-1].e)), });
     DBG( "ook\n" );
 }
#line 7098 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 265:
#line 823 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PREFIX_SET, .val.ti = (yyvsp[-1].trie), }); }
#line 7104 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 266:
#line 824 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = (yyvsp[0].i) >> 16, .val.i = (yyvsp[0].i) & 0xffff, }); }
#line 7110 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 267:
#line 828 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PAIR_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7116 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 268:
#line 829 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EC_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].ecs)); }
#line 7122 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 269:
#line 830 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LC_CONSTRUCT, (yyvsp[-5].x), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7128 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 270:
#line 831 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PATHMASK_CONSTRUCT, (yyvsp[0].x)); }
#line 7134 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 271:
#line 836 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 7140 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 272:
#line 837 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7146 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 273:
#line 838 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); (yyval.x)->next = (yyvsp[-2].x); }
#line 7152 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 274:
#line 841 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");

     struct f_inst *fc = f_new_inst(FI_CALL, (yyvsp[-3].s));
     uint args = 0;
     while ((yyvsp[-1].x)) {
       args++;
       struct f_inst *tmp = (yyvsp[-1].x)->next;
       (yyvsp[-1].x)->next = fc;

       fc = (yyvsp[-1].x);
       (yyvsp[-1].x) = tmp;
     }

     if (args != (yyvsp[-3].s)->function->args)
       cf_error("Function call '%s' got %u arguments, need %u arguments.",
	   (yyvsp[-3].s)->name, args, (yyvsp[-3].s)->function->args);

     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_VOID });
     (yyval.x)->next = fc;
   }
#line 7179 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 275:
#line 866 "filter/config.Y" /* yacc.c:1646  */
    {
    switch ((yyvsp[0].s)->class) {
      case SYM_CONSTANT_RANGE:
	(yyval.x) = f_new_inst(FI_CONSTANT, *((yyvsp[0].s)->val));
	break;
      case SYM_VARIABLE_RANGE:
	(yyval.x) = f_new_inst(FI_VAR_GET, (yyvsp[0].s));
	break;
      case SYM_ATTRIBUTE:
	(yyval.x) = f_new_inst(FI_EA_GET, *(yyvsp[0].s)->attribute);
	break;
      default:
	cf_error("Can't get value of symbol %s", (yyvsp[0].s)->name);
    }
  }
#line 7199 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 276:
#line 884 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_FROM,	0); }
#line 7205 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 277:
#line 885 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_GW,	0); }
#line 7211 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 278:
#line 886 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_NET,	  SA_NET,	1); }
#line 7217 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 279:
#line 887 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_PROTO,	1); }
#line 7223 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 280:
#line 888 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTS,   SA_SOURCE,	1); }
#line 7229 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 281:
#line 889 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_SCOPE, SA_SCOPE,	0); }
#line 7235 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 282:
#line 890 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTD,   SA_DEST,	0); }
#line 7241 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 283:
#line 891 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_IFNAME,	0); }
#line 7247 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 284:
#line 892 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_IFINDEX,	1); }
#line 7253 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 285:
#line 896 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 7259 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 286:
#line 897 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ADD, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7265 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 287:
#line 898 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_SUBTRACT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7271 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 288:
#line 899 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MULTIPLY, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7277 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 289:
#line 900 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DIVIDE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7283 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 290:
#line 901 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AND, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7289 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 291:
#line 902 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_OR, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7295 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 292:
#line 903 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7301 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 293:
#line 904 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NEQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7307 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 294:
#line 905 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7313 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 295:
#line 906 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7319 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 296:
#line 907 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LT, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 7325 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 297:
#line 908 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 7331 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 298:
#line 909 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7337 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 299:
#line 910 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NOT_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7343 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 300:
#line 911 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NOT, (yyvsp[0].x)); }
#line 7349 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 301:
#line 912 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DEFINED, (yyvsp[-1].x)); }
#line 7355 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 302:
#line 914 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7361 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 303:
#line 915 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7367 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 304:
#line 916 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7373 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 305:
#line 918 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PREF_GET); }
#line 7379 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 306:
#line 920 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_RTA_GET, (yyvsp[0].fsa)); }
#line 7385 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 307:
#line 922 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EA_GET, (yyvsp[0].fda)); }
#line 7391 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 308:
#line 924 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_IS_V4, (yyvsp[-2].x)); }
#line 7397 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 309:
#line 925 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_TYPE, (yyvsp[-2].x)); }
#line 7403 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 310:
#line 926 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_IP, (yyvsp[-2].x)); }
#line 7409 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 311:
#line 927 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROUTE_DISTINGUISHER, (yyvsp[-2].x)); }
#line 7415 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 312:
#line 928 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LENGTH, (yyvsp[-2].x)); }
#line 7421 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 313:
#line 929 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_MAXLEN, (yyvsp[-2].x)); }
#line 7427 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 314:
#line 930 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_ASN, (yyvsp[-2].x)); }
#line 7433 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 315:
#line 931 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_SADR_SRC, (yyvsp[-2].x)); }
#line 7439 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 316:
#line 932 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_IP_MASK, (yyvsp[-5].x), (yyvsp[-1].x)); }
#line 7445 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 317:
#line 933 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AS_PATH_FIRST, (yyvsp[-2].x)); }
#line 7451 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 318:
#line 934 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AS_PATH_LAST, (yyvsp[-2].x)); }
#line 7457 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 319:
#line 935 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AS_PATH_LAST_NAG, (yyvsp[-2].x)); }
#line 7463 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 320:
#line 945 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_path); }
#line 7469 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 321:
#line 946 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_clist); }
#line 7475 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 322:
#line 947 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_eclist); }
#line 7481 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 323:
#line 948 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_lclist); }
#line 7487 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 324:
#line 949 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PATH_PREPEND, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7493 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 325:
#line 950 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CLIST_ADD, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7499 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 326:
#line 951 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CLIST_DEL, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7505 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 327:
#line 952 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CLIST_FILTER, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7511 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 328:
#line 954 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_CHECK_IMPLICIT, (yyvsp[-1].r)); }
#line 7517 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 329:
#line 955 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 7523 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 330:
#line 957 "filter/config.Y" /* yacc.c:1646  */
    {  (yyval.x) = f_new_inst(FI_FORMAT, (yyvsp[-1].x)); }
#line 7529 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 332:
#line 965 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_QUITBIRD; }
#line 7535 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 333:
#line 966 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_ACCEPT; }
#line 7541 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 334:
#line 967 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_REJECT; }
#line 7547 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 335:
#line 968 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_ERROR; }
#line 7553 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 336:
#line 971 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 7559 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 337:
#line 972 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7565 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 338:
#line 973 "filter/config.Y" /* yacc.c:1646  */
    {
     ASSERT((yyvsp[-2].x));
     ASSERT((yyvsp[-2].x)->next == NULL);
     (yyvsp[-2].x)->next = (yyvsp[0].x);
     (yyval.x) = (yyvsp[-2].x);
   }
#line 7576 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 339:
#line 982 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-2].x), (yyvsp[0].x), NULL);
   }
#line 7584 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 340:
#line 985 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-4].x), (yyvsp[-2].x), (yyvsp[0].x));
   }
#line 7592 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 341:
#line 988 "filter/config.Y" /* yacc.c:1646  */
    {
     switch ((yyvsp[-3].s)->class) {
       case SYM_VARIABLE_RANGE:
	 (yyval.x) = f_new_inst(FI_VAR_SET, (yyvsp[-1].x), (yyvsp[-3].s));
	 break;
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), *(yyvsp[-3].s)->attribute);
	 break;
       default:
	 cf_error("Can't assign to symbol %s", (yyvsp[-3].s)->name);
     }
   }
#line 7609 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 342:
#line 1000 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "Ook, we'll return the value\n" );
     (yyval.x) = f_new_inst(FI_RETURN, (yyvsp[-1].x));
   }
#line 7618 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 343:
#line 1004 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), (yyvsp[-3].fda));
   }
#line 7626 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 344:
#line 1007 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-3].fsa).readonly)
       cf_error( "This static attribute is read-only.");
     (yyval.x) = f_new_inst(FI_RTA_SET, (yyvsp[-1].x), (yyvsp[-3].fsa));
   }
#line 7636 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 345:
#line 1012 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_PREF_SET, (yyvsp[-1].x));
   }
#line 7644 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 346:
#line 1015 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_EA_UNSET, (yyvsp[-2].fda));
   }
#line 7652 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 347:
#line 1018 "filter/config.Y" /* yacc.c:1646  */
    {
    struct f_inst *breaker = f_new_inst(FI_DIE, (yyvsp[-2].fret));
    if ((yyvsp[-1].x)) {
      struct f_inst *printer = f_new_inst(FI_PRINT, (yyvsp[-1].x));
      struct f_inst *flusher = f_new_inst(FI_FLUSH);
      printer->next = flusher;
      flusher->next = breaker;
      (yyval.x) = printer;
    } else
      (yyval.x) = breaker;
   }
#line 7668 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 348:
#line 1029 "filter/config.Y" /* yacc.c:1646  */
    {
    (yyval.x) = f_new_inst(FI_PRINT, (yyvsp[-1].x));
    (yyval.x)->next = f_new_inst(FI_FLUSH);
   }
#line 7677 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 349:
#line 1033 "filter/config.Y" /* yacc.c:1646  */
    {
    (yyval.x) = f_new_inst(FI_PRINT, (yyvsp[-1].x));
   }
#line 7685 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 350:
#line 1036 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DROP_RESULT, (yyvsp[-1].x)); }
#line 7691 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 351:
#line 1037 "filter/config.Y" /* yacc.c:1646  */
    {
      (yyval.x) = f_new_inst(FI_SWITCH, (yyvsp[-3].x), build_tree((yyvsp[-1].e)));
   }
#line 7699 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 352:
#line 1041 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_empty((yyvsp[-3].fda)); }
#line 7705 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 353:
#line 1042 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_complex( FI_PATH_PREPEND, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 7711 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 354:
#line 1043 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_complex( FI_CLIST_ADD, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 7717 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 355:
#line 1044 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_complex( FI_CLIST_DEL, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 7723 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 356:
#line 1045 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_complex( FI_CLIST_FILTER, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 7729 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 357:
#line 1046 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = assert_done((yyvsp[-3].x), (yyvsp[-4].t) + 1, (yyvsp[-2].t) - 1); }
#line 7735 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 358:
#line 1047 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = assert_assign(&(yyvsp[-5].flv), (yyvsp[-2].x), (yyvsp[-6].t) + 1, (yyvsp[-4].t) - 1); }
#line 7741 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 359:
#line 1051 "filter/config.Y" /* yacc.c:1646  */
    {
  (yyval.t) = cf_text;
}
#line 7749 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 360:
#line 1056 "filter/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_VARIABLE); (yyval.flv) = (struct f_lval) { .type = F_LVAL_VARIABLE, .sym = (yyvsp[0].s) }; }
#line 7755 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 361:
#line 1057 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.flv) = (struct f_lval) { .type = F_LVAL_PREFERENCE }; }
#line 7761 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 362:
#line 1058 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.flv) = (struct f_lval) { .type = F_LVAL_SA, .sa = (yyvsp[0].fsa) }; }
#line 7767 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 363:
#line 1059 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = (yyvsp[0].fda) }; }
#line 7773 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 365:
#line 109 "nest/config.Y" /* yacc.c:1646  */
    { new_config->router_id = (yyvsp[-1].i32); }
#line 7779 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 366:
#line 110 "nest/config.Y" /* yacc.c:1646  */
    { new_config->router_id_from = this_ipatt; }
#line 7785 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 367:
#line 114 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = (yyvsp[0].i); }
#line 7791 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 368:
#line 115 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = f_eval_int(f_linearize((yyvsp[-1].x))); }
#line 7797 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 369:
#line 116 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = ip4_to_u32((yyvsp[0].ip4)); }
#line 7803 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 370:
#line 117 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_INT) || (yyvsp[0].s)->class == (SYM_CONSTANT | T_QUAD))
       (yyval.i32) = SYM_VAL((yyvsp[0].s)).i;
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)) && ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip))
       (yyval.i32) = ipa_to_u32(SYM_VAL((yyvsp[0].s)).ip);
     else
       cf_error("Number or IPv4 address constant expected");
   }
#line 7816 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 372:
#line 129 "nest/config.Y" /* yacc.c:1646  */
    { new_config->gr_wait = (yyvsp[-1].i); }
#line 7822 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 373:
#line 135 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP4; }
#line 7828 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 374:
#line 136 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP6; }
#line 7834 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 375:
#line 137 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP6_SADR; }
#line 7840 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 376:
#line 138 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_VPN4; }
#line 7846 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 377:
#line 139 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_VPN6; }
#line 7852 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 378:
#line 140 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_ROA4; }
#line 7858 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 379:
#line 141 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_ROA6; }
#line 7864 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 380:
#line 142 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_FLOW4; }
#line 7870 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 381:
#line 143 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_FLOW6; }
#line 7876 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 382:
#line 144 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_MPLS; }
#line 7882 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 384:
#line 155 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 7888 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 385:
#line 156 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 7894 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 386:
#line 159 "nest/config.Y" /* yacc.c:1646  */
    {
   struct rtable_config *cf;
   cf = rt_new_table((yyvsp[-1].s), (yyvsp[-3].i));
   cf->sorted = (yyvsp[0].i);
   }
#line 7904 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 387:
#line 169 "nest/config.Y" /* yacc.c:1646  */
    { proto_postconfig(); }
#line 7910 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 388:
#line 172 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = SYM_PROTO; }
#line 7916 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 389:
#line 173 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = SYM_TEMPLATE; }
#line 7922 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 390:
#line 177 "nest/config.Y" /* yacc.c:1646  */
    {
     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;
     }
#line 7933 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 391:
#line 183 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_define_symbol((yyvsp[0].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[0].s)->name;
   }
#line 7942 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 392:
#line 187 "nest/config.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 7957 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 393:
#line 197 "nest/config.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     cf_define_symbol((yyvsp[-2].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[-2].s)->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 7970 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 395:
#line 209 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->disabled = (yyvsp[0].i); }
#line 7976 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 396:
#line 210 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->debug = (yyvsp[0].i); }
#line 7982 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 397:
#line 211 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->mrtdump = (yyvsp[0].i); }
#line 7988 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 398:
#line 212 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->router_id = (yyvsp[0].i32); }
#line 7994 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 399:
#line 213 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->dsc = (yyvsp[0].t); }
#line 8000 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 400:
#line 214 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->vrf = if_get_by_name((yyvsp[0].t)); this_proto->vrf_set = 1; }
#line 8006 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 401:
#line 215 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->vrf = NULL; this_proto->vrf_set = 1; }
#line 8012 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 402:
#line 220 "nest/config.Y" /* yacc.c:1646  */
    {
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
}
#line 8020 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 403:
#line 225 "nest/config.Y" /* yacc.c:1646  */
    {
     if (this_channel->net_type && ((yyvsp[0].r)->addr_type != this_channel->net_type))
       cf_error("Incompatible table type");
     this_channel->table = (yyvsp[0].r);
   }
#line 8030 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 404:
#line 230 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_filter = (yyvsp[0].f); }
#line 8036 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 405:
#line 231 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->out_filter = (yyvsp[0].f); }
#line 8042 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 406:
#line 232 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->rx_limit = (yyvsp[0].cl); }
#line 8048 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 407:
#line 233 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_limit = (yyvsp[0].cl); }
#line 8054 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 408:
#line 234 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->out_limit = (yyvsp[0].cl); }
#line 8060 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 409:
#line 235 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->preference = (yyvsp[0].i); check_u16((yyvsp[0].i)); }
#line 8066 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 410:
#line 236 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_keep_filtered = (yyvsp[0].i); }
#line 8072 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 415:
#line 250 "nest/config.Y" /* yacc.c:1646  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 8083 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 417:
#line 260 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_TABLE); (yyval.r) = (yyvsp[0].s)->table; }
#line 8089 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 418:
#line 263 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = (yyvsp[0].f); }
#line 8095 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 420:
#line 265 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = FILTER_ACCEPT; }
#line 8101 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 421:
#line 266 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = FILTER_REJECT; }
#line 8107 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 422:
#line 270 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_DISABLE; }
#line 8113 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 423:
#line 271 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_WARN; }
#line 8119 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 424:
#line 272 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_BLOCK; }
#line 8125 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 425:
#line 273 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_RESTART; }
#line 8131 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 426:
#line 274 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_DISABLE; }
#line 8137 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 427:
#line 278 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.cl) = (struct channel_limit){ .limit = (yyvsp[-1].i), (yyval.cl).action = (yyvsp[0].i) }; }
#line 8143 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 428:
#line 279 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.cl) = (struct channel_limit){}; }
#line 8149 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 430:
#line 286 "nest/config.Y" /* yacc.c:1646  */
    { new_config->proto_default_debug = (yyvsp[0].i); }
#line 8155 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 431:
#line 287 "nest/config.Y" /* yacc.c:1646  */
    { new_config->cli_debug = (yyvsp[0].i); }
#line 8161 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 433:
#line 295 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_route; }
#line 8167 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 434:
#line 296 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_proto; }
#line 8173 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 435:
#line 297 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_base; }
#line 8179 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 436:
#line 298 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_log; }
#line 8185 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 437:
#line 302 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-1].tf) = (struct timeformat){(yyvsp[0].t), NULL, 0}; }
#line 8191 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 438:
#line 303 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = (struct timeformat){(yyvsp[-2].t), (yyvsp[0].t), (s64) (yyvsp[-1].i) S_}; }
#line 8197 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 439:
#line 304 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-2].tf) = TM_ISO_SHORT_S; }
#line 8203 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 440:
#line 305 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_SHORT_MS; }
#line 8209 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 441:
#line 306 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_SHORT_US; }
#line 8215 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 442:
#line 307 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-2].tf) = TM_ISO_LONG_S; }
#line 8221 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 443:
#line 308 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_LONG_MS; }
#line 8227 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 444:
#line 309 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_LONG_US; }
#line 8233 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 446:
#line 320 "nest/config.Y" /* yacc.c:1646  */
    {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
#line 8243 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 447:
#line 328 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->pattern = (yyvsp[0].t); /* this_ipn->prefix stays zero */ }
#line 8249 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 448:
#line 329 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->pattern = (yyvsp[-1].t); this_ipn->prefix = (yyvsp[0].net); }
#line 8255 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 449:
#line 333 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->positive = 1; }
#line 8261 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 450:
#line 334 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->positive = 0; }
#line 8267 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 454:
#line 348 "nest/config.Y" /* yacc.c:1646  */
    { iface_patt_check(); }
#line 8273 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 455:
#line 350 "nest/config.Y" /* yacc.c:1646  */
    {
   /* Generic this_ipatt init */
   this_ipatt = cfg_allocz(sizeof(struct iface_patt));
   init_list(&this_ipatt->ipn_list);
 }
#line 8283 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 457:
#line 362 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) & 0xfc;        if ((yyvsp[0].i) > 255) cf_error("TX class must be in range 0-255"); }
#line 8289 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 458:
#line 363 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ((yyvsp[0].i) & 0x3f) << 2; if ((yyvsp[0].i) > 63)  cf_error("TX DSCP must be in range 0-63"); }
#line 8295 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 460:
#line 370 "nest/config.Y" /* yacc.c:1646  */
    {
     this_proto = proto_config_new(&proto_device, (yyvsp[-1].i));
     init_list(&DIRECT_CFG->iface_list);
   }
#line 8304 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 465:
#line 381 "nest/config.Y" /* yacc.c:1646  */
    { DIRECT_CFG->check_link = (yyvsp[-1].i); }
#line 8310 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 466:
#line 385 "nest/config.Y" /* yacc.c:1646  */
    {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
#line 8320 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 468:
#line 399 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 8326 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 469:
#line 400 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 8332 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 470:
#line 401 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 8338 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 472:
#line 406 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 8344 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 473:
#line 410 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_STATES; }
#line 8350 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 474:
#line 411 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_ROUTES; }
#line 8356 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 475:
#line 412 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_FILTERS; }
#line 8362 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 476:
#line 413 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_IFACES; }
#line 8368 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 477:
#line 414 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_EVENTS; }
#line 8374 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 478:
#line 415 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_PACKETS; }
#line 8380 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 479:
#line 421 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 8386 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 480:
#line 422 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 8392 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 481:
#line 423 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 8398 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 483:
#line 428 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 8404 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 484:
#line 432 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = MD_STATES; }
#line 8410 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 485:
#line 433 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = MD_MESSAGES; }
#line 8416 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 492:
#line 454 "nest/config.Y" /* yacc.c:1646  */
    {
     if (!this_p_list) {
	this_p_list = cfg_alloc(sizeof(list));
	init_list(this_p_list);
	password_id = 1;
     }
     this_p_item = cfg_alloc(sizeof (struct password_item));
     this_p_item->password = (yyvsp[0].t);
     this_p_item->length = strlen((yyvsp[0].t));
     this_p_item->genfrom = 0;
     this_p_item->gento = TIME_INFINITY;
     this_p_item->accfrom = 0;
     this_p_item->accto = TIME_INFINITY;
     this_p_item->id = password_id++;
     this_p_item->alg = ALG_UNDEFINED;
     add_tail(this_p_list, &this_p_item->n);
   }
#line 8438 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 493:
#line 474 "nest/config.Y" /* yacc.c:1646  */
    { }
#line 8444 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 494:
#line 475 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->genfrom = (yyvsp[-2].time); }
#line 8450 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 495:
#line 476 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->gento = (yyvsp[-2].time); }
#line 8456 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 496:
#line 477 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->accfrom = (yyvsp[-2].time); }
#line 8462 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 497:
#line 478 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->accto = (yyvsp[-2].time); }
#line 8468 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 498:
#line 479 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->genfrom = this_p_item->accfrom = (yyvsp[-2].time); }
#line 8474 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 499:
#line 480 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->gento = this_p_item->accto = (yyvsp[-2].time); }
#line 8480 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 500:
#line 481 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->id = (yyvsp[-2].i); if ((yyvsp[-2].i) <= 0) cf_error("Password ID has to be greated than zero."); }
#line 8486 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 501:
#line 482 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->alg = (yyvsp[-2].i); }
#line 8492 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 502:
#line 486 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_MD5; }
#line 8498 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 503:
#line 487 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA1; }
#line 8504 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 504:
#line 488 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA256; }
#line 8510 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 505:
#line 489 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA384; }
#line 8516 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 506:
#line 490 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA512; }
#line 8522 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 507:
#line 491 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_MD5; }
#line 8528 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 508:
#line 492 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA1; }
#line 8534 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 509:
#line 493 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA256; }
#line 8540 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 510:
#line 494 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA384; }
#line 8546 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 511:
#line 495 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA512; }
#line 8552 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 513:
#line 502 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_status(); }
#line 8558 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 515:
#line 505 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_memory(); }
#line 8564 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 517:
#line 508 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 0); }
#line 8570 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 519:
#line 511 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 1); }
#line 8576 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 520:
#line 514 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.s) = (yyvsp[0].s); }
#line 8582 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 521:
#line 515 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.s) = NULL; }
#line 8588 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 523:
#line 519 "nest/config.Y" /* yacc.c:1646  */
    { if_show(); }
#line 8594 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 525:
#line 522 "nest/config.Y" /* yacc.c:1646  */
    { if_show_summary(); }
#line 8600 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 527:
#line 526 "nest/config.Y" /* yacc.c:1646  */
    { rt_show((yyvsp[-1].ra)); }
#line 8606 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 528:
#line 529 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     init_list(&((yyval.ra)->tables));
     (yyval.ra)->filter = FILTER_ACCEPT;
     (yyval.ra)->running_on_config = new_config->fallback;
   }
#line 8617 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 529:
#line 535 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
   }
#line 8627 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 530:
#line 540 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->show_for = 1;
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
   }
#line 8638 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 531:
#line 546 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_TABLE);
     (yyval.ra) = (yyvsp[-2].ra);
     rt_show_add_table((yyval.ra), (yyvsp[0].s)->table->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 8649 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 532:
#line 552 "nest/config.Y" /* yacc.c:1646  */
    {
     struct rtable_config *t;
     (yyval.ra) = (yyvsp[-2].ra);
     WALK_LIST(t, config->tables)
       rt_show_add_table((yyval.ra), t->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_ALL;
   }
#line 8661 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 533:
#line 559 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     (yyval.ra) = (yyvsp[-5].ra);
     struct proto_config *cf = (yyvsp[-2].s)->proto;
     if (!cf->proto) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     struct channel *c = proto_find_channel_by_name(cf->proto, (yyvsp[0].t));
     if (!c) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
     if (!c->in_table) cf_error("No import table in channel %s.%s", (yyvsp[-2].s)->name, (yyvsp[0].t));
     rt_show_add_table((yyval.ra), c->in_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 8677 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 534:
#line 570 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 8687 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 535:
#line 575 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 8697 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 536:
#line 580 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->verbose = 1;
   }
#line 8706 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 537:
#line 584 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->primary_only = 1;
   }
#line 8715 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 538:
#line 588 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->filtered = 1;
   }
#line 8724 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 539:
#line 592 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 8739 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 540:
#line 602 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[-2].s)->proto;
     (yyval.ra) = (yyvsp[-4].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-3].i);
     (yyval.ra)->export_channel = proto_find_channel_by_name(c->proto, (yyvsp[0].t));
     if (!(yyval.ra)->export_channel) cf_error("Export channel not found");
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 8755 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 541:
#line 613 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 8769 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 542:
#line 622 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 1;
   }
#line 8778 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 543:
#line 626 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 2;
   }
#line 8787 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 544:
#line 633 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length);
    net_copy((yyval.net_ptr), &(yyvsp[0].net));
  }
#line 8796 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 548:
#line 640 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
    net_fill_vpn4((yyval.net_ptr), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 8805 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 549:
#line 644 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
    net_fill_vpn6((yyval.net_ptr), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 8814 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 550:
#line 648 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
    net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-2].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH);
  }
#line 8823 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 551:
#line 652 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
     {
       (yyval.net_ptr) = cfg_alloc(ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip) ? sizeof(net_addr_ip4) : sizeof(net_addr_ip6));
       net_fill_ip_host((yyval.net_ptr), SYM_VAL((yyvsp[0].s)).ip);
     }
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_type_match(SYM_VAL((yyvsp[0].s)).net, NB_IP | NB_VPN))
       (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
     else
       cf_error("IP address or network constant expected");
   }
#line 8839 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 554:
#line 668 "nest/config.Y" /* yacc.c:1646  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 8845 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 555:
#line 669 "nest/config.Y" /* yacc.c:1646  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 8851 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 556:
#line 672 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_PREEXPORT; }
#line 8857 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 557:
#line 673 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_EXPORT; }
#line 8863 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 558:
#line 674 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_NOEXPORT; }
#line 8869 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 559:
#line 679 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4"; }
#line 8875 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 560:
#line 680 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4-mc"; }
#line 8881 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 561:
#line 681 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4-mpls"; }
#line 8887 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 562:
#line 682 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6"; }
#line 8893 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 563:
#line 683 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-mc"; }
#line 8899 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 564:
#line 684 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-mpls"; }
#line 8905 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 565:
#line 685 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-sadr"; }
#line 8911 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 566:
#line 686 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4"; }
#line 8917 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 567:
#line 687 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4-mc"; }
#line 8923 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 568:
#line 688 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4-mpls"; }
#line 8929 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 569:
#line 689 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6"; }
#line 8935 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 570:
#line 690 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6-mc"; }
#line 8941 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 571:
#line 691 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6-mpls"; }
#line 8947 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 572:
#line 692 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "roa4"; }
#line 8953 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 573:
#line 693 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "roa6"; }
#line 8959 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 574:
#line 694 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "flow4"; }
#line 8965 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 575:
#line 695 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "flow6"; }
#line 8971 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 576:
#line 696 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "mpls"; }
#line 8977 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 577:
#line 697 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "pri"; }
#line 8983 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 578:
#line 698 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "sec"; }
#line 8989 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 580:
#line 703 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_symbols((yyvsp[-1].sd)); }
#line 8995 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 581:
#line 706 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
   }
#line 9003 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 582:
#line 709 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TABLE; }
#line 9009 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 583:
#line 710 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FUNCTION; }
#line 9015 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 584:
#line 711 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FILTER; }
#line 9021 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 585:
#line 712 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_PROTO; }
#line 9027 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 586:
#line 713 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TEMPLATE; }
#line 9033 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 587:
#line 714 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->sym = (yyvsp[0].s); }
#line 9039 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 589:
#line 720 "nest/config.Y" /* yacc.c:1646  */
    { rdump(&root_pool); cli_msg(0, ""); }
#line 9045 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 591:
#line 722 "nest/config.Y" /* yacc.c:1646  */
    { sk_dump_all(); cli_msg(0, ""); }
#line 9051 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 593:
#line 724 "nest/config.Y" /* yacc.c:1646  */
    { io_log_dump(); cli_msg(0, ""); }
#line 9057 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 595:
#line 726 "nest/config.Y" /* yacc.c:1646  */
    { if_dump_all(); cli_msg(0, ""); }
#line 9063 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 597:
#line 728 "nest/config.Y" /* yacc.c:1646  */
    { neigh_dump_all(); cli_msg(0, ""); }
#line 9069 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 599:
#line 730 "nest/config.Y" /* yacc.c:1646  */
    { rta_dump_all(); cli_msg(0, ""); }
#line 9075 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 601:
#line 732 "nest/config.Y" /* yacc.c:1646  */
    { rt_dump_all(); cli_msg(0, ""); }
#line 9081 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 603:
#line 734 "nest/config.Y" /* yacc.c:1646  */
    { protos_dump_all(); cli_msg(0, ""); }
#line 9087 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 605:
#line 736 "nest/config.Y" /* yacc.c:1646  */
    { filters_dump_all(); cli_msg(0, ""); }
#line 9093 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 607:
#line 739 "nest/config.Y" /* yacc.c:1646  */
    { cmd_eval(f_linearize((yyvsp[-1].x))); }
#line 9099 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 609:
#line 742 "nest/config.Y" /* yacc.c:1646  */
    {
  cli_set_log_echo(this_cli, (yyvsp[-2].i), (yyvsp[-1].i));
  cli_msg(0, "");
}
#line 9108 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 610:
#line 748 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 9114 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 611:
#line 749 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 9120 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 612:
#line 750 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 9126 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 613:
#line 754 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 4096; }
#line 9132 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 614:
#line 755 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) < 256 || (yyvsp[0].i) > 65536) cf_error("Invalid log buffer size");
     (yyval.i) = (yyvsp[0].i);
   }
#line 9141 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 616:
#line 762 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_disable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 9147 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 618:
#line 764 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_enable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 9153 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 620:
#line 766 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_restart, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 9159 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 622:
#line 768 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD); }
#line 9165 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 624:
#line 770 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_IN); }
#line 9171 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 626:
#line 772 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_OUT); }
#line 9177 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 628:
#line 776 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_debug, 1, (yyvsp[-1].i)); }
#line 9183 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 630:
#line 780 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_mrtdump, 1, (yyvsp[-1].i)); }
#line 9189 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 632:
#line 783 "nest/config.Y" /* yacc.c:1646  */
    { this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
#line 9195 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 633:
#line 786 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 9201 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 634:
#line 787 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 9207 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 635:
#line 788 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 9213 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 636:
#line 792 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 9219 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 637:
#line 793 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 9225 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 638:
#line 794 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 9231 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 639:
#line 797 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_GEN_IGP_METRIC); }
#line 9237 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 641:
#line 37 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_bfd, (yyvsp[-1].i));
  init_list(&BFD_CFG->patt_list);
  init_list(&BFD_CFG->neigh_list);
}
#line 9247 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 649:
#line 60 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct bfd_iface_config));
  add_tail(&BFD_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);

  BFD_IFACE->min_rx_int = BFD_DEFAULT_MIN_RX_INT;
  BFD_IFACE->min_tx_int = BFD_DEFAULT_MIN_TX_INT;
  BFD_IFACE->idle_tx_int = BFD_DEFAULT_IDLE_TX_INT;
  BFD_IFACE->multiplier = BFD_DEFAULT_MULTIPLIER;

  reset_passwords();
}
#line 9264 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 650:
#line 74 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  BFD_IFACE->passwords = get_passwords();

  if (!BFD_IFACE->auth_type != !BFD_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (BFD_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *BFD_IFACE->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[BFD_IFACE->auth_type];
    }
  }
}
#line 9287 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 651:
#line 94 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_rx_int = BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 9293 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 652:
#line 95 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_rx_int = (yyvsp[0].time); }
#line 9299 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 653:
#line 96 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 9305 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 654:
#line 97 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->idle_tx_int = (yyvsp[0].time); }
#line 9311 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 655:
#line 98 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->multiplier = (yyvsp[0].i); }
#line 9317 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 656:
#line 99 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->passive = (yyvsp[0].i); }
#line 9323 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 657:
#line 100 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->auth_type = (yyvsp[0].i); }
#line 9329 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 658:
#line 101 "proto/bfd/config.Y" /* yacc.c:1646  */
    {}
#line 9335 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 659:
#line 105 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_NONE; }
#line 9341 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 660:
#line 106 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_SIMPLE; }
#line 9347 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 661:
#line 107 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_KEYED_MD5; }
#line 9353 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 662:
#line 108 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_KEYED_SHA1; }
#line 9359 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 663:
#line 109 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_MD5; }
#line 9365 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 664:
#line 110 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_SHA1; }
#line 9371 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 670:
#line 128 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->multihop = BFD_IFACE; }
#line 9377 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 671:
#line 132 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = NULL; }
#line 9383 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 672:
#line 133 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 9389 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 673:
#line 134 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].t)); }
#line 9395 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 674:
#line 138 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.a) = IPA_NONE; }
#line 9401 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 675:
#line 139 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.a) = (yyvsp[0].a); }
#line 9407 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 676:
#line 143 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 9413 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 677:
#line 144 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 9419 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 678:
#line 148 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_bfd_neighbor = cfg_allocz(sizeof(struct bfd_neighbor));
  add_tail(&BFD_CFG->neigh_list, NODE this_bfd_neighbor);

  BFD_NEIGHBOR->addr = (yyvsp[-3].a);
  BFD_NEIGHBOR->local = (yyvsp[-1].a);
  BFD_NEIGHBOR->iface = (yyvsp[-2].iface);
  BFD_NEIGHBOR->multihop = (yyvsp[0].i);

  if ((yyvsp[0].i) && (yyvsp[-2].iface))
    cf_error("Neighbor cannot set both interface and multihop");

  if ((yyvsp[0].i) && ipa_zero((yyvsp[-1].a)))
    cf_error("Multihop neighbor requires specified local address");
}
#line 9439 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 680:
#line 167 "proto/bfd/config.Y" /* yacc.c:1646  */
    { bfd_show_sessions(proto_get_named((yyvsp[-1].s), &proto_bfd)); }
#line 9445 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 682:
#line 35 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_babel, (yyvsp[-1].i));
  init_list(&BABEL_CFG->iface_list);
  BABEL_CFG->hold_time = 1 S_;
}
#line 9455 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 686:
#line 45 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_CFG->randomize_router_id = (yyvsp[0].i); }
#line 9461 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 690:
#line 58 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct babel_iface_config));
  add_tail(&BABEL_CFG->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  BABEL_IFACE->port = BABEL_PORT;
  BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED;
  BABEL_IFACE->limit = BABEL_HELLO_LIMIT;
  BABEL_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  BABEL_IFACE->tx_priority = sk_priority_control;
  BABEL_IFACE->check_link = 1;
}
#line 9477 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 691:
#line 72 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  if (BABEL_IFACE->type == BABEL_IFACE_TYPE_WIRELESS)
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRELESS;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRELESS;
  }
  else
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRED;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRED;
  }

  /* Make sure we do not overflow the 16-bit centisec fields */
  if (!BABEL_IFACE->update_interval)
    BABEL_IFACE->update_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_UPDATE_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);
  BABEL_IFACE->ihu_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_IHU_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);

  BABEL_CFG->hold_time = MAX_(BABEL_CFG->hold_time, BABEL_IFACE->update_interval*BABEL_HOLD_TIME_FACTOR);
}
#line 9505 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 693:
#line 98 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 9511 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 694:
#line 99 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rxcost = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid rxcost"); }
#line 9517 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 695:
#line 100 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->limit = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>16)) cf_error("Limit must be in range 1-16"); }
#line 9523 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 696:
#line 101 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED; }
#line 9529 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 697:
#line 102 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRELESS; }
#line 9535 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 698:
#line 103 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->hello_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Hello interval must be in range 10 ms - 655 s"); }
#line 9541 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 699:
#line 104 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->update_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Update interval must be in range 10 ms - 655 s"); }
#line 9547 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 700:
#line 105 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX buffer must be in range 256-65535"); }
#line 9553 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 701:
#line 106 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 9559 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 702:
#line 107 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_tos = (yyvsp[0].i); }
#line 9565 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 703:
#line 108 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_priority = (yyvsp[0].i); }
#line 9571 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 704:
#line 109 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->check_link = (yyvsp[0].i); }
#line 9577 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 705:
#line 110 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->next_hop_ip4 = (yyvsp[0].a); if (!ipa_is_ip4((yyvsp[0].a))) cf_error("Must be an IPv4 address"); }
#line 9583 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 706:
#line 111 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->next_hop_ip6 = (yyvsp[0].a); if (!ipa_is_ip6((yyvsp[0].a))) cf_error("Must be an IPv6 address"); }
#line 9589 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 712:
#line 128 "proto/babel/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_BABEL_METRIC); }
#line 9595 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 714:
#line 133 "proto/babel/config.Y" /* yacc.c:1646  */
    { babel_show_interfaces(proto_get_named((yyvsp[-2].s), &proto_babel), (yyvsp[-1].t)); }
#line 9601 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 716:
#line 136 "proto/babel/config.Y" /* yacc.c:1646  */
    { babel_show_neighbors(proto_get_named((yyvsp[-2].s), &proto_babel), (yyvsp[-1].t)); }
#line 9607 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 718:
#line 139 "proto/babel/config.Y" /* yacc.c:1646  */
    { babel_show_entries(proto_get_named((yyvsp[-2].s), &proto_babel)); }
#line 9613 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 720:
#line 142 "proto/babel/config.Y" /* yacc.c:1646  */
    { babel_show_routes(proto_get_named((yyvsp[-2].s), &proto_babel)); }
#line 9619 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 722:
#line 48 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     this_proto = proto_config_new(&proto_bgp, (yyvsp[-1].i));
     BGP_CFG->local_port = BGP_PORT;
     BGP_CFG->remote_port = BGP_PORT;
     BGP_CFG->multihop = -1;	/* undefined */
     BGP_CFG->hold_time = 240;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->connect_delay_time = 5;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->capabilities = 2;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->default_local_pref = 100;
     BGP_CFG->gr_mode = BGP_GR_AWARE;
     BGP_CFG->gr_time = 120;
     BGP_CFG->llgr_mode = -1;
     BGP_CFG->llgr_time = 3600;
     BGP_CFG->setkey = 1;
     BGP_CFG->dynamic_name = "dynbgp";
     BGP_CFG->check_link = -1;
   }
#line 9651 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 724:
#line 79 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 9657 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 725:
#line 80 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_as = (yyvsp[0].i); }
#line 9663 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 727:
#line 85 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->remote_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 9669 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 728:
#line 86 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->remote_as = (yyvsp[0].i); }
#line 9675 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 729:
#line 87 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->peer_type = BGP_PT_INTERNAL; }
#line 9681 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 730:
#line 88 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->peer_type = BGP_PT_EXTERNAL; }
#line 9687 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 731:
#line 93 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) ? ~(1 << 7) : 0; }
#line 9693 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 732:
#line 94 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 9699 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 734:
#line 99 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 9705 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 735:
#line 103 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 0; }
#line 9711 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 736:
#line 104 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 1; }
#line 9717 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 737:
#line 105 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 2; }
#line 9723 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 738:
#line 106 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 3; }
#line 9729 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 739:
#line 107 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 4; }
#line 9735 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 740:
#line 108 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 5; }
#line 9741 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 741:
#line 109 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 6; }
#line 9747 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 742:
#line 110 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 7; }
#line 9753 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 743:
#line 111 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 8; }
#line 9759 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 748:
#line 119 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     BGP_CFG->local_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 9768 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 750:
#line 124 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     BGP_CFG->remote_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 9779 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 751:
#line 130 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     net_addr *n = cfg_alloc((yyvsp[-2].net).length);
     net_copy(n, &((yyvsp[-2].net)));
     BGP_CFG->remote_range = n;
   }
#line 9791 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 752:
#line 137 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->iface = if_get_by_name((yyvsp[-1].t)); }
#line 9797 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 753:
#line 138 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rr_cluster_id = (yyvsp[-1].i32); }
#line 9803 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 754:
#line 139 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rr_client = (yyvsp[-1].i); }
#line 9809 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 755:
#line 140 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rs_client = (yyvsp[-1].i); }
#line 9815 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 756:
#line 141 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->confederation = (yyvsp[-1].i); }
#line 9821 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 757:
#line 142 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->confederation_member = (yyvsp[-1].i); }
#line 9827 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 758:
#line 143 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->hold_time = (yyvsp[-1].i); }
#line 9833 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 759:
#line 144 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->initial_hold_time = (yyvsp[-1].i); }
#line 9839 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 760:
#line 145 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = 0; }
#line 9845 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 761:
#line 146 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = 64; }
#line 9851 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 762:
#line 147 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>255)) cf_error("Multihop must be in range 1-255"); }
#line 9857 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 763:
#line 148 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (strchr((yyvsp[-1].t), '%')) cf_error("Forbidden character '%%' in dynamic name");
     if (strlen((yyvsp[-1].t)) > (SYM_MAX_LEN - 16)) cf_error("Dynamic name too long");
     BGP_CFG->dynamic_name = (yyvsp[-1].t);
   }
#line 9867 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 764:
#line 153 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->dynamic_name_digits = (yyvsp[-1].i); if ((yyvsp[-1].i)>10) cf_error("Dynamic name digits must be at most 10"); }
#line 9873 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 765:
#line 154 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->strict_bind = (yyvsp[-1].i); }
#line 9879 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 766:
#line 155 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->compare_path_lengths = (yyvsp[-1].i); }
#line 9885 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 767:
#line 156 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->med_metric = (yyvsp[-1].i); }
#line 9891 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 768:
#line 157 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->igp_metric = (yyvsp[-1].i); }
#line 9897 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 769:
#line 158 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->prefer_older = (yyvsp[-1].i); }
#line 9903 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 770:
#line 159 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->deterministic_med = (yyvsp[-1].i); }
#line 9909 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 771:
#line 160 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->default_med = (yyvsp[-1].i); }
#line 9915 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 772:
#line 161 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->default_local_pref = (yyvsp[-1].i); }
#line 9921 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 773:
#line 162 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_ip = (yyvsp[-1].a); }
#line 9927 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 774:
#line 163 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); log(L_WARN "%s: Start delay time option is deprecated, use connect delay time", this_proto->name); }
#line 9933 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 775:
#line 164 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); }
#line 9939 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 776:
#line 165 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_retry_time = (yyvsp[-1].i); }
#line 9945 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 777:
#line 166 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->keepalive_time = (yyvsp[-1].i); }
#line 9951 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 778:
#line 167 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->error_amnesia_time = (yyvsp[-1].i); }
#line 9957 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 779:
#line 168 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->error_delay_time_min = (yyvsp[-3].i); BGP_CFG->error_delay_time_max = (yyvsp[-1].i); }
#line 9963 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 780:
#line 169 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->disable_after_error = (yyvsp[-1].i); }
#line 9969 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 781:
#line 170 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->disable_after_cease = (yyvsp[-1].i); }
#line 9975 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 782:
#line 171 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_refresh = (yyvsp[-1].i); }
#line 9981 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 783:
#line 172 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_as4 = (yyvsp[-1].i); }
#line 9987 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 784:
#line 173 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_extended_messages = (yyvsp[-1].i); }
#line 9993 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 785:
#line 174 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->capabilities = (yyvsp[-1].i); }
#line 9999 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 786:
#line 175 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->password = (yyvsp[-1].t); }
#line 10005 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 787:
#line 176 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->setkey = (yyvsp[-1].i); }
#line 10011 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 788:
#line 177 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->passive = (yyvsp[-1].i); }
#line 10017 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 789:
#line 178 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->interpret_communities = (yyvsp[-1].i); }
#line 10023 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 790:
#line 179 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_as = -1; }
#line 10029 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 791:
#line 180 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_as = (yyvsp[-1].i); }
#line 10035 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 792:
#line 181 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_pref = (yyvsp[-1].i); }
#line 10041 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 793:
#line 182 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_mode = (yyvsp[-1].i); }
#line 10047 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 794:
#line 183 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_mode = BGP_GR_AWARE; }
#line 10053 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 795:
#line 184 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_time = (yyvsp[-1].i); }
#line 10059 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 796:
#line 185 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_mode = (yyvsp[-1].i); }
#line 10065 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 797:
#line 186 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_mode = BGP_LLGR_AWARE; }
#line 10071 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 798:
#line 187 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_time = (yyvsp[-1].i); }
#line 10077 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 799:
#line 188 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->ttl_security = (yyvsp[-1].i); }
#line 10083 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 800:
#line 189 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->check_link = (yyvsp[-1].i); }
#line 10089 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 801:
#line 190 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->bfd = (yyvsp[-1].i); cf_check_bfd((yyvsp[-1].i)); }
#line 10095 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 802:
#line 191 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->bfd = BGP_BFD_GRACEFUL; cf_check_bfd(1); }
#line 10101 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 803:
#line 195 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4; }
#line 10107 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 804:
#line 196 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6; }
#line 10113 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 805:
#line 197 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4_MC; }
#line 10119 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 806:
#line 198 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6_MC; }
#line 10125 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 807:
#line 199 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4_MPLS; }
#line 10131 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 808:
#line 200 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6_MPLS; }
#line 10137 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 809:
#line 201 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN4_MPLS; }
#line 10143 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 810:
#line 202 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN6_MPLS; }
#line 10149 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 811:
#line 203 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN4_MC; }
#line 10155 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 812:
#line 204 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN6_MC; }
#line 10161 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 813:
#line 205 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_FLOW4; }
#line 10167 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 814:
#line 206 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_FLOW6; }
#line 10173 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 815:
#line 210 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  const struct bgp_af_desc *desc = bgp_get_af_desc((yyvsp[0].i32));

  if (!desc)
    cf_error("Unknown AFI/SAFI");

  this_channel = channel_config_get(&channel_bgp, desc->name, desc->net, this_proto);

  /* New channel */
  if (!BGP_CC->desc)
  {
    BGP_CC->c.in_filter = FILTER_UNDEF;
    BGP_CC->c.out_filter = FILTER_UNDEF;
    BGP_CC->c.ra_mode = RA_UNDEF;
    BGP_CC->afi = (yyvsp[0].i32);
    BGP_CC->desc = desc;
    BGP_CC->next_hop_keep = 0xff; /* undefined */
    BGP_CC->gr_able = 0xff;	/* undefined */
    BGP_CC->llgr_able = 0xff;	/* undefined */
    BGP_CC->llgr_time = ~0U;	/* undefined */
  }
}
#line 10200 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 816:
#line 234 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 10206 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 817:
#line 235 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NH_IBGP; }
#line 10212 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 818:
#line 236 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NH_EBGP; }
#line 10218 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 820:
#line 240 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_addr = (yyvsp[0].a); }
#line 10224 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 821:
#line 241 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_self = (yyvsp[0].i); }
#line 10230 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 822:
#line 242 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_keep = (yyvsp[0].i); }
#line 10236 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 823:
#line 243 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->mandatory = (yyvsp[0].i); }
#line 10242 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 824:
#line 244 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->missing_lladdr = MLL_SELF; }
#line 10248 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 825:
#line 245 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->missing_lladdr = MLL_DROP; }
#line 10254 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 826:
#line 246 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->missing_lladdr = MLL_IGNORE; }
#line 10260 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 827:
#line 247 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gw_mode = GW_DIRECT; }
#line 10266 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 828:
#line 248 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gw_mode = GW_RECURSIVE; }
#line 10272 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 829:
#line 249 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->secondary = (yyvsp[0].i); }
#line 10278 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 830:
#line 250 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gr_able = (yyvsp[0].i); }
#line 10284 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 831:
#line 251 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->llgr_able = (yyvsp[0].i); }
#line 10290 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 832:
#line 252 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->llgr_time = (yyvsp[0].i); }
#line 10296 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 833:
#line 253 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->ext_next_hop = (yyvsp[0].i); }
#line 10302 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 834:
#line 254 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = BGP_ADD_PATH_RX; }
#line 10308 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 835:
#line 255 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = BGP_ADD_PATH_TX; }
#line 10314 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 836:
#line 256 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = (yyvsp[0].i) ? BGP_ADD_PATH_FULL : 0; }
#line 10320 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 837:
#line 257 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->import_table = (yyvsp[0].i); }
#line 10326 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 838:
#line 258 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
    if (BGP_CC->desc->no_igp)
      cf_error("IGP table not allowed here");

    if ((yyvsp[0].r)->addr_type == NET_IP4)
      BGP_CC->igp_table_ip4 = (yyvsp[0].r);
    else if ((yyvsp[0].r)->addr_type == NET_IP6)
      BGP_CC->igp_table_ip6 = (yyvsp[0].r);
    else
      cf_error("Mismatched IGP table type");
   }
#line 10342 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 843:
#line 282 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 10353 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 845:
#line 293 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_BGP_ORIGIN, EA_CODE(PROTOCOL_BGP, BA_ORIGIN)); }
#line 10359 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 846:
#line 295 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH)); }
#line 10365 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 847:
#line 297 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_CODE(PROTOCOL_BGP, BA_NEXT_HOP)); }
#line 10371 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 848:
#line 299 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_MULTI_EXIT_DISC)); }
#line 10377 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 849:
#line 301 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_LOCAL_PREF)); }
#line 10383 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 850:
#line 303 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_ATOMIC_AGGR)); }
#line 10389 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 851:
#line 305 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_AGGREGATOR)); }
#line 10395 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 852:
#line 307 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_COMMUNITY)); }
#line 10401 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 853:
#line 309 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_CODE(PROTOCOL_BGP, BA_ORIGINATOR_ID)); }
#line 10407 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 854:
#line 311 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_CLUSTER_LIST)); }
#line 10413 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 855:
#line 313 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_EC_SET, T_ECLIST, EA_CODE(PROTOCOL_BGP, BA_EXT_COMMUNITY)); }
#line 10419 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 856:
#line 315 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_LC_SET, T_LCLIST, EA_CODE(PROTOCOL_BGP, BA_LARGE_COMMUNITY)); }
#line 10425 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 858:
#line 29 "proto/mrt/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_mrt, (yyvsp[-1].i));
}
#line 10433 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 860:
#line 35 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->table_cf = (yyvsp[0].r); }
#line 10439 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 861:
#line 36 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->table_expr = (yyvsp[0].t); }
#line 10445 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 862:
#line 37 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filter = (yyvsp[0].f); }
#line 10451 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 863:
#line 38 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filter = (yyvsp[0].f); }
#line 10457 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 864:
#line 39 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filename = (yyvsp[0].t); }
#line 10463 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 865:
#line 40 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->period = (yyvsp[0].i); }
#line 10469 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 866:
#line 41 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->always_add_path = (yyvsp[0].i); }
#line 10475 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 869:
#line 50 "proto/mrt/config.Y" /* yacc.c:1646  */
    { mrt_check_config(this_proto); }
#line 10481 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 871:
#line 54 "proto/mrt/config.Y" /* yacc.c:1646  */
    { mrt_dump_cmd((yyvsp[-1].md)); }
#line 10487 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 872:
#line 57 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = cfg_allocz(sizeof(struct mrt_dump_data)); }
#line 10493 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 873:
#line 58 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_ptr = (yyvsp[0].r)->table; }
#line 10499 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 874:
#line 59 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_expr = (yyvsp[0].t); }
#line 10505 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 875:
#line 60 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 10511 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 876:
#line 61 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-1].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 10517 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 877:
#line 62 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filename = (yyvsp[0].t); }
#line 10523 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 878:
#line 211 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_proto_finish(); }
#line 10529 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 879:
#line 214 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 10535 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 880:
#line 215 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 10541 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 881:
#line 216 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 10547 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 882:
#line 220 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_ospf, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : 0;

  init_list(&OSPF_CFG->area_list);
  init_list(&OSPF_CFG->vlink_list);
  OSPF_CFG->ecmp = rt_default_ecmp;
  OSPF_CFG->tick = OSPF_DEFAULT_TICK;
  OSPF_CFG->ospf2 = (yyvsp[0].i);
  OSPF_CFG->af_ext = !(yyvsp[0].i);
  OSPF_CFG->gr_mode = OSPF_GR_AWARE;
  OSPF_CFG->gr_time = OSPF_DEFAULT_GR_TIME;
}
#line 10565 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 885:
#line 240 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 10571 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 886:
#line 241 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 10577 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 887:
#line 246 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  /* TODO: change name for multicast channels */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[-1].i)], (yyvsp[-1].i), this_proto);

  /* Save the multicast flag */
  if (this_channel == proto_cf_main_channel(this_proto))
    OSPF_CFG->af_mc = (yyvsp[0].i);
}
#line 10590 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 890:
#line 259 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 10596 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 891:
#line 260 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->rfc1583 = (yyvsp[0].i); }
#line 10602 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 892:
#line 261 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->af_ext = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("RFC5838 option requires OSPFv3"); }
#line 10608 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 893:
#line 262 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->vpn_pe = (yyvsp[0].i); }
#line 10614 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 894:
#line 263 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->stub_router = (yyvsp[0].i); }
#line 10620 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 895:
#line 264 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_mode = (yyvsp[0].i); }
#line 10626 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 896:
#line 265 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_mode = OSPF_GR_AWARE; }
#line 10632 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 897:
#line 266 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_time = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 1800)) cf_error("Graceful restart time must be in range 1-1800"); }
#line 10638 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 898:
#line 267 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->ecmp = (yyvsp[0].i) ? OSPF_DEFAULT_ECMP_LIMIT : 0; }
#line 10644 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 899:
#line 268 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 10650 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 900:
#line 269 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->merge_external = (yyvsp[0].i); }
#line 10656 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 901:
#line 270 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->tick = (yyvsp[0].i); if((yyvsp[0].i) <= 0) cf_error("Tick must be greater than zero"); }
#line 10662 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 902:
#line 271 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->instance_id = (yyvsp[0].i); OSPF_CFG->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 10668 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 904:
#line 275 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[0].i32);
  this_area->default_cost = OSPF_DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = OSPF_DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
#line 10686 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 905:
#line 290 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_area_finish(); }
#line 10692 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 908:
#line 299 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->type = (yyvsp[0].i) ? 0 : OPT_E; /* We should remove the option */ }
#line 10698 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 909:
#line 300 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->type = OPT_N; }
#line 10704 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 910:
#line 301 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->summary = (yyvsp[0].i); }
#line 10710 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 911:
#line 302 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_nssa = (yyvsp[0].i); }
#line 10716 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 912:
#line 303 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 10722 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 913:
#line 304 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i) | LSA_EXT3_EBIT; ospf_check_defcost((yyvsp[0].i)); }
#line 10728 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 914:
#line 305 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 10734 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 915:
#line 306 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->translator = (yyvsp[0].i); }
#line 10740 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 916:
#line 307 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->transint = (yyvsp[0].i); }
#line 10746 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 917:
#line 308 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_nets = &this_area->net_list; }
#line 10752 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 919:
#line 309 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_nets = &this_area->enet_list; }
#line 10758 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 926:
#line 321 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->prefix = (yyvsp[0].net);
     this_stubnet->cost = COST_D;
   }
#line 10769 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 929:
#line 335 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->hidden = (yyvsp[0].i); }
#line 10775 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 930:
#line 336 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->summary = (yyvsp[0].i); }
#line 10781 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 931:
#line 337 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->cost = (yyvsp[0].i); }
#line 10787 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 932:
#line 341 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 10793 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 933:
#line 342 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 10799 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 937:
#line 351 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 10805 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 938:
#line 352 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 10811 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 939:
#line 353 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 10817 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 940:
#line 354 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 10823 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 941:
#line 355 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 10829 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 942:
#line 356 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 10835 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 943:
#line 357 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE;  }
#line 10841 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 944:
#line 358 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 10847 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 945:
#line 359 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 10853 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 947:
#line 364 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[0].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  reset_passwords();
 }
#line 10873 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 948:
#line 382 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->cost = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Cost must be in range 1-65535"); }
#line 10879 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 949:
#line 383 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 10885 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 950:
#line 384 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->pollint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=0) cf_error("Poll int must be greater than zero"); }
#line 10891 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 951:
#line 385 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 10897 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 952:
#line 386 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 10903 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 953:
#line 387 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 10909 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 954:
#line 388 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 10915 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 955:
#line 389 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 10921 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 956:
#line 390 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 10927 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 957:
#line 391 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 10933 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 958:
#line 392 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 10939 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 959:
#line 393 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 10945 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 960:
#line 394 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 10951 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 961:
#line 395 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 10957 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 962:
#line 396 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 10963 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 963:
#line 397 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->real_bcast = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("Real broadcast option requires OSPFv2"); }
#line 10969 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 964:
#line 398 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ptp_netmask = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP netmask option requires OSPFv2"); }
#line 10975 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 965:
#line 399 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 10981 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 966:
#line 400 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->priority = (yyvsp[0].i) ; if ((yyvsp[0].i)>255) cf_error("Priority must be in range 0-255"); }
#line 10987 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 967:
#line 401 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->strictnbma = (yyvsp[0].i) ; }
#line 10993 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 968:
#line 402 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->stub = (yyvsp[0].i) ; }
#line 10999 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 969:
#line 403 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->check_link = (yyvsp[0].i); }
#line 11005 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 970:
#line 404 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 11011 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 971:
#line 405 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->link_lsa_suppression = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("Link LSA suppression option requires OSPFv3"); }
#line 11017 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 973:
#line 407 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE; }
#line 11023 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 974:
#line 408 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 11029 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 975:
#line 409 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 11035 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 976:
#line 410 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = 0; }
#line 11041 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 977:
#line 411 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = OSPF_MAX_PKT_SIZE; }
#line 11047 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 978:
#line 412 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
#line 11053 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 979:
#line 413 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_tos = (yyvsp[0].i); }
#line 11059 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 980:
#line 414 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_priority = (yyvsp[0].i); }
#line 11065 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 981:
#line 415 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_length = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("TX length must be in range 256-65535"); }
#line 11071 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 982:
#line 416 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ttl_security = (yyvsp[0].i); }
#line 11077 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 983:
#line 417 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ttl_security = 2; }
#line 11083 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 984:
#line 418 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 11089 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 989:
#line 430 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->prefix = (yyvsp[0].net);
 }
#line 11099 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 991:
#line 439 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_pref->hidden = 1; }
#line 11105 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 992:
#line 440 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_pref->tag = (yyvsp[0].i); }
#line 11111 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 995:
#line 449 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 11117 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 996:
#line 450 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 11123 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 997:
#line 454 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[-2].a);
   this_nbma->eligible=(yyvsp[-1].i);
 }
#line 11134 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 998:
#line 463 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->check_link = 1;
  OSPF_PATT->ptp_netmask = 2; /* not specified */
  OSPF_PATT->tx_tos = IP_PREC_INTERNET_CONTROL;
  OSPF_PATT->tx_priority = sk_priority_control;
  reset_passwords();
 }
#line 11158 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 486 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->instance_id = (yyvsp[0].i); OSPF_PATT->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 11164 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 490 "proto/ospf/config.Y" /* yacc.c:1646  */
    { if (ospf_cfg_is_v3()) iface_patt_check(); }
#line 11170 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 504 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 11176 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 507 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC1); }
#line 11182 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 508 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC2); }
#line 11188 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 509 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_TAG); }
#line 11194 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 510 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_OSPF_ROUTER_ID); }
#line 11200 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 514 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh(proto_get_named((yyvsp[-1].s), &proto_ospf)); }
#line 11206 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 517 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_neigh(proto_get_named((yyvsp[-2].s), &proto_ospf), (yyvsp[-1].t)); }
#line 11212 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 520 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_iface(proto_get_named((yyvsp[-2].s), &proto_ospf), (yyvsp[-1].t)); }
#line 11218 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 525 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 1); }
#line 11224 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 528 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 0); }
#line 11230 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 533 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 1); }
#line 11236 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 536 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 0); }
#line 11242 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 540 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_lsadb((yyvsp[-1].ld)); }
#line 11248 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 543 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
#line 11256 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 546 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
#line 11262 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 547 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[0].i32); }
#line 11268 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 548 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
#line 11274 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 549 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->type = (yyvsp[0].i); }
#line 11280 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 550 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->lsid = (yyvsp[0].i32); }
#line 11286 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 551 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
#line 11292 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 552 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->router = (yyvsp[0].i32); }
#line 11298 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 553 "proto/ospf/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->proto = (struct ospf_proto *) proto_get_named((yyvsp[0].s), &proto_ospf); }
#line 11304 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 27 "proto/perf/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_perf, (yyvsp[-1].i));
  PERF_CFG->from = 10;
  PERF_CFG->to = 20;
  PERF_CFG->repeat = 4;
  PERF_CFG->threshold_max = 500 MS_;
  PERF_CFG->threshold_min = 1 MS_;
  PERF_CFG->keep = 0;
  PERF_CFG->mode = PERF_MODE_IMPORT;
}
#line 11319 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 45 "proto/perf/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 11325 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 46 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->from = (yyvsp[0].i); }
#line 11331 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 47 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->to = (yyvsp[0].i); }
#line 11337 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 48 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->repeat = (yyvsp[0].i); }
#line 11343 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 49 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->threshold_min = (yyvsp[0].time); }
#line 11349 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 50 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->threshold_max = (yyvsp[0].time); }
#line 11355 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 51 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->keep = (yyvsp[0].i); }
#line 11361 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 52 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->mode = PERF_MODE_IMPORT; }
#line 11367 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 53 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->mode = PERF_MODE_EXPORT; }
#line 11373 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 23 "proto/pipe/config.Y" /* yacc.c:1646  */
    { this_channel = NULL; }
#line 11379 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 26 "proto/pipe/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_pipe, (yyvsp[-1].i));
}
#line 11387 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 30 "proto/pipe/config.Y" /* yacc.c:1646  */
    {
  this_channel = proto_cf_main_channel(this_proto);
  if (!this_channel) {
    this_channel = channel_config_new(NULL, NULL, 0, this_proto);
    this_channel->in_filter = FILTER_ACCEPT;
    this_channel->out_filter = FILTER_ACCEPT;
  }
}
#line 11400 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 43 "proto/pipe/config.Y" /* yacc.c:1646  */
    { PIPE_CFG->peer = (yyvsp[-1].r); }
#line 11406 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 45 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_radv, (yyvsp[-1].i));

  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
  init_list(&RADV_CFG->rdnss_list);
  init_list(&RADV_CFG->dnssl_list);
}
#line 11419 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 58 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
#line 11425 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 59 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 11431 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 59 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_CFG->rdnss_list, &radv_dns_list); }
#line 11437 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 60 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 11443 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 60 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_CFG->dnssl_list, &radv_dns_list); }
#line 11449 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 61 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_CFG->trigger = (yyvsp[0].net); }
#line 11455 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 62 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_CFG->propagate_routes = (yyvsp[0].i); }
#line 11461 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 75 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);
  init_list(&RADV_IFACE->rdnss_list);
  init_list(&RADV_IFACE->dnssl_list);

  RADV_IFACE->min_ra_int = (u32) -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->prefix_linger_time = (u32) -1;
  RADV_IFACE->route_linger_time = (u32) -1;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = (u32) -1;
  RADV_IFACE->default_lifetime_sensitive = 1;
  RADV_IFACE->default_preference = RA_PREF_MEDIUM;
  RADV_IFACE->route_lifetime = (u32) -1;
  RADV_IFACE->route_lifetime_sensitive = 0;
  RADV_IFACE->route_preference = RA_PREF_MEDIUM;
}
#line 11487 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 98 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->min_ra_int = (yyvsp[0].i); if ((yyvsp[0].i) < 3) cf_error("Min RA interval must be at least 3"); }
#line 11493 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 99 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->max_ra_int = (yyvsp[0].i); if (((yyvsp[0].i) < 4) || ((yyvsp[0].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
#line 11499 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 100 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->min_delay = (yyvsp[0].i); if ((yyvsp[0].i) <= 0) cf_error("Min delay must be positive"); }
#line 11505 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 101 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->managed = (yyvsp[0].i); }
#line 11511 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 102 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->other_config = (yyvsp[0].i); }
#line 11517 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 103 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->link_mtu = (yyvsp[0].i); }
#line 11523 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 104 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->reachable_time = (yyvsp[0].i); if ((yyvsp[0].i) > 3600000) cf_error("Reachable time must be in range 0-3600000"); }
#line 11529 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 105 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->retrans_timer = (yyvsp[0].i); }
#line 11535 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 106 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->current_hop_limit = (yyvsp[0].i); if ((yyvsp[0].i) > 255) cf_error("Current hop limit must be in range 0-255"); }
#line 11541 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 107 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_IFACE->default_lifetime = (yyvsp[-1].i);
     if ((yyvsp[-1].i) > 9000)  cf_error("Default lifetime must be in range 0-9000");
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->default_lifetime_sensitive = (yyvsp[0].i);
   }
#line 11551 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 112 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_IFACE->route_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->route_lifetime_sensitive = (yyvsp[0].i);
   }
#line 11560 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 116 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->default_preference = (yyvsp[0].i); }
#line 11566 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 117 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->route_preference = (yyvsp[0].i); }
#line 11572 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 118 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->prefix_linger_time = (yyvsp[0].i); }
#line 11578 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 119 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->route_linger_time = (yyvsp[0].i); }
#line 11584 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 120 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
#line 11590 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 121 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 11596 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 121 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_IFACE->rdnss_list, &radv_dns_list); }
#line 11602 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 122 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 11608 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 122 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_IFACE->dnssl_list, &radv_dns_list); }
#line 11614 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 123 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->rdnss_local = (yyvsp[0].i); }
#line 11620 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 124 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->dnssl_local = (yyvsp[0].i); }
#line 11626 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 128 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_LOW; }
#line 11632 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 129 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_MEDIUM; }
#line 11638 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 130 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_HIGH; }
#line 11644 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 133 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = MAX_(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if (ic->route_lifetime == (u32) -1)
    ic->route_lifetime = 3 * ic->max_ra_int;

  if (ic->prefix_linger_time == (u32) -1)
    ic->prefix_linger_time = 3 * ic->max_ra_int;

  if (ic->route_linger_time == (u32) -1)
    ic->route_linger_time = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval");

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");

  if ((ic->route_lifetime > 0) && (ic->route_lifetime < ic->max_ra_int))
    cf_error("Route lifetime must be either 0 or at least Max RA interval");

  if ((ic->prefix_linger_time > 0) && (ic->prefix_linger_time < ic->max_ra_int))
    cf_error("Prefix linger time must be either 0 or at least Max RA interval");

  if ((ic->route_linger_time > 0) && (ic->route_linger_time < ic->max_ra_int))
    cf_error("Route linger time must be either 0 or at least Max RA interval");

  RADV_CFG->max_linger_time = MAX_(RADV_CFG->max_linger_time, ic->route_linger_time);
}
#line 11685 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 186 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = *(net_addr_ip6 *) &((yyvsp[0].net));

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
#line 11699 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 197 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->skip = (yyvsp[0].i); }
#line 11705 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 198 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->onlink = (yyvsp[0].i); }
#line 11711 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 199 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->autonomous = (yyvsp[0].i); }
#line 11717 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 200 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_PREFIX->valid_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->valid_lifetime_sensitive = (yyvsp[0].i);
   }
#line 11726 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 204 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_PREFIX->preferred_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->preferred_lifetime_sensitive = (yyvsp[0].i);
   }
#line 11735 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 211 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");

  if (RADV_PREFIX->valid_lifetime_sensitive > RADV_PREFIX->preferred_lifetime_sensitive)
    cf_error("Valid lifetime sensitive requires that Preferred lifetime is sensitive too");
}
#line 11747 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 235 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_rdnss_config *cf = cfg_allocz(sizeof(struct radv_rdnss_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->server = (yyvsp[0].a);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 11759 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 244 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  RADV_RDNSS->lifetime = 0;
  RADV_RDNSS->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 11768 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 251 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_RDNSS->lifetime = (yyvsp[0].i); RADV_RDNSS->lifetime_mult = radv_mult_val; }
#line 11774 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 255 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No nameserver in RDNSS section");

  struct radv_rdnss_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_RDNSS->lifetime;
    cf->lifetime_mult = RADV_RDNSS->lifetime_mult;
  }
}
#line 11790 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 279 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_dnssl_config *cf = cfg_allocz(sizeof(struct radv_dnssl_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->domain = (yyvsp[0].t);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;

  if (radv_process_domain(cf) < 0)
    cf_error("Invalid domain dame");
}
#line 11805 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 291 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  RADV_DNSSL->lifetime = 0;
  RADV_DNSSL->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 11814 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 298 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_DNSSL->lifetime = (yyvsp[0].i); RADV_DNSSL->lifetime_mult = radv_mult_val; }
#line 11820 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 302 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No domain in DNSSL section");

  struct radv_dnssl_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_DNSSL->lifetime;
    cf->lifetime_mult = RADV_DNSSL->lifetime_mult;
  }
}
#line 11836 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 326 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); radv_mult_val = 0; }
#line 11842 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 327 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; radv_mult_val = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 254)) cf_error("Multiplier must be in range 1-254"); }
#line 11848 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 331 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (uint) -1; }
#line 11854 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 332 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 11860 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 335 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_RA_PREFERENCE, EA_RA_PREFERENCE); }
#line 11866 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 336 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RA_LIFETIME); }
#line 11872 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 48 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 11878 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 49 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 11884 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 53 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_rip, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : NET_IP6;

  init_list(&RIP_CFG->patt_list);
  RIP_CFG->rip2 = (yyvsp[0].i);
  RIP_CFG->ecmp = rt_default_ecmp;
  RIP_CFG->infinity = RIP_DEFAULT_INFINITY;
  RIP_CFG->min_timeout_time = 60 S_;
  RIP_CFG->max_garbage_time = 60 S_;
}
#line 11900 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 68 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->ecmp = (yyvsp[0].i) ? RIP_DEFAULT_ECMP_LIMIT : 0; }
#line 11906 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 69 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 11912 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 70 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->infinity = (yyvsp[0].i); }
#line 11918 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 84 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct rip_iface_config));
  add_tail(&RIP_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  RIP_IFACE->metric = 1;
  RIP_IFACE->port = rip_cfg_is_v2() ? RIP_PORT : RIP_NG_PORT;
  RIP_IFACE->version = rip_cfg_is_v2() ? RIP_V2 : RIP_V1;
  RIP_IFACE->split_horizon = 1;
  RIP_IFACE->poison_reverse = 1;
  RIP_IFACE->check_zero = 1;
  RIP_IFACE->check_link = 1;
  RIP_IFACE->ttl_security = rip_cfg_is_v2() ? 0 : 1;
  RIP_IFACE->rx_buffer = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_length = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  RIP_IFACE->tx_priority = sk_priority_control;
  RIP_IFACE->update_time = RIP_DEFAULT_UPDATE_TIME;
  RIP_IFACE->timeout_time = RIP_DEFAULT_TIMEOUT_TIME;
  RIP_IFACE->garbage_time = RIP_DEFAULT_GARBAGE_TIME;
}
#line 11945 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 108 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  /* Default mode is broadcast for RIPv1, multicast for RIPv2 and RIPng */
  if (!RIP_IFACE->mode)
    RIP_IFACE->mode = (rip_cfg_is_v2() && (RIP_IFACE->version == RIP_V1)) ?
      RIP_IM_BROADCAST : RIP_IM_MULTICAST;

  RIP_IFACE->passwords = get_passwords();

  if (!RIP_IFACE->auth_type != !RIP_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (RIP_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *RIP_IFACE->passwords)
    {
      if (pass->alg && (RIP_IFACE->auth_type != RIP_AUTH_CRYPTO))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default crypto algorithm (MD5) */
      if (!pass->alg && (RIP_IFACE->auth_type == RIP_AUTH_CRYPTO))
	pass->alg = ALG_MD5;
    }
  }

  RIP_CFG->min_timeout_time = MIN_(RIP_CFG->min_timeout_time, RIP_IFACE->timeout_time);
  RIP_CFG->max_garbage_time = MAX_(RIP_CFG->max_garbage_time, RIP_IFACE->garbage_time);
}
#line 11978 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 138 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->metric = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>255)) cf_error("Metric must be in range 1-255"); }
#line 11984 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 139 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->mode = RIP_IM_MULTICAST; }
#line 11990 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 140 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->mode = RIP_IM_BROADCAST; if (rip_cfg_is_ng()) cf_error("Broadcast not supported in RIPng"); }
#line 11996 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 141 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->passive = (yyvsp[0].i); }
#line 12002 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 142 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->address = (yyvsp[0].a); if (ipa_is_ip4((yyvsp[0].a)) != rip_cfg_is_v2()) cf_error("IP address version mismatch"); }
#line 12008 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 143 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 12014 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 144 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->version = (yyvsp[0].i);
			  if (rip_cfg_is_ng()) cf_error("Version not supported in RIPng");
			  if (((yyvsp[0].i) != RIP_V1) && ((yyvsp[0].i) != RIP_V2)) cf_error("Unsupported version");
			}
#line 12023 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 148 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->version_only = (yyvsp[0].i); }
#line 12029 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 149 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->split_horizon = (yyvsp[0].i); }
#line 12035 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 150 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->poison_reverse = (yyvsp[0].i); }
#line 12041 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 151 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->check_zero = (yyvsp[0].i); }
#line 12047 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 152 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->update_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Update time must be positive"); }
#line 12053 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 153 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->timeout_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Timeout time must be positive"); }
#line 12059 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 154 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->garbage_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Garbage time must be positive"); }
#line 12065 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 155 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 12071 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 156 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX length must be in range 256-65535"); }
#line 12077 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 157 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 12083 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 158 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_tos = (yyvsp[0].i); }
#line 12089 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 159 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_priority = (yyvsp[0].i); }
#line 12095 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 160 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ttl_security = (yyvsp[0].i); }
#line 12101 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 161 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ttl_security = 2; }
#line 12107 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 162 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->check_link = (yyvsp[0].i); }
#line 12113 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 163 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 12119 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 164 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->auth_type = (yyvsp[0].i); if ((yyvsp[0].i)) rip_check_auth(); }
#line 12125 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 165 "proto/rip/config.Y" /* yacc.c:1646  */
    { rip_check_auth(); }
#line 12131 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 169 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_NONE; }
#line 12137 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 170 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_PLAIN; }
#line 12143 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 171 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 12149 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 172 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 12155 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 189 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_METRIC); }
#line 12161 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 190 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_TAG); }
#line 12167 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 195 "proto/rip/config.Y" /* yacc.c:1646  */
    { rip_show_interfaces(proto_get_named((yyvsp[-2].s), &proto_rip), (yyvsp[-1].t)); }
#line 12173 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 198 "proto/rip/config.Y" /* yacc.c:1646  */
    { rip_show_neighbors(proto_get_named((yyvsp[-2].s), &proto_rip), (yyvsp[-1].t)); }
#line 12179 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 43 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_rpki, (yyvsp[-1].i));
  RPKI_CFG->retry_interval = RPKI_RETRY_INTERVAL;
  RPKI_CFG->refresh_interval = RPKI_REFRESH_INTERVAL;
  RPKI_CFG->expire_interval = RPKI_EXPIRE_INTERVAL;
}
#line 12190 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 50 "proto/rpki/config.Y" /* yacc.c:1646  */
    { rpki_check_config(RPKI_CFG); }
#line 12196 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 64 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_refresh_interval((yyvsp[0].i)))
       cf_error(rpki_check_refresh_interval((yyvsp[0].i)));
     RPKI_CFG->refresh_interval = (yyvsp[0].i);
     RPKI_CFG->keep_refresh_interval = (yyvsp[-1].i);
   }
#line 12207 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 70 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_retry_interval((yyvsp[0].i)))
       cf_error(rpki_check_retry_interval((yyvsp[0].i)));
     RPKI_CFG->retry_interval = (yyvsp[0].i);
     RPKI_CFG->keep_retry_interval = (yyvsp[-1].i);
   }
#line 12218 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 76 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_expire_interval((yyvsp[0].i)))
       cf_error(rpki_check_expire_interval((yyvsp[0].i)));
     RPKI_CFG->expire_interval = (yyvsp[0].i);
     RPKI_CFG->keep_expire_interval = (yyvsp[-1].i);
   }
#line 12229 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 85 "proto/rpki/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 12235 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 86 "proto/rpki/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 12241 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 89 "proto/rpki/config.Y" /* yacc.c:1646  */
    { check_u16((yyvsp[0].i)); RPKI_CFG->port = (yyvsp[0].i); }
#line 12247 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 92 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     rpki_check_unused_hostname();
     RPKI_CFG->hostname = (yyvsp[0].t);
   }
#line 12256 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 96 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     rpki_check_unused_hostname();
     RPKI_CFG->ip = (yyvsp[0].a);
     /* Ensure hostname is filled */
     char *hostname = cfg_allocz(INET6_ADDRSTRLEN + 1);
     bsnprintf(hostname, INET6_ADDRSTRLEN+1, "%I", RPKI_CFG->ip);
     RPKI_CFG->hostname = hostname;
   }
#line 12269 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 112 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_tcp_config));
  RPKI_CFG->tr_config.type = RPKI_TR_TCP;
}
#line 12279 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 119 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_ssh_config));
  RPKI_CFG->tr_config.type = RPKI_TR_SSH;
}
#line 12289 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 131 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->bird_private_key = (yyvsp[0].t); }
#line 12295 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 132 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->cache_public_key = (yyvsp[0].t); }
#line 12301 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 133 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->user = (yyvsp[0].t); }
#line 12307 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 137 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  if (RPKI_TR_SSH_CFG->user == NULL)
    cf_error("User must be set");
}
#line 12316 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 57 "proto/static/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_static, (yyvsp[-1].i));
  init_list(&STATIC_CFG->routes);
}
#line 12325 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 65 "proto/static/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[-1].cc)->net_type; }
#line 12331 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 66 "proto/static/config.Y" /* yacc.c:1646  */
    { STATIC_CFG->check_link = (yyvsp[-1].i); }
#line 12337 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 67 "proto/static/config.Y" /* yacc.c:1646  */
    {
    if ((yyvsp[-1].r)->addr_type == NET_IP4)
      STATIC_CFG->igp_table_ip4 = (yyvsp[-1].r);
    else if ((yyvsp[-1].r)->addr_type == NET_IP6)
      STATIC_CFG->igp_table_ip6 = (yyvsp[-1].r);
    else
      cf_error("Incompatible IGP table type");
   }
#line 12350 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 75 "proto/static/config.Y" /* yacc.c:1646  */
    { static_route_finish(); }
#line 12356 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 79 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = (yyvsp[-1].a);
      this_snh->iface = (yyvsp[0].iface);
    }
#line 12366 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 84 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = IPA_NONE;
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 12376 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 89 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->mls = (yyvsp[0].mls);
  }
#line 12384 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 92 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->onlink = (yyvsp[0].i);
  }
#line 12392 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 95 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->weight = (yyvsp[0].i) - 1;
    if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("Weight must be in range 1-256");
  }
#line 12401 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 99 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->use_bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i));
  }
#line 12409 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 109 "proto/static/config.Y" /* yacc.c:1646  */
    {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->routes, &this_srt->n);
     this_srt->net = (yyvsp[0].net_ptr);
     this_srt_cmds = NULL;
     this_srt_last_cmd = NULL;
     this_srt->mp_next = NULL;
     this_snh = NULL;
  }
#line 12423 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 122 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[0].a);
   }
#line 12432 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 126 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[-2].a);
      this_srt->mls = (yyvsp[0].mls);
   }
#line 12442 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 131 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_NONE; }
#line 12448 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 132 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 12454 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 133 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 12460 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 134 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 12466 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 135 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 12472 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 136 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_PROHIBIT; }
#line 12478 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 140 "proto/static/config.Y" /* yacc.c:1646  */
    {
     if (this_srt_last_cmd)
       this_srt_last_cmd->next = (yyvsp[0].x);
     else
       this_srt_cmds = (yyvsp[0].x);
     this_srt_last_cmd = (yyvsp[0].x);
   }
#line 12490 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 161 "proto/static/config.Y" /* yacc.c:1646  */
    { static_show(proto_get_named((yyvsp[-1].s), &proto_static)); }
#line 12496 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 25 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.table_id = (yyvsp[0].i); }
#line 12502 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 26 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.metric = (yyvsp[0].i); }
#line 12508 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 29 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_KRT_PREFSRC); }
#line 12514 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 30 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REALM); }
#line 12520 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 31 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SCOPE); }
#line 12526 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 33 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_MTU); }
#line 12532 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 34 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_WINDOW); }
#line 12538 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 35 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTT); }
#line 12544 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 36 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTTVAR); }
#line 12550 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 37 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTRESH); }
#line 12556 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 38 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_CWND); }
#line 12562 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 39 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_ADVMSS); }
#line 12568 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 40 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REORDERING); }
#line 12574 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 41 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_HOPLIMIT); }
#line 12580 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 42 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITCWND); }
#line 12586 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 43 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTO_MIN); }
#line 12592 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 44 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITRWND); }
#line 12598 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 45 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_QUICKACK); }
#line 12604 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 49 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(2, T_BOOL, EA_KRT_LOCK); }
#line 12610 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 50 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_LOCK); }
#line 12616 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 51 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(4, T_BOOL, EA_KRT_LOCK); }
#line 12622 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 52 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(5, T_BOOL, EA_KRT_LOCK); }
#line 12628 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 53 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK); }
#line 12634 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 54 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(7, T_BOOL, EA_KRT_LOCK); }
#line 12640 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 55 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(8, T_BOOL, EA_KRT_LOCK); }
#line 12646 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 56 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(9, T_BOOL, EA_KRT_LOCK); }
#line 12652 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 57 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(10, T_BOOL, EA_KRT_LOCK); }
#line 12658 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 58 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(13, T_BOOL, EA_KRT_LOCK); }
#line 12664 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 60 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(0, T_BOOL, EA_KRT_FEATURES); }
#line 12670 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 61 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(3, T_BOOL, EA_KRT_FEATURES); }
#line 12676 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 33 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log = cfg_allocz(sizeof(struct log_config)); }
#line 12682 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 35 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
    this_log->mask = (yyvsp[-1].i);
    add_tail(&new_config->logfiles, &this_log->n);
  }
#line 12691 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 42 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = (yyvsp[0].t); }
#line 12697 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 43 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = bird_name; }
#line 12703 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 48 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->limit = (yyvsp[-1].i); this_log->backup = (yyvsp[0].t); }
#line 12709 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 52 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
     this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), "a");
     if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
     this_log->fh = rf_file(this_log->rf);
     this_log->pos = -1;
     this_log->filename = (yyvsp[-1].t);
   }
#line 12721 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 59 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->fh = NULL; new_config->syslog_name = (yyvsp[0].t); }
#line 12727 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 60 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->fh = stderr; }
#line 12733 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 64 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 12739 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 65 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 12745 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 69 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << (yyvsp[0].i); }
#line 12751 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 70 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (1 << (yyvsp[0].i)); }
#line 12757 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 74 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_DEBUG[0]; }
#line 12763 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 75 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_TRACE[0]; }
#line 12769 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 76 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_INFO[0]; }
#line 12775 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 77 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_REMOTE[0]; }
#line 12781 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 78 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_WARN[0]; }
#line 12787 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 79 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_ERR[0]; }
#line 12793 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 80 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_AUTH[0]; }
#line 12799 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 81 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_FATAL[0]; }
#line 12805 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 82 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_BUG[0]; }
#line 12811 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 89 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->proto_default_mrtdump = (yyvsp[-1].i); }
#line 12817 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 90 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
     struct rfile *f = rf_open(new_config->pool, (yyvsp[-1].t), "a");
     if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[-1].t));
     new_config->mrtdump_file = rf_fileno(f);
   }
#line 12827 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 101 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->latency_debug = (yyvsp[0].i); }
#line 12833 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 102 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->latency_limit = (yyvsp[0].time); }
#line 12839 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 103 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->watchdog_warning = (yyvsp[0].time); }
#line 12845 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 104 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->watchdog_timeout = ((yyvsp[0].time) + 999999) TO_S; }
#line 12851 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 113 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_HARD, (yyvsp[-1].i)); }
#line 12857 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 116 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_SOFT, (yyvsp[-1].i)); }
#line 12863 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 123 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_confirm(); }
#line 12869 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 126 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_undo(); }
#line 12875 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 129 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_status(); }
#line 12881 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 132 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_check_config((yyvsp[-1].t)); }
#line 12887 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 135 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_shutdown(); }
#line 12893 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 138 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_graceful_restart(); }
#line 12899 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 142 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = NULL; }
#line 12905 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 147 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 12911 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 148 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = UNIX_DEFAULT_CONFIGURE_TIMEOUT; }
#line 12917 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 149 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 12923 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 43 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
     this_proto = krt_init_config((yyvsp[-1].i));
}
#line 12931 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 52 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = KRT_DEFAULT_ECMP_LIMIT; }
#line 12937 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 53 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); if (((yyvsp[0].i) <= 0) || ((yyvsp[0].i) > 255)) cf_error("Merge paths limit must be in range 1-255"); }
#line 12943 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 58 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 12949 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 59 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { THIS_KRT->persist = (yyvsp[0].i); }
#line 12955 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 60 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[0].i) S_;
   }
#line 12964 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 64 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      THIS_KRT->learn = (yyvsp[0].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[0].i))
	cf_error("Learning of kernel routes not supported on this platform");
#endif
   }
#line 12976 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 71 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { THIS_KRT->graceful_restart = (yyvsp[0].i); }
#line 12982 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 72 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      THIS_KRT->merge_paths = (yyvsp[-1].i) ? (yyvsp[0].i) : 0;
#ifndef KRT_ALLOW_MERGE_PATHS
      if ((yyvsp[-1].i))
	cf_error("Path merging not supported on this platform");
#endif
   }
#line 12994 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 85 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { this_proto = kif_init_config((yyvsp[-1].i)); }
#line 13000 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 94 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[0].i) S_;
   }
#line 13009 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 101 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct kif_iface_config));
  add_tail(&THIS_KIF->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
}
#line 13019 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 108 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { kif_set_preferred((yyvsp[0].a)); }
#line 13025 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 125 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SOURCE); }
#line 13031 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 126 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_METRIC); }
#line 13037 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;


#line 13041 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
        default: break;
      }
    if (yychar_backup != yychar)
      YY_LAC_DISCARD ("yychar change");
  }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyesa, &yyes, &yyes_capacity, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        if (yychar != YYEMPTY)
          YY_LAC_ESTABLISH;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  /* If the stack popping above didn't lose the initial context for the
     current lookahead token, the shift below will for sure.  */
  YY_LAC_DISCARD ("error recovery");

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if 1
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yyes != yyesa)
    YYSTACK_FREE (yyes);
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 49 "conf/gen_parser.m4" /* yacc.c:1906  */

#line 383 "conf/confbase.Y"
/* C Code from conf/confbase.Y */

#line 207 "conf/flowspec.Y"
/* C Code from conf/flowspec.Y */

#line 800 "nest/config.Y"
/* C Code from nest/config.Y */

#line 169 "proto/bfd/config.Y"
/* C Code from proto/bfd/config.Y */

#line 144 "proto/babel/config.Y"
/* C Code from proto/babel/config.Y */

#line 321 "proto/bgp/config.Y"
/* C Code from proto/bgp/config.Y */

#line 66 "proto/mrt/config.Y"
/* C Code from proto/mrt/config.Y */

#line 556 "proto/ospf/config.Y"
/* C Code from proto/ospf/config.Y */

#line 57 "proto/perf/config.Y"
/* C Code from proto/perf/config.Y */

#line 46 "proto/pipe/config.Y"
/* C Code from proto/pipe/config.Y */

#line 338 "proto/radv/config.Y"
/* C Code from proto/radv/config.Y */

#line 201 "proto/rip/config.Y"
/* C Code from proto/rip/config.Y */

#line 142 "proto/rpki/config.Y"
/* C Code from proto/rpki/config.Y */

#line 163 "proto/static/config.Y"
/* C Code from proto/static/config.Y */

#line 64 "sysdep/linux/netlink.Y"
/* C Code from sysdep/linux/netlink.Y */

#line 152 "sysdep/unix/config.Y"
/* C Code from sysdep/unix/config.Y */

#line 128 "sysdep/unix/krt.Y"
/* C Code from sysdep/unix/krt.Y */

